<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <!-- CSS Styles for form 1065 -->
    <xsl:template name="IRS1065Style">
  .styIRS1065DotLn { 
      letter-spacing:3.2mm;
      font-weight:bold;   
      float:left;
      padding-right:2mm;
  }                        
  .styIRS1065LNDesc{ /* Line item description */
    height:4mm;
    padding-top:.5mm;
    padding-bottom:.5mm;
    float:left; clear: none;
  }
  .styIRS1065LNAmountBoxNLB{ /* Amount Box with no left border */
    width:32mm;height:4mm;
    padding-top:.5mm;
    padding-bottom:.5mm;
    text-align:right;
    border-style: solid; border-color: black;
    border-top-width: 0px; border-bottom-width: 1px; border-left-width: 0px; border-right-width: 0px;
    float:left; clear: none;
  }
  .styIRS1065LNLeftLtrBoxTD{ /* Item letter to the left of the page under the three digit number Third Number -- 14a -- */
  width:8mm;height:4mm;
  padding-top:.5mm;
  padding-bottom:.5mm;
  padding-left:4.4mm;
  font-weight:bold;
  float:left; clear: none;
  }


    .styIRS1065VTImageBox{ /* Vertical image holder box */
      width:5mm;
      border-style: solid; border-color: black;
      border-top-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-right-width: 1px;
      float:left;clear:none;
    }
    .styIRS1065BBText{ /* Text with a bottom border */
      padding-top:.5mm;
      padding-bottom:.5mm;
      border-style: solid; border-color: black;
      border-top-width: 0px; border-bottom-width: 1px; border-left-width: 0px; border-right-width: 0px;
      float:left; clear: none;
    }
    .styIRS1065LNPercentBox{ /* Box for percentages */
      width:14mm;
      padding-top:.5mm;
      padding-bottom:.5mm;
      text-align:center;
      border-style: solid; border-color: black;
      border-top-width: 0px; border-bottom-width: 1px; border-left-width: 1px; border-right-width: 0px;
      float:left; clear: none;
    }
    .styIRS1065LNYesNoBox{ /* Box for storing Yes/No Values */
      width:6mm;height:4.5mm;
      padding-top:.5mm;
      padding-bottom:.5mm;
      text-align:center;
      font-weight:bold;
      border-style: solid; border-color: black;
      border-top-width: 0px; border-bottom-width: 1px; border-left-width: 1px; border-right-width: 0px;
      float:left; clear: none;
    }
    .styIRS1065LNYesNoBoxRB{ /* Box for storing Yes/No Values with a right border */
      width:6mm;height:4.5mm;
      padding-top:.5mm;
      padding-bottom:.5mm;
      text-align:center;
      font-weight:bold;
      border-style: solid; border-color: black;
      border-top-width: 0px; border-bottom-width: 1px; border-left-width: 1px; border-right-width: 1px;
      float:left; clear: none;
    }
</xsl:template>
    <!-- Begin Foreign Transaction Schedule K -->
    <xsl:template name="FrnTran">
        <tr>
            <td class="styIRS1065VTImageBox" rowspan="13" style="width:7.5mm;height:43mm;border-bottom:1px solid black;padding-left:2mm;">
                <img src="{$ImagePath}/1065_Transactions.gif" alt="Foreign Transactions"/>
            </td>
        </tr>
        <!-- Schedule K, Line 16a -->
        <tr>
            <td>
                <span class="styLNLeftNumBox" style="padding-top:1mm;height:4mm;">16a
                </span>
                <span class="styIRS1065LNDesc" style="height:4mm;">Name of country or U.S. possession
                    <xsl:if test="ForeignCountryOrUSPossession">
                        <xsl:call-template name="SetFormLinkInline">
                            <xsl:with-param name="TargetNode" select="ForeignCountryOrUSPossession"/>
                        </xsl:call-template>
                    </xsl:if>
                    <xsl:if test="ForeignCountryOrUSPossVARIOUS">
                        <xsl:call-template name="SetFormLinkInline">
                            <xsl:with-param name="TargetNode" select="ForeignCountryOrUSPossVARIOUS"/>
                        </xsl:call-template>
                    </xsl:if>
                    <span style="width:10px;"/>
                    <img src="{$ImagePath}/1065_Bullet_Md.gif" alt="MidSizeBullet"/>
                    <span style="width:4px;"/>
                    <span style="width:65mm;height:4mm;border-bottom:1 solid black;">
                        <xsl:if test="ForeignCountryOrUSPossession">
                            <xsl:call-template name="PopulateText">
                                <xsl:with-param name="TargetNode" select="ForeignCountryOrUSPossession"/>
                            </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="ForeignCountryOrUSPossVARIOUS">
                            <xsl:call-template name="PopulateText">
                                <xsl:with-param name="TargetNode" select="ForeignCountryOrUSPossVARIOUS"/>
                            </xsl:call-template>
                        </xsl:if>
                    </span>
                </span>
            </td>
            <td>
                <span class="styLNRightNumBoxNBB" style="width:12mm;height:5mm;background-color:lightgrey;"/>
                <span class="styLNAmountBoxNBB" style="height:5mm;"/>
            </td>
        </tr>
        <!-- Schedule K, Line 16b -->
        <tr>
            <td>
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm;">b</span>
                <span class="styIRS1065LNDesc" style="height:4mm;">Gross income from all sources</span>
                <span style="float:right;">
                    <span class="styIRS1065DotLn">.....................</span>
                </span>
            </td>
            <td>
                <span class="styLNRightNumBox" style="width:12mm;height:4mm;">16b</span>
                <span class="styLNAmountBox" style="height:4mm;">
                    <xsl:call-template name="PopulateAmount">
                        <xsl:with-param name="TargetNode" select="GrossIncomeFromAllSources"/>
                    </xsl:call-template>
                </span>
            </td>
        </tr>
        <!-- Schedule K, Line 16c -->
        <tr>
            <td>
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm;">c</span>
                <span class="styIRS1065LNDesc" style="height:4mm;">Gross income sourced at partner level
                                                <xsl:call-template name="SetFormLinkInline">
                        <xsl:with-param name="TargetNode" select="GrossIncmSrcdAtPartnerLevel"/>
                    </xsl:call-template>
                </span>
                <span style="float:right;">
                    <span class="styIRS1065DotLn">.................</span>
                </span>
            </td>
            <td>
                <span class="styLNRightNumBox" style="width:12mm;height:4mm;">16c</span>
                <span class="styLNAmountBox" style="height:4mm;">
                    <xsl:call-template name="PopulateAmount">
                        <xsl:with-param name="TargetNode" select="GrossIncmSrcdAtPartnerLevel"/>
                    </xsl:call-template>
                </span>
            </td>
        </tr>
        <!-- Schedule K - Line 16c expla -->
        <tr>
            <td>
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm;"/>
                <span class="styIRS1065LNDesc" style="height:4mm;">
                    <i>Foreign gross income sourced at partnership level</i>
                </span>
            </td>
            <td>
                <span class="styLNRightNumBoxNBB" style="width:12mm;height:5mm;background-color:lightgrey;"/>
                <span class="styLNAmountBoxNBB" style="height:5mm;"/>
            </td>
        </tr>
        <!-- Schedule K, Line 16d,e,f -->
        <tr>
            <td>
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm; padding-top:1.2mm;">d
                                            </span>
                <span style="font-size:6pt; height:4mm; vertical-align:bottom;">
            Passive category
                                                <img src="{$ImagePath}/1065_Bullet_Md.gif" alt="MidSizeBullet"/>
                    <span style="width:22mm;font-family:arial; font-size:7pt; text-align:right; border-bottom:1 solid black; height:4mm;">
                        <xsl:call-template name="PopulateAmount">
                            <xsl:with-param name="TargetNode" select="FrgnGroIncmSrcdPrtShpLvlPssv"/>
                        </xsl:call-template>
                    </span>
                </span>
                <span style="font-size:7pt;font-weight:bold; padding-left:1mm; height:4mm; vertical-align:bottom;padding-top:2mm;">e
                                            </span>
                <span style="width=1mm;"/>
                <span style="font-size:6pt; height:4mm; vertical-align:bottom;">General category
                                                <img src="{$ImagePath}/1065_Bullet_Md.gif" alt="MidSizeBullet"/>
                    <span style="width:22mm;font-family:arial; font-size:7pt; text-align:right; border-bottom:1 solid black; height:4mm;">
                        <xsl:call-template name="PopulateAmount">
                            <xsl:with-param name="TargetNode" select="ForeignGroIncmSrcdPrtshpLvlGC"/>
                        </xsl:call-template>
                    </span>
                </span>
                <span style="font-size:7pt; font-weight:bold; padding-left:1mm; height:4mm; vertical-align:bottom; padding-top:2mm;">f
                                            </span>
                <span style="width:1mm;"/>
                <span style="font-size:5pt; height:4mm; vertical-align:bottom;padding-top:1.2mm;">Other <i>(attach statement)</i>
                    <xsl:call-template name="SetFormLinkInline">
                        <xsl:with-param name="TargetNode" select="ForeignGroIncmSrcdPrtshpLvlOth"/>
                    </xsl:call-template>
                    <img src="{$ImagePath}/1065_Bullet_Md.gif" alt="MidSizeBullet"/>
                </span>
            </td>
            <td>
                <span class="styLNRightNumBox" style="width:12mm;height:5.5mm;">16f</span>
                <span class="styLNAmountBox" style="height:5.5mm;">
                    <xsl:call-template name="PopulateAmount">
                        <xsl:with-param name="TargetNode" select="ForeignGroIncmSrcdPrtshpLvlOth"/>
                    </xsl:call-template>
                </span>
            </td>
        </tr>
        <!-- Schedule K - Line 16d expla -->
        <tr>
            <td>
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm;"/>
                <span class="styGenericDiv" style="height:4mm;font-size:7pt;">
                    <i>Deductions allocated and apportioned at partner level</i>
                </span>
            </td>
            <td>
                <span class="styLNRightNumBoxNBB" style="width:12mm;height:5mm;background-color:lightgrey;"/>
                <span class="styLNAmountBoxNBB" style="height:5mm;"/>
            </td>
        </tr>
        <!-- Schedule K, Line 16g and 16h-->
        <tr>
            <td>
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm;">g</span>
                <span class="styIRS1065LNDesc" style="height:4mm;">Interest expense
                                                <img src="{$ImagePath}/1065_Bullet_Md.gif" alt="MidSizeBullet"/>
                    <span style="width:32mm;text-align:right; border-bottom:1 solid black; height:4mm;">
                        <xsl:call-template name="PopulateAmount">
                            <xsl:with-param name="TargetNode" select="DedAllocApprtnPartnerLvlIntExp"/>
                        </xsl:call-template>
                    </span>
                    <span style="width:2mm;"/>
                    <span style="font-weight:bold;height:4mm;">h</span>
            Other
                                            </span>
                <span style="float:right;">
                    <span class="styIRS1065DotLn">............</span>
                    <img src="{$ImagePath}/1065_Bullet_Md.gif" alt="MidSizeBullet"/>
                    <span style="width:3mm;"/>
                </span>
            </td>
            <td>
                <span class="styLNRightNumBox" style="width:12mm;height:5mm;">16h</span>
                <span class="styLNAmountBox" style="height:5mm;">
                    <xsl:call-template name="PopulateAmount">
                        <xsl:with-param name="TargetNode" select="DedAllocApprtnPartnerLvlOther"/>
                    </xsl:call-template>
                </span>
            </td>
        </tr>
        <!-- Schedule K - Line 16h Lien exp-->
        <tr>
            <td>
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm;"/>
                <span class="styGenericDiv" style="height:4mm;">
                    <i>Deductions allocated and apportioned at partnership level to foreign source income</i>
                </span>
            </td>
            <td>
                <span class="styLNRightNumBoxNBB" style="width:12mm;height:5mm;background-color:lightgrey;"/>
                <span class="styLNAmountBoxNBB" style="height:5mm;"/>
            </td>
        </tr>
        <!-- Schedule K, Line 16i,16j,16k -->
        <tr>
            <td>
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm;">i</span>
                <span style="font-size:5pt;height:4mm;">
            Passive category
                                                <img src="{$ImagePath}/1065_Bullet_Md.gif" alt="MidSizeBullet"/>
                    <span style="width:26mm; font-family:arial ;font-size:7pt; text-align:right; border-bottom:1 solid black; height:4mm;">
                        <xsl:call-template name="PopulateAmount">
                            <xsl:with-param name="TargetNode" select="DedAllocAndApprtnPrtshpLvlPssv"/>
                        </xsl:call-template>
                    </span>
                    <span style="font-size:7pt;font-weight:bold;padding-left:5px;height:4mm;">j
                                                </span>
            General category 
                                                <span style="width:26mm;font-family:arial; font-size:7pt; text-align:right; border-bottom:1 solid black; height:4mm;">
                        <xsl:call-template name="PopulateAmount">
                            <xsl:with-param name="TargetNode" select="DedAllocAndApprtnPrtshpLvlGC"/>
                        </xsl:call-template>
                    </span>
                    <span style="font-size:7pt;font-weight:bold;padding-left:5px;height:4mm;">k
                                                </span>
            Other <i>(attach statement)</i>
                    <xsl:call-template name="SetFormLinkInline">
                        <xsl:with-param name="TargetNode" select="DedAllocAndApprtnPrtshpLvlOth"/>
                    </xsl:call-template>
                    <img src="{$ImagePath}/1065_Bullet_Md.gif" alt="MidSizeBullet"/>
                </span>
            </td>
            <td>
                <span class="styLNRightNumBox" style="width:12mm;height:5.5mm;">16k</span>
                <span class="styLNAmountBox" style="height:5.5mm;">
                    <xsl:call-template name="PopulateAmount">
                        <xsl:with-param name="TargetNode" select="DedAllocAndApprtnPrtshpLvlOth"/>
                    </xsl:call-template>
                </span>
            </td>
        </tr>
        <!-- Schedule K, Line 16l -->
        <tr>
            <td>
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm;padding-top:1.5mm;">l                                            </span>
                <span class="styIRS1065LNDesc" style="height:4mm;">Total foreign taxes (check one): 
                                                <xsl:call-template name="SetFormLinkInline">
                        <xsl:with-param name="TargetNode" select="TotalForeignTaxes"/>
                    </xsl:call-template>
                    <span style="width:8px"/>
                    <input type="checkbox" class="styCkbox">
                        <xsl:call-template name="PopulateCheckbox">
                            <xsl:with-param name="TargetNode" select="TotalForeignTaxesPaid"/>
                            <xsl:with-param name="BackupName">IRS1065ScheduleKTotalForeignTaxesPaid
                            </xsl:with-param>
                        </xsl:call-template>
                    </input>
                    <label>
                        <xsl:call-template name="PopulateLabel">
                            <xsl:with-param name="TargetNode" select="TotalForeignTaxesPaid"/>
                            <xsl:with-param name="BackupName">IRS1065ScheduleKTotalForeignTaxesPaid
                                                        </xsl:with-param>
                        </xsl:call-template>
                        <span style="padding-top:1.5mm;padding-bottom:0mm;height:4mm;"> Paid
                                                    </span>
                    </label>
                    <span style="width:12px"/>
                    <input type="checkbox" class="styCkbox">
                        <xsl:call-template name="PopulateCheckbox">
                            <xsl:with-param name="TargetNode" select="TotalForeignTaxesAccrued"/>
                            <xsl:with-param name="BackupName">IRS1065ScheduleKTotalForeignTaxesAccrued
                                                        </xsl:with-param>
                        </xsl:call-template>
                    </input>
                    <label>
                        <xsl:call-template name="PopulateLabel">
                            <xsl:with-param name="TargetNode" select="TotalForeignTaxesAccrued"/>
                            <xsl:with-param name="BackupName">IRS1065ScheduleKTotalForeignTaxesAccrued
                                                        </xsl:with-param>
                        </xsl:call-template>
                        <span style="padding-top:2mm;padding-bottom:0mm;height:4mm;">Accrued
                                                    </span>
                    </label>
                </span>
                <span class="styIRS1065DotLn" style="float:right;padding-top:2mm;">...........</span>
            </td>
            <td>
                <span class="styLNRightNumBox" style="width:12mm; height:7mm; padding-top:2mm;">16l</span>
                <span class="styLNAmountBox" style="height:7mm;">
                    <xsl:call-template name="PopulateAmount">
                        <xsl:with-param name="TargetNode" select="TotalForeignTaxes"/>
                    </xsl:call-template>
                </span>
            </td>
        </tr>
        <!-- Schedule K, Line 16m -->
        <tr>
            <td>
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm;">m</span>
                <span class="styIRS1065LNDesc" style="height:4mm;">Reduction in taxes available for credit <i>(attach statement)</i>
                    <xsl:call-template name="SetFormLinkInline">
                        <xsl:with-param name="TargetNode" select="ReductionInTaxesAvailableForCr"/>
                    </xsl:call-template>
                </span>
                <span style="float:right;">
                    <span class="styIRS1065DotLn">............</span>
                </span>
            </td>
            <td>
                <span class="styLNRightNumBox" style="width:12mm;height:5.5mm;">16m</span>
                <span class="styLNAmountBox" style="height:5.5mm;">
                    <xsl:call-template name="PopulateAmount">
                        <xsl:with-param name="TargetNode" select="ReductionInTaxesAvailableForCr"/>
                    </xsl:call-template>
                </span>
            </td>
        </tr>
        <!-- Schedule K, Line 16n -->
        <tr>
            <td style="border-bottom:1px solid black;">
                <span class="styIRS1065LNLeftLtrBoxTD" style="height:4mm;">n</span>
                <span class="styIRS1065LNDesc" style="height:4mm;">Other foreign tax information <i>(attach statement)</i>
                    <xsl:call-template name="SetFormLinkInline">
                        <xsl:with-param name="TargetNode" select="$Form1065ScheduleK/ForeignTransactions"/>
                    </xsl:call-template>
                </span>
                <span style="float:right;">
                    <span class="styIRS1065DotLn">...............</span>
                </span>
            </td>
            <td style="border-bottom:1px solid black;">
                <span class="styLNRightNumBoxNBB" style="width:12mm;height:4.5mm;background-color:lightgrey;"/>
                <span class="styLNAmountBoxNBB" style="height:4.5mm;background-color:lightgrey;">
                    <span style="width:2mm;"/>
                </span>
            </td>
        </tr>
    </xsl:template>
    
    <xsl:template name="GenPart">
        <tr>
            <td class="styLNLeftLtrBox" style="width:5mm;font-size:7pt;vertical-align:top;">a</td>
            <td style="width:29mm;font-size:7pt;">General partners</td>
            <td class="styTableCellSmall" style="border-color:black;border-left-width:1px;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="Corporate"/>
                </xsl:call-template>
            </td>
            <td class="styTableCellSmall" style="border-color:black;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="IndividualActive"/>
                </xsl:call-template>
            </td>
            <td class="styTableCellSmall" style="border-color:black;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="IndividualPassive"/>
                </xsl:call-template>
            </td>
            <td class="styTableCellSmall" style="border-color:black;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="Partnership"/>
                </xsl:call-template>
            </td>
            <td class="styTableCellSmall" style="border-color:black;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="ExemptOrganization"/>
                </xsl:call-template>
            </td>
            <td class="styTableCellSmall" style="border-color:black;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="NomineeOther"/>
                </xsl:call-template>
            </td>
        </tr>
    </xsl:template>
    <xsl:template name="LtdPart">
        <tr>
            <td class="styLNLeftLtrBox" style="width:5mm;font-size:7pt;vertical-align:top;">
                <xsl:if test="position()=last()">
                    <xsl:attribute name="style">width:5mm;font-size:7pt;vertical-align:top;border-bottom:1 solid black;</xsl:attribute>
                </xsl:if>
              b
            </td>
            <td style="width:29mm;font-size:7pt;">
                <xsl:if test="position()=last()">
                    <xsl:attribute name="style">width:29mm;font-size:7pt;border-bottom:1 solid black;</xsl:attribute>
                </xsl:if>
              Limited partners
            </td>
            <td class="styTableCellSmall" style="border-color:black;border-left-width:1px;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="Corporate"/>
                </xsl:call-template>
            </td>
            <td class="styTableCellSmall" style="border-color:black;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="IndividualActive"/>
                </xsl:call-template>
            </td>
            <td class="styTableCellSmall" style="border-color:black;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="IndividualPassive"/>
                </xsl:call-template>
            </td>
            <td class="styTableCellSmall" style="border-color:black;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="Partnership"/>
                </xsl:call-template>
            </td>
            <td class="styTableCellSmall" style="border-color:black;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="ExemptOrganization"/>
                </xsl:call-template>
            </td>
            <td class="styTableCellSmall" style="border-color:black;">
                <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="NomineeOther"/>
                </xsl:call-template>
            </td>
        </tr>
    </xsl:template>
</xsl:stylesheet>
