<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >
  <xsl:include href="PopulateTemplate.xsl"/>
  <xsl:include href="CommonPathRef.xsl"/>
  <xsl:include href="AddHeader.xsl"/>
  <xsl:include href="AddOnTable.xsl"/>
  <xsl:include href="IRS1120FSchedulePStyle.xsl"/>

  <xsl:output method="html" indent="yes" />
  <xsl:strip-space elements="*" />
<!-- Defines the stage of the data, e.g. original or latest -->
<xsl:param name="FormData" select="$RtnDoc/IRS1120FScheduleP" />
<xsl:template match="/">

<html>
<head>
<title>
	<xsl:call-template name="FormTitle">
		<xsl:with-param name="RootElement" select="local-name($FormData)"></xsl:with-param>
	</xsl:call-template>
</title>
<!-- No Browser Caching -->
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Cache-Control" content="no-cache" />
<meta http-equiv="Expires" content="0" />
<!-- No Proxy Caching -->
<meta http-equiv="Cache-Control" content="private" />
<!-- Define Character Set -->
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<meta name="Description" content="Form IRS1120FScheduleP" />        
<script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
	<xsl:call-template name="InitJS"></xsl:call-template>
<style type="text/css">    
<xsl:if test="not($Print) or $Print=''">
		<xsl:call-template name="IRS1120FSchedulePStyle"></xsl:call-template>
		<xsl:call-template name="AddOnStyle"></xsl:call-template>        
</xsl:if>
</style>
<xsl:call-template name="GlobalStylesForm"/>
</head>
<body class="styBodyClass">
      <form name="Form1120FScheduleP">
        <!-- BEGIN WARNING LINE -->
        <xsl:call-template name="DocumentHeader"  />  
        <!-- END WARNING LINE -->
      
	<!--Begin Header-->
	<div class="styTBB" style="width:187mm;border-bottom-width: 1px">
	<table cellspacing="0" cellpadding="0">
	<tbody>    
	<tr>
		<!--Form Number-->
		<th rowspan="2" class="sty1120FSchPFNBox" style="width:36mm" scope="col">
			SCHEDULE P
			<br />
			(Form 1120-F)
			<div class="sty1120FSchPAgency" style="padding-top:1.5mm">Department of the Treasury</div>
			<div class="sty1120FSchPAgency">Internal Revenue Service</div>
		</th>
		<!--Form Name-->
		<th rowspan="2" class="sty1120FSchPFTBox" style="width:119mm" scope="col">
			<div class="sty1120FSchPMainTitle">
			List of Foreign Partner Interests in Partnerships
			</div>
			<div class="styFST" style="padding-top:0.5mm">
			<img src="{$ImagePath}/1120FScheduleP_Bullet_Md.gif" alt="Bullet Image" />
			Attach to Form 1120-F.
			<br />
			<span style="padding-left:3.83mm"></span><img src="{$ImagePath}/1120FScheduleP_Bullet_Md.gif" alt="Bullet Image" />
			See separate instructions.
			</div>
		</th>
		<!--OMB/Tax Year-->
		<th class="sty1120FSchPOMB" style="width:32mm" scope="col">OMB No. 1545-0126</th>
	</tr>
	<tr>
		<td  class="sty1120FSchPTY">20<span class="styTYColor">07</span></td>
	</tr>
	</tbody>
	</table>
	</div>
	<!--End header-->

	<!--Begin Name/EIN-->
	<div style="width:187mm">
	<div class="styTableCell" style="width:135mm;float:left;height:10mm;text-align:left">
		Name of corporation (foreign partner)
	<br />
		<xsl:call-template name="PopulateReturnHeaderFiler">
			<xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param>
		</xsl:call-template>
	<br />
		<xsl:call-template name="PopulateReturnHeaderFiler">
			<xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param>
		</xsl:call-template>
	</div>
	<div class="styTableCell" style="width:52mm;border-right-width:0px;padding-left:2mm;float:left;height:10mm;text-align:left">
		<span style="font-size:6pt; font-weight:bold">Employer identification number (EIN)</span>
	<br />
	<br />
		<xsl:choose>
			<xsl:when test="normalize-space($FormData/EmployerIdentificationNumber) != ''">
			<xsl:call-template name="PopulateEIN">
				<xsl:with-param name="TargetNode" select="$FormData/EmployerIdentificationNumber"/>
			</xsl:call-template>
			</xsl:when>
			<xsl:when test="normalize-space($FormData/MissingEINReason) != ''">
				<xsl:call-template name="PopulateText">
					<xsl:with-param name="TargetNode" select="$FormData/MissingEINReason"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
			<xsl:if test="($RtnHdrData/Filer/EIN)">
				<xsl:call-template name="PopulateEIN">
					<xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/EIN"/>
				</xsl:call-template>		
			</xsl:if>
			<xsl:if test="($RtnHdrData/Filer/SSN) and not ($RtnHdrData/Filer/EIN)">
				<xsl:call-template name="PopulateEIN">
					<xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/SSN"/>
				</xsl:call-template>		
			</xsl:if>                 
			</xsl:otherwise>
		</xsl:choose>
	</div>
	</div>
	<!--End Name/EIN-->
	<!-- Begin Part I -->
	<div class="sty1120FSchPSectionTitle" style="width:187mm">
		<div class="styBB" style="width:183mm">
			Part I&#8212;List of Foreign Partner Interests in Partnerships
		</div>
			<!-- button display logic -->
			<div class="styBB" style="float:right; width:4mm; border-bottom-width:1px">
				<xsl:call-template name="SetDynamicTableToggleButton">
					<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo"/>
					<xsl:with-param name="containerHeight" select="4"/>
					<xsl:with-param name="containerID" select=" 'OFCctn' "/>
					<xsl:with-param name="imageID" select=" 'OFCimg' "/>
					<xsl:with-param name="buttonID" select=" 'OFCbtn' "/>
				</xsl:call-template>
			</div>
			<!-- end button display logic -->
		</div>
		<!-- begin Part I Table -->
		<div class="styTableContainer" style="width:187mm" id="OFCctn">
		<!-- begin print logic -->
		<xsl:call-template name="SetInitialState"/>
		<!-- end print logic -->      
		<table class="styTable" cellspacing="0" style="font-size:7pt;">
		<thead class="styTableThead">
			<tr>
				<th class="sty1120FSchPTableCellText" scope="col" style="width:60mm" colspan="2">
					Name of partnership</th>
				<th class="sty1120FSchPTableCellText" scope="col" style="width:87mm">
					Address</th>
				<th class="sty1120FSchPTableCellText" scope="col" style="width:40mm; border-right-width:0px">
					EIN</th>
			</tr>
		</thead>
		<tfoot></tfoot>
		<tbody>
		  <xsl:if test="($Print != $Separated) or (count($FormData/ForeignPartnerInfo) &lt;= 4) "> 
		      	<xsl:for-each select="$FormData/ForeignPartnerInfo">		
			<tr>
			<!--Line number-->
				<td class="sty1120FSchPTableCellData" style="width:4mm; border-right-width:0px">
				<xsl:attribute name="style">
			            <xsl:choose>
				               <xsl:when test="position() = count($FormData/ForeignPartnerInfo) and position() &gt;3">width:4mm; border-right-width:0px; border-bottom-width:0px</xsl:when>
				               <xsl:otherwise>width:4mm; border-right-width:0px;</xsl:otherwise>
			            </xsl:choose>
		            </xsl:attribute>  
				<xsl:number format="A" value="position()" />
				</td>
				<!--Name-->
				<td class="sty1120FSchPTableCellData" style="width:56mm"> 
                            <xsl:attribute name="style">
                              <xsl:choose>
                                <xsl:when test="position() = count($FormData/ForeignPartnerInfo) and position() &gt;3">width:56mm; border-bottom-width:0px</xsl:when>
                                <xsl:otherwise>width:56mm;</xsl:otherwise>
                              </xsl:choose>
                            </xsl:attribute>  		
                            <span style="float:none;text-align:left;font-weight:normal">
                              <xsl:choose>
                                <xsl:when test="PartnerName">
                                  <xsl:call-template name="PopulateText">
                                    <xsl:with-param name="TargetNode" select="PartnerName" />
                                  </xsl:call-template>
                                </xsl:when>
                                <xsl:when test="PartnerBusinessName/BusinessNameLine1">
                                  <xsl:call-template name="PopulateText">
                                    <xsl:with-param name="TargetNode" select="PartnerBusinessName/BusinessNameLine1" />
                                  </xsl:call-template>
                                  <xsl:if test="PartnerBusinessName/BusinessNameLine2">
                                    <br />
                                    <xsl:call-template name="PopulateText">
                                      <xsl:with-param name="TargetNode" select="PartnerBusinessName/BusinessNameLine2" />
                                    </xsl:call-template>
                                  </xsl:if>
                                </xsl:when>
                                <xsl:otherwise>
                                  <span style="width:1px" />
                                </xsl:otherwise>
                              </xsl:choose>
                            </span>
				</td>
				<!--Address-->
				<td class="sty1120FSchPTableCellDataLF">
		            <xsl:attribute name="style">
			            <xsl:choose>
				               <xsl:when test="position() = count($FormData/ForeignPartnerInfo) and position() &gt;3">border-bottom-width:0px</xsl:when>
				               <xsl:otherwise></xsl:otherwise>
			            </xsl:choose>
		            </xsl:attribute>  		
			      <xsl:choose>
				<xsl:when test="PartnerUSAddress">
					<xsl:call-template name="PopulateUSAddressTemplate">
					<xsl:with-param name="TargetNode" select="PartnerUSAddress" />
				</xsl:call-template>
			        </xsl:when>
			        <xsl:when test="PartnerForeignAddress">
						<xsl:call-template name="PopulateForeignAddressTemplate">
							<xsl:with-param name="TargetNode" select="PartnerForeignAddress" />
						</xsl:call-template>
			        </xsl:when>
			        <xsl:otherwise>
			          <span style="width:1px" />
			        </xsl:otherwise>
			      </xsl:choose>
				</td>
				<!--EIN-->
				<td class="sty1120FSchPTableCellDataRG">
		            <xsl:attribute name="style">
			            <xsl:choose>
				               <xsl:when test="position() = count($FormData/ForeignPartnerInfo) and position() &gt;3">border-bottom-width:0px</xsl:when>
				               <xsl:otherwise></xsl:otherwise>
			            </xsl:choose>
		            </xsl:attribute>		
				 <xsl:choose>
					<xsl:when test="PartnerEIN">
						<xsl:call-template name="PopulateEIN">
							<xsl:with-param name="TargetNode" select="PartnerEIN"/>
						</xsl:call-template>		
					</xsl:when>
					<xsl:when test="MissingSSNEINReason">
						<xsl:call-template name="PopulateEIN">
							<xsl:with-param name="TargetNode" select="MissingSSNEINReason"/>
						</xsl:call-template>		
					</xsl:when>
					<xsl:otherwise>
					  <span style="width:1px" />
					</xsl:otherwise>                 
				</xsl:choose>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:if>
	<!-- begin Part I separated table format -->
	<xsl:if test="count($FormData/ForeignPartnerInfo)&lt; 1 or ((count($FormData/ForeignPartnerInfo) &gt; 4) and ($Print = $Separated))">  
	<tr>
		<td class="sty1120FSchPTableCellData" style="width:4mm; border-right-width:0px">A</td>
		<td class="sty1120FSchPTableCellData" style="width:56mm">			
			<xsl:if test="((count($FormData/ForeignPartnerInfo) &gt; 4) and ($Print = $Separated))">
			<span style="float:none;text-align:left;font-weight:normal">
			  <xsl:choose>
				<xsl:when test="$FormData/ForeignPartnerInfo/PartnerName">
					<xsl:call-template name="PopulateAdditionalDataTableMessage">
					<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/PartnerName" />
				</xsl:call-template>
				</xsl:when>
				<xsl:when test="$FormData/ForeignPartnerInfo/PartnerBusinessName/BusinessNameLine1">
					<xsl:call-template name="PopulateAdditionalDataTableMessage">
						<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/PartnerBusinessName/BusinessNameLine1">
					</xsl:with-param>
				</xsl:call-template>
				</xsl:when>
			  </xsl:choose>
			 </span>
			</xsl:if>
			<span style="width:1px"></span>
		</td>
		<td class="sty1120FSchPTableCellDataLF"><span style="width:1mm"></span></td>
		<td class="sty1120FSchPTableCellDataRG"><span style="width:1mm"></span></td>
	</tr>
	</xsl:if>
	<xsl:if test="count($FormData/ForeignPartnerInfo)&lt; 2  or ((count($FormData/ForeignPartnerInfo) &gt; 4) and ($Print = $Separated))">  
	<tr>
		<td class="sty1120FSchPTableCellData" style="width:4mm; border-right-width:0px">B</td>
		<td class="sty1120FSchPTableCellData" style="width:56mm"><span style="width:2mm"></span></td>
		<td class="sty1120FSchPTableCellDataLF"><span style="width:2mm"></span></td>
		<td class="sty1120FSchPTableCellDataRG"><span style="width:2mm"></span></td>
	</tr>
	</xsl:if>
	<xsl:if test="count($FormData/ForeignPartnerInfo)&lt; 3  or ((count($FormData/ForeignPartnerInfo) &gt; 4) and ($Print = $Separated))">  
	<tr>
		<td class="sty1120FSchPTableCellData" style="width:4mm; border-right-width:0px">C</td>
		<td class="sty1120FSchPTableCellData" style="width:56mm"><span style="width:2mm"></span></td>
		<td class="sty1120FSchPTableCellDataLF"><span style="width:2mm"></span></td>
		<td class="sty1120FSchPTableCellDataRG"><span style="width:2mm"></span></td>
	</tr>
	</xsl:if>
	<xsl:if test="count($FormData/ForeignPartnerInfo)&lt; 4  or ((count($FormData/ForeignPartnerInfo) &gt; 4) and ($Print = $Separated))">  
	<tr>
		<td class="sty1120FSchPTableCellData" style="width:4mm; border-right-width:0px; border-bottom-width:0px">D</td>
		<td class="sty1120FSchPTableCellData" style="width:56mm; border-bottom-width:0px"><span style="width:2mm"></span></td>
		<td class="sty1120FSchPTableCellDataLF" style="border-bottom-width:0px"><span style="width:2mm"></span></td>
		<td class="sty1120FSchPTableCellDataRG" style="border-bottom-width:0px"><span style="width:2mm"></span></td>
	</tr>
	</xsl:if>  
	<!-- end Part I separated table format -->	
	</tbody>
	</table>	
	</div>
	<xsl:call-template name="SetInitialDynamicTableHeight">
		<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo"/>
		<xsl:with-param name="containerHeight" select="4"/>
		<xsl:with-param name="containerID" select=" 'OFCctn' "/>
		<xsl:with-param name="imageID" select=" 'OFCimg' "/>
		<xsl:with-param name="buttonID" select=" 'OFCbtn' "/>
	</xsl:call-template>
	<!-- End Part I table -->
	<!-- End Part I -->
	<div style="width:187mm; font-size:8pt; font-weight:bold">
		<div class="styBB" style="width:187mm">
		Note: <span style="font-weight:normal; padding-left:2mm"><i>If corporation has more than 4 partnership interests, continue on separate page. See instructions.</i></span>
		</div>
	</div>
	<!-- Begin Part II Title -->
	<div style="width:187mm; font-size:8pt; font-weight:bold">
		<div class="styBB" style="width:187mm">
		Part II&#8212;Foreign Partner Income and Expenses: Reconciliation to Schedule K-1 (Form 1065)
		</div>
	</div>
	<!-- End Part II Title -->
	<!-- Begin Part II Table -->
          <table cellpadding="0" cellspacing="0" style="width:187mm;font-size:7pt">
		<tbody>
			<xsl:if test="$Print != $Separated or ($Print = $Separated and count($FormData/ForeignPartnerInfo) &lt; 5)">
			<!--For each table with 4 items do the following-->
				<xsl:for-each select="$FormData/ForeignPartnerInfo">               
					<xsl:if test="position() mod 4 = 1">
					<!--Table Header-->
					<tr>
						<td colspan="2" class="sty1120FSchPTableK1CellMainHeaderSpacer" />
						<td colspan="5" class="sty1120FSchPTableK1CellMainHeader">Schedules K-1</td>
					</tr>
                    		<tr>
						<td colspan="2" class="sty1120FSchPTableK1CellHeaderSpacer"><span style="width:1px" /></td>
							<xsl:call-template name="CreateHeader">
								<xsl:with-param name="Start" select="position()" />
								<xsl:with-param name="Stop" select="position()+4" />
							</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastColHeader">Total</td>
					</tr>
                  		 	<!--Line 1-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">1</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								Net income (loss) reported on lines 1
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.......</span>
							</div>
								through 3, Schedule K-1
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/NetIncome" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/NetIncome" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
					<!--Line 2-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">2</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								Gross income included on lines 1
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.......</span>
							</div>
							through 3, Schedule K-1
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/GrossIncome" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/GrossIncome" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
					<!--Line 3-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">3</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								Gross effectively connected income (ECI)
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">...</span>
							</div>
							on lines 1 through 3, Schedule K-1
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/GrossECI" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/GrossECI" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
                  			</tr>
					<!--Line 4-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">4</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								Other non-interest expenses on lines 1
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.......</span>
							</div>
							 through 3, Schedule K-1
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherNonInterestExpense" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherNonInterestExpense" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>
					<!--Line 5-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:1px; padding-left:2.5mm">5</td>
						<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px" scope="row">
							<div style="text-align-last:justify">
								Non-interest expenses on lines 1 through 
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">..</span>
							</div>
							3, Schedule K-1, allocated to gross ECI
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/NonIntExpensesAllocToGrossECI" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/NonIntExpensesAllocToGrossECI" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                 			</tr>
					<!--Line 6-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">6</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								Other gross income reported on 
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">...........</span>
							</div>
							Schedule K-1
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherGrossIncomeReported" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherGrossIncomeReported" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
                  			</tr>
					<!--Line 7-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">7</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:left">
								Other gross ECI reported on 
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">...........</span>
							</div>
							Schedule K-1
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherGrossECIReported" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherGrossECIReported" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>
					<!--Line 8-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">8</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								Other non-interest expenses reported 
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">..........</span>
							</div>
							on Schedule K-1
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherNonIntExpensesReported" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherNonIntExpensesReported" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>							
                  			</tr>
					<!--Line 9-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:1px; padding-left:2.5mm">9</td>
						<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px" scope="row">
							<div style="text-align-last:justify">
								Other non-interest expenses reported
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">....</span>
							</div>
							on Schedule K-1 allocated to ECI 
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherNonIntExpensesAllocToECI" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherNonIntExpensesAllocToECI" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
                  			</tr>
					<!--Line 10-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD">10</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:left">
								<b>Total gross income.</b> Add lines 2
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.............</span>
							</div>
							and 6 
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/TotalGrossIncome" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/TotalGrossIncome" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
                  			</tr>                  			
					<!--Line 11-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:1px">11</td>
						<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px" scope="row">
							<div style="text-align-last:justify">
								<b>Total gross effectively connected</b>
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.......</span>
							</div>
							<b>income.  </b>Add lines 3 and 7
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/TotalGrossECI" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/TotalGrossECI" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>                  			
					<!--Line 12-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD">12</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								Interest expense on lines 1 through 3,
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">...........</span>
							</div>
							Schedule K-1
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/InterestExpenseIncluded" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/InterestExpenseIncluded" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
                  			</tr>                    			
					<!--Line 13-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD">13</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								Other interest expense reported on
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.....</span>
							</div>
							Schedule K-1, lines 13 and 18
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherInterestExpenseReported" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherInterestExpenseReported" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>                    			
					<!--Line 14a-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD">14a</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								<b>Total interest expense. </b>Add lines 12
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.............</span>
							</div>
							and 13
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/TotalInterestExpense" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/TotalInterestExpense" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>                    			
					<!--Line 14b-->
					<tr>
						<td valign="top" class="sty1120FSchPTableK1CellNumSD"><span style="width:3mm; padding-top:1mm"></span>b</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								Interest expense directly allocable <br />
								under Regulations section<br />
								1.882-5(a)(1)(ii)(B). 	(<b>Note:</b> Include the<br />
								line 14b total on Schedule I, line 22.)<br />
							</div>
						</td>
						<xsl:call-template name="CreateTablePaddingTop">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/IntExpnsAllcblSect18825a1iiB" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol" style="padding-top:9mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/IntExpnsAllcblSect18825a1iiB" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>	
                  			</tr>
					<!--Line 14c-->
					<tr>
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:2px"><span style="width:3mm; padding-top:1mm"></span>c</td>
						<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:2px" scope="row">
							<div style="text-align-last:justify">
								Subtract line 14b from line 14a. (<b>Note:</b> <br />
								Enter the line 14c total on Schedule I,<br />
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">........</span>
							</div>								
								line 9, column (b).)
						</td>
						<xsl:call-template name="CreateTable14c">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/InterestExpenseNotDrtAllcbl" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol" style="border-bottom-width:2px; padding-top:6mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/InterestExpenseNotDrtAllcbl" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>                    			
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
		<!-- begin Part I filter table -->
             <xsl:if test="($Print = $Separated and count($FormData/ForeignPartnerInfo) &gt; 4) or count($FormData/ForeignPartnerInfo) = 0">
		<!--Table Header-->
		<tr>
			<td colspan="2" class="sty1120FSchPTableK1CellMainHeaderSpacer" />
			<td colspan="5" class="sty1120FSchPTableK1CellMainHeader">Schedules K-1</td>
		</tr>
		<tr>
			<td colspan="2" class="sty1120FSchPTableK1CellHeaderSpacer"><span style="width:1px" /></td>
				<xsl:call-template name="CreateHeader">
					<xsl:with-param name="Start" select="1" />
					<xsl:with-param name="Stop" select="5" />
				</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastColHeader">Total</td>
		</tr>
		<!--Line 1-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">1</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					Net income (loss) reported on lines 1
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">.......</span>
				</div>
				through 3, Schedule K-1
			</td>
			<xsl:choose>
				<xsl:when test="count($FormData/ForeignPartnerInfo) = 0">
				<xsl:call-template name="CreateTable">
					<xsl:with-param name="Start" select="1" />
					<xsl:with-param name="Stop" select="5" />
					<xsl:with-param name="TargetNode" select="none" />
				</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
				<td colspan="2" class="sty1120FSchPTableK1Cell" style="width:46mm;text-align:center">
					<xsl:call-template name="PopulateAdditionalDataTableMessage">
						<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/NetIncome" />
					</xsl:call-template>
				</td>
				<td class="sty1120FSchPTableK1Cell"><span style="width:1px" /></td>
				<td class="sty1120FSchPTableK1Cell"><span style="width:1px" /></td>
				</xsl:otherwise>
			</xsl:choose>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>
		<!--Line 2-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">2</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					Gross income included on lines 1
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">.......</span>
				</div>
				through 3, Schedule K-1
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>
		<!--Line 3-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">3</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					Gross effectively connected income (ECI)
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">...</span>
				</div>
				on lines 1 through 3, Schedule K-1
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>
		<!--Line 4-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">4</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					Other non-interest expenses on lines 1
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">.......</span>
				</div>
				 through 3, Schedule K-1
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
               </tr>
		<!--Line 5-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:1px; padding-left:2.5mm">5</td>
			<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px" scope="row">
				<div style="text-align-last:justify">
					Non-interest expenses on lines 1 through 
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">..</span>
				</div>
				3, Schedule K-1, allocated to gross ECI
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>
		<!--Line 6-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">6</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					Other gross income reported on 
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">...........</span>
				</div>
				Schedule K-1
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>
		<!--Line 7-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">7</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:left">
					Other gross ECI reported on 
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">...........</span>
				</div>
				Schedule K-1
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>
		<!--Line 8-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">8</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					Other non-interest expenses reported 
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">..........</span>
				</div>
				on Schedule K-1
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>
		<!--Line 9-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:1px; padding-left:2.5mm">9</td>
			<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px" scope="row">
				<div style="text-align-last:justify">
					Other non-interest expenses reported
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">....</span>
				</div>
				on Schedule K-1 allocated to ECI 
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>
		<!--Line 10-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD">10</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:left">
					<b>Total gross income.</b> Add lines 2
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">.............</span>
				</div>
				and 6 
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>                  			
		<!--Line 11-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:1px">11</td>
			<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px" scope="row">
				<div style="text-align-last:justify">
					<b>Total gross effectively connected</b>
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">.......</span>
				</div>
				<b>income. </b>Add lines 3 and 7
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>                  			
		<!--Line 12-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD">12</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					Interest expense on lines 1 through 3,
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">...........</span>
				</div>
				Schedule K-1
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>                    			
		<!--Line 13-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD">13</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					Other interest expense reported on
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">.....</span>
				</div>
				Schedule K-1, lines 13 and 18
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>                    			
		<!--Line 14a-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD">14a</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					<b>Total interest expense. </b>Add lines 12
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">.............</span>
				</div>
				and 13
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>                    			
		<!--Line 14b-->
		<tr>
			<td valign="top" class="sty1120FSchPTableK1CellNumSD"><span style="width:3mm; padding-top:1mm"></span>b</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					Interest expense directly allocable <br />
					under Regulations section<br />
					1.882-5(a)(1)(ii)(B). 	(<b>Note:</b> Include the<br />
					line 14b total on Schedule I, line 22.)<br />
				</div>
			</td>
			<xsl:call-template name="CreateTablePaddingTop">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol" style="padding-top:9mm"><span style="width:1px" /></td>
		</tr>
		<!--Line 14c-->
		<tr>
			<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:2px"><span style="width:3mm; padding-top:1mm"></span>c</td>
			<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:2px" scope="row">
				<div style="text-align-last:justify">
					Subtract line 14b from line 14a. (<b>Note:</b> <br />
					Enter the line 14c total on Schedule I,<br />
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">........</span>
				</div>								
					line 9, column (b).)
			</td>
			<xsl:call-template name="CreateTable14c">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol" style="border-bottom-width:2px"><span style="width:1px" /></td>
		</tr>                    			
		</xsl:if>
		<!-- end Part I filter table  -->
		</tbody>
	</table>
  	<!-- page break and footer-->
  	<div style="width:187mm;padding-top:1mm">  
  		<div style="float:left;">
  			<span class="styBoldText">For Privacy Act and Paperwork Reduction Act Notice, see the Instructions for Form 1120-F.</span>
  			<span style="width:3mm"></span>                        
  			<span style="font-size:6pt">Cat. No. 49677Z</span>
  		</div>
  		<div style="float:right">
  			<span style="width:1mm"></span>  
  			<span style="font-weight:bold; font-size:6pt">Schedule P (Form 1120-F) 2007</span>
  		</div>    
  	</div>
  	<div class="pageEnd" />	
  	<!-- end page break and footer  -->
  	
	<!-- begin page 2 -->
  	<!-- page header -->
	<div class="styBB" style="width:187mm;padding-top:.5mm;">  
		<div style="float:left;">Schedule P (Form 1120-F) 2007<span style="width:100mm;"></span></div>
		<div style="float:right;">Page <span style="font-weight:bold;font-size:8pt;">2</span></div> 
  	</div>  
	<!-- end page header -->
	<!-- Begin Part III Title -->
	<div style="width:187mm; font-size:8pt; font-weight:bold">
		<div class="styBB" style="width:187mm">
			Part III&#8212;Foreign Partner’s Average Outside Basis Under Regulations sections 1.882-5(b) and 1.884-1(d)(3)
		</div>
	</div>
	<div style="width:187mm">
      <!-- End Part III Title -->
      
      <!-- Begin Part III Table -->
          <table cellpadding="0" cellspacing="0" style="width:187mm;font-size:7pt">
		<tbody>
			<xsl:if test="$Print != $Separated or ($Print = $Separated and count($FormData/ForeignPartnerInfo) &lt; 5)">
			<!--For each table with 4 items do the following-->
				<xsl:for-each select="$FormData/ForeignPartnerInfo">               
					<xsl:if test="position() mod 4 = 1">
					<!--Table Header-->
					<tr>
						<td colspan="2" class="sty1120FSchPTableK1CellMainHeaderSpacer" />
						<td colspan="5" class="sty1120FSchPTableK1CellMainHeader">Schedules K-1</td>
					</tr>
                    		<tr>
						<td colspan="2" class="sty1120FSchPTableK1CellHeaderSpacer"><span style="width:1px" /></td>
							<xsl:call-template name="CreateHeader">
								<xsl:with-param name="Start" select="position()" />
								<xsl:with-param name="Stop" select="position()+4" />
							</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastColHeader">Total</td>
					</tr>
                  		 	<!--Line 15-->
					<tr>
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-top:2.5mm">15</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">......</span>
							</div>
							Section 705 outside basis							
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/Section705OutsideBasis" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/Section705OutsideBasis" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>
                  		 	<!--Line 16a-->
					<tr>
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">16a</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							Partner’s liabilities included in outside 
							basis under section 752 that give rise to
							directly allocable interest expense under
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">......</span>
							</div>
							Regulations section 1.882-5(a)(1)(ii)(B)							
						</td>
						<xsl:call-template name="CreateTablePaddingTop">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/PartnerLiabUnderSect18825a1iiB" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol" style="padding-top:9mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/PartnerLiabUnderSect18825a1iiB" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>			
                  		 	<!--Line 16b-->
					<tr>
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm;">
						<span style="width:3.5mm"></span>b</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
								All other liabilities included in partner’s
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">....</span>
							</div>
								outside basis under section 752
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherLiabilitiesIncluded" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherLiabilitiesIncluded" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>							
					</tr>	
                  		 	<!--Line 16c-->						
					<tr>
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm;">
						<span style="width:3.5mm"></span>c</td>
						<td class="sty1120FSchPTableK1Desc" style="padding-bottom:1.5mm" scope="row">
							<div style="text-align-last:justify">
								Add lines 16a and 16b
									<span class="sty1120FSchPDotLn">........</span>
							</div>
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/SumOfLiabilitiesUnderSect752" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/SumOfLiabilitiesUnderSect752" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>							
					</tr>					
                  		 	<!--Line 16d-->						
					<tr>
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm;">
						<span style="width:3.5mm"></span>d</td>
						<td class="sty1120FSchPTableK1Desc" style="padding-bottom:1.5mm" scope="row">
							<div style="text-align-last:justify">
								Subtract line 16c from line 15
									<span class="sty1120FSchPDotLn">.....</span>
							</div>
						</td>
						<xsl:call-template name="CreateTable">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OutsideBasisLessSect752Liab" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OutsideBasisLessSect752Liab" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>							
					</tr>					
                  		 	<!--Line 17-->
					<tr>
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">17</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
							Partner’s liabilities under Regulations <br/> 
							section 1.884-1(d)(3)(vi). (<b>Note: </b>Enter the <br />
							line 17 total on Schedule I, line 8,
							</div>						
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">...........</span>
							</div>
							 column (b).)												
						</td>
						<xsl:call-template name="CreateTablePaddingTop">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/PartnerLiabUnderSect18841d3vi" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol" style="padding-top:9mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/PartnerLiabUnderSect18841d3vi" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>			
                  		 	<!--Line 18-->
					<tr>
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1.7mm">18</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
							<b>Partner’s outside basis under Regulations section 1.884-1(d)(3)(vi).</b>  Add lines 16d
							</div>						
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.............</span>
							</div>
							and 17												
						</td>
						<xsl:call-template name="CreateTablePaddingTop">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/PartnerBasisUnderSect18841d3vi" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol" style="padding-top:9mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/PartnerBasisUnderSect18841d3vi" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>			
                  		 	<!--Line 19-->
					<tr>
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">19</td>
						<td class="sty1120FSchPTableK1Desc" scope="row">
							<div style="text-align-last:justify">
							Partner’s outside basis allocable to ECI
							under Regulations section 1.884-1(d)(3)(i).
							(<b>Note: </b>Enter the line 19 total on Schedule	
							</div>						
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">........</span>
							</div>
							I, line 5, column (b).)												
						</td>
						<xsl:call-template name="CreateTablePaddingTop">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/PartnerOutsideBasisAllcblToECI" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol" style="padding-top:9mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/PartnerOutsideBasisAllcblToECI" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>			
                  		 	<!--Line 20-->
					<tr>
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm; border-bottom-width:2px">20</td>
						<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:2px" scope="row">
							<div style="text-align-last:justify">
							Enter “income” or “asset” to indicate
							the allocation method used on line 19
							</div>						
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.........</span>
							</div>
							(see instructions)												
						</td>
						<xsl:call-template name="CreateTable20">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/AllocationMethodUsed" />
						</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastCol" style="border-bottom-width:2px; padding-top:9mm">
							<span style="width:1px" />
						</td>
					</tr>			
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
             <xsl:if test="($Print = $Separated and count($FormData/ForeignPartnerInfo) &gt; 4) or count($FormData/ForeignPartnerInfo) = 0">
		<!--Table Header-->
		<tr>
			<td colspan="2" class="sty1120FSchPTableK1CellMainHeaderSpacer" />
			<td colspan="5" class="sty1120FSchPTableK1CellMainHeader">Schedules K-1</td>
		</tr>
		<tr>
			<td colspan="2" class="sty1120FSchPTableK1CellHeaderSpacer"><span style="width:1px" /></td>
				<xsl:call-template name="CreateHeader">
					<xsl:with-param name="Start" select="1" />
					<xsl:with-param name="Stop" select="5" />
				</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastColHeader">Total</td>
		</tr>
		<!--Line 15-->
		<tr>
			<td class="sty1120FSchPTableK1CellNumSD" style="padding-top:2.5mm">15</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">......</span>
				</div>
				Section 705 outside basis							
			</td>
			<xsl:choose>
				<xsl:when test="count($FormData/ForeignPartnerInfo) = 0">
				<xsl:call-template name="CreateTable">
					<xsl:with-param name="Start" select="1" />
					<xsl:with-param name="Stop" select="5" />
					<xsl:with-param name="TargetNode" select="none" />
				</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
				<td colspan="2" class="sty1120FSchPTableK1Cell" style="width:46mm;text-align:center">
					<xsl:call-template name="PopulateAdditionalDataTableMessage">
						<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/Section705OutsideBasis" />
					</xsl:call-template>
				</td>
				<td class="sty1120FSchPTableK1Cell"><span style="width:1px" /></td>
				<td class="sty1120FSchPTableK1Cell"><span style="width:1px" /></td>
				</xsl:otherwise>
			</xsl:choose>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>
		<!--Line 16a-->
		<tr>
			<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">16a</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				Partner’s liabilities included in outside 
				basis under section 752 that give rise to
				directly allocable interest expense under
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">......</span>
				</div>
				Regulations section 1.882-5(a)(1)(ii)(B)							
			</td>
			<xsl:call-template name="CreateTablePaddingTop">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>			
		<!--Line 16b-->
		<tr>
			<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm;">
			<span style="width:3.5mm"></span>b</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
					All other liabilities included in partner’s
				</div>
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">....</span>
				</div>
					outside basis under section 752
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>					
		<!--Line 16c-->
		<tr>
			<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:2mm;">
			<span style="width:3.5mm"></span>c</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">........</span>
				</div>
					Add lines 16a and 16b
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>					
		<!--Line 16d-->
		<tr>
			<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:2.5mm;">
			<span style="width:3.5mm"></span>d</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">.....</span>
				</div>
					Subtract line 16c from line 15
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>					
		<!--Line 17-->
		<tr>
			<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">17</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
				Partner’s liabilities under Regulations <br/> 
				section 1.884-1(d)(3)(vi). (<b>Note: </b>Enter the <br />
				line 17 total on Schedule I, line 8,
				</div>						
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">...........</span>
				</div>
				 column (b).)												
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>		
		<!--Line 18-->
		<tr>
			<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">18</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
				<b>Partner’s outside basis under Regulations section 1.884-1(d)(3)(vi).</b>  Add lines 16d
				</div>						
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">.............</span>
				</div>
				and 17												
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>			
		<!--Line 19-->
		<tr>
			<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">19</td>
			<td class="sty1120FSchPTableK1Desc" scope="row">
				<div style="text-align-last:justify">
				Partner’s outside basis allocable to ECI
				under Regulations section 1.884-1(d)(3)(i).
				(<b>Note: </b>Enter the line 19 total on Schedule	
				</div>						
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">........</span>
				</div>
				I, line 5, column (b).)												
			</td>
			<xsl:call-template name="CreateTable">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol"><span style="width:1px" /></td>
		</tr>			
		<!--Line 20-->
		<tr>
			<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm; border-bottom-width:2px">20</td>
			<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:2px" scope="row">
				<div style="text-align-last:justify">
				Enter “income” or “asset” to indicate
				the allocation method used on line 19
				</div>						
				<div class="sty1120FSchPRightFloat">
					<span class="sty1120FSchPDotLn">..........</span>
				</div>
				(see instructions)												
			</td>
			<xsl:call-template name="CreateTable20">
				<xsl:with-param name="Start" select="1" />
				<xsl:with-param name="Stop" select="5" />
				<xsl:with-param name="TargetNode" select="none" />
			</xsl:call-template>
			<td class="sty1120FSchPTableK1CellLastCol" style="border-bottom-width:2px"><span style="width:1px" /></td>
		</tr>			
		</xsl:if>
		</tbody>
	</table>
	</div>
	<!-- page break and footer-->
	<div style="width:187mm;padding-top:0.5mm;">  
		<div style="float:left;">
			<span class="styBoldText"></span>
			<span style="width:13mm;"></span>                        
		</div>
		<div style="float:right;">
			<span style="width:40px;"></span>  
			<span class="styBoldText">Schedule P (Form 1120-F) 2007</span></div>    
	</div>
	<div class="pageEnd" />	
	<!-- end page break and footer  -->
 	
	<!-- BEGIN Left Over Table -->  
	
	<!-- Additonal Data Title Bar and Button -->
	<div class="styLeftOverTitleLine" id="LeftoverData">
		<div class="styLeftOverTitle">
			Additional Data        
		</div>
		<div class="styLeftOverButtonContainer">
			<input class="styLeftoverTableBtn" type="button" TabIndex="-1" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
		</div>      
	</div>
	<!-- Additional Data Table -->
	<table class="styLeftOverTbl">
		<xsl:call-template name="PopulateCommonLeftover">
			<xsl:with-param name="TargetNode" select="$FormData" />
			<xsl:with-param name="DescWidth" select="100"/>
		</xsl:call-template>
	</table>  
	<!-- END Left Over Table --> 
	
	<!-- begin additional separated data for Part I -->
	<xsl:if test="($Print = $Separated) and (count($FormData/ForeignPartnerInfo) &gt; 4) ">
	<br />
	        <span class="styRepeatingDataTitle">Form 1120F Schedule P, Part I&#8212;List of Foreign Partner Interests in Partnerships</span>		
	<br />
	<table class="styDepTbl" cellspacing="0" style="font-size:7pt;">
	<thead class="styTableThead">
		<tr class="styDepTblHdr">
			<th class="styDepTblCell" scope="col" style="width:60mm" colspan="2">
				Name of partnership</th>
			<th class="styDepTblCell" scope="col" style="width:87mm">
				Address</th>
			<th class="styDepTblCell" scope="col" style="width:40mm; border-right-width:0px">
				EIN</th>
		</tr>
	</thead>
	<tfoot></tfoot>
	<tbody>
	      	<xsl:for-each select="$FormData/ForeignPartnerInfo">		
		  <tr>
			<xsl:attribute name="class">
			<xsl:choose>
				<xsl:when test="position() mod 2 = 1">styDepTblRow1</xsl:when>
				<xsl:otherwise>styDepTblRow2</xsl:otherwise>
			</xsl:choose>
			</xsl:attribute>
			<td class="styTableCellText" style="width:4mm; border-right-width:0px; font-weight:bold">
				<xsl:number format="A" value="position()" />
			</td>
			<!--Name-->
			<td class="styTableCellText" style="width:56mm"> 
                      <span style="float:none;text-align:left;font-weight:normal">
                        <xsl:choose>
                          <xsl:when test="PartnerName">
                            <xsl:call-template name="PopulateText">
                              <xsl:with-param name="TargetNode" select="PartnerName" />
                            </xsl:call-template>
                          </xsl:when>
                          <xsl:when test="PartnerBusinessName/BusinessNameLine1">
                            <xsl:call-template name="PopulateText">
                              <xsl:with-param name="TargetNode" select="PartnerBusinessName/BusinessNameLine1" />
                            </xsl:call-template>
                            <xsl:if test="PartnerBusinessName/BusinessNameLine2">
                              <br />
                              <xsl:call-template name="PopulateText">
                                <xsl:with-param name="TargetNode" select="PartnerBusinessName/BusinessNameLine2" />
                              </xsl:call-template>
                            </xsl:if>
                          </xsl:when>
                          <xsl:otherwise>
                            <span style="width:1px" />
                          </xsl:otherwise>
                        </xsl:choose>
                      </span>
			</td>
			<!--Address-->
			<td class="styTableCellTextSeparatedData">
                      <xsl:choose>
                        <xsl:when test="PartnerUSAddress">
                          <xsl:call-template name="PopulateUSAddressTemplate">
                            <xsl:with-param name="TargetNode" select="PartnerUSAddress" />
                          </xsl:call-template>
                        </xsl:when>
                        <xsl:when test="PartnerForeignAddress">
                          <xsl:call-template name="PopulateForeignAddressTemplate">
                            <xsl:with-param name="TargetNode" select="PartnerForeignAddress" />
                          </xsl:call-template>
                        </xsl:when>
                        <xsl:otherwise>
                          <span style="width:1px" />
                        </xsl:otherwise>
                      </xsl:choose>
			</td>
			<!--EIN-->
			<td class="styTableCellText">
                    <xsl:choose>
                      <xsl:when test="PartnerEIN">
                        <xsl:call-template name="PopulateEIN">
                          <xsl:with-param name="TargetNode" select="PartnerEIN"/>
                        </xsl:call-template>		
                      </xsl:when>
                      <xsl:when test="MissingSSNEINReason">
                        <xsl:call-template name="PopulateEIN">
                          <xsl:with-param name="TargetNode" select="MissingSSNEINReason"/>
                        </xsl:call-template>		
                      </xsl:when>
                      <xsl:otherwise>
                        <span style="width:1px" />
                      </xsl:otherwise>                 
                    </xsl:choose>
			</td>
		  </tr>
		</xsl:for-each>
	</tbody>
	</table>	
	</xsl:if>
	<!-- end additional separated data for Part I -->         
	<!-- begin additional separated data for Part II -->
	<xsl:if test="($Print = $Separated) and (count($FormData/ForeignPartnerInfo) &gt; 4) ">
	<br />
	        <span class="styRepeatingDataTitle">Form 1120F Schedule P, Part II&#8212;Foreign Partner Income and Expenses: Reconciliation to Schedule K-1 (Form 1065)</span>	
	<br />
          <table class="styDepTbl" cellpadding="0" cellspacing="0" style="width:187mm;font-size:7pt">
		<tbody>
			<!--For each table with 4 items do the following-->
				<xsl:for-each select="$FormData/ForeignPartnerInfo">               
					<xsl:if test="position() mod 4 = 1">
					<!--Table Header-->
					<tr class="styDepTblHdr">
						<td colspan="2" class="sty1120FSchPTableK1CellMainHeaderSpacer" />
						<td colspan="5" class="sty1120FSchPTableK1CellMainHeader">Schedules K-1</td>
					</tr>
                    		<tr class="styDepTblHdr">
						<td colspan="2" class="sty1120FSchPTableK1CellHeaderSpacer"><span style="width:1px" /></td>
							<xsl:call-template name="CreateHeader">
								<xsl:with-param name="Start" select="position()" />
								<xsl:with-param name="Stop" select="position()+4" />
							</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastColHeader">Total</td>
					</tr>
                  		 	<!--Line 1-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">1</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								Net income (loss) reported on lines 1
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">......</span>
							</div>
								through 3, Schedule K-1
						</td>
						<xsl:call-template name="CreateTableDepRow3">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/NetIncome" />
						</xsl:call-template>
						<td class="styDepTblRow3LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/NetIncome" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
					<!--Line 2-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">2</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								Gross income included on lines 1
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">......</span>
							</div>
							through 3, Schedule K-1
						</td>
						<xsl:call-template name="CreateTableDepRow4">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/GrossIncome" />
						</xsl:call-template>
						<td class="styDepTblRow4LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/GrossIncome" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
					<!--Line 3-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">3</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								Gross effectively connected income (ECI)
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">...</span>
							</div>
							on lines 1 through 3, Schedule K-1
						</td>
						<xsl:call-template name="CreateTableDepRow3">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/GrossECI" />
						</xsl:call-template>
						<td class="styDepTblRow3LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/GrossECI" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
                  			</tr>
					<!--Line 4-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">4</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								Other non-interest expenses on lines 1
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">......</span>
							</div>
							 through 3, Schedule K-1
						</td>
						<xsl:call-template name="CreateTableDepRow4">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherNonInterestExpense" />
						</xsl:call-template>
						<td class="styDepTblRow4LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherNonInterestExpense" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>
					<!--Line 5-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:1px; padding-left:2.5mm">5</td>
						<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px">
							<div style="text-align-last:justify">
								Non-interest expenses on lines 1 through 
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.</span>
							</div>
							3, Schedule K-1, allocated to gross ECI
						</td>
						<xsl:call-template name="CreateTableDepRow3">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/NonIntExpensesAllocToGrossECI" />
						</xsl:call-template>
						<td class="styDepTblRow3LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/NonIntExpensesAllocToGrossECI" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                 			</tr>
					<!--Line 6-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">6</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								Other gross income reported on 
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">..........</span>
							</div>
							Schedule K-1
						</td>
						<xsl:call-template name="CreateTableDepRow4">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherGrossIncomeReported" />
						</xsl:call-template>
						<td class="styDepTblRow4LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherGrossIncomeReported" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
                  			</tr>
					<!--Line 7-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">7</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:left">
								Other gross ECI reported on 
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">..........</span>
							</div>
							Schedule K-1
						</td>
						<xsl:call-template name="CreateTableDepRow3">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherGrossECIReported" />
						</xsl:call-template>
						<td class="styDepTblRow3LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherGrossECIReported" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>
					<!--Line 8-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-left:2.5mm">8</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								Other non-interest expenses reported 
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.........</span>
							</div>
							on Schedule K-1
						</td>
						<xsl:call-template name="CreateTableDepRow4">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherNonIntExpensesReported" />
						</xsl:call-template>
						<td class="styDepTblRow4LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherNonIntExpensesReported" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>							
                  			</tr>
					<!--Line 9-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:1px; padding-left:2.5mm">9</td>
						<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px">
							<div style="text-align-last:justify">
								Other non-interest expenses reported
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">...</span>
							</div>
							on Schedule K-1 allocated to ECI 
						</td>
						<xsl:call-template name="CreateTableDepRow3">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherNonIntExpensesAllocToECI" />
						</xsl:call-template>
						<td class="styDepTblRow3LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherNonIntExpensesAllocToECI" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
                  			</tr>
					<!--Line 10-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD">10</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:left">
								<b>Total gross income.</b> Add lines 2
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.............</span>
							</div>
							and 6 
						</td>
						<xsl:call-template name="CreateTableDepRow4">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/TotalGrossIncome" />
						</xsl:call-template>
						<td class="styDepTblRow4LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/TotalGrossIncome" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
                  			</tr>                  			
					<!--Line 11-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:1px">11</td>
						<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px">
							<div style="text-align-last:justify">
								<b>Total gross effectively connected</b>
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">......</span>
							</div>
							<b>income. </b>Add lines 3 and 7
						</td>
						<xsl:call-template name="CreateTableDepRow3">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/TotalGrossECI" />
						</xsl:call-template>
						<td class="styDepTblRow3LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/TotalGrossECI" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>                  			
					<!--Line 12-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD">12</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								Interest expense on lines 1 through 3,
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">..........</span>
							</div>
							Schedule K-1
						</td>
						<xsl:call-template name="CreateTableDepRow4">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/InterestExpenseIncluded" />
						</xsl:call-template>
						<td class="styDepTblRow4LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/InterestExpenseIncluded" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>
                  			</tr>                    			
					<!--Line 13-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD">13</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								Other interest expense reported on
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">....</span>
							</div>
							Schedule K-1, lines 13 and 18
						</td>
						<xsl:call-template name="CreateTableDepRow3">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherInterestExpenseReported" />
						</xsl:call-template>
						<td class="styDepTblRow3LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherInterestExpenseReported" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>                    			
					<!--Line 14a-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD">14a</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								<b>Total interest expense. </b>Add lines 12
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">............</span>
							</div>
							and 13
						</td>
						<xsl:call-template name="CreateTableDepRow4">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/TotalInterestExpense" />
						</xsl:call-template>
						<td class="styDepTblRow4LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/TotalInterestExpense" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>                    			
					<!--Line 14b-->
					<tr class="styDepTblHdr">
						<td valign="top" class="sty1120FSchPTableK1CellNumSD"><span style="width:3mm; padding-top:1mm"></span>b</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								Interest expense directly allocable <br />
								under Regulations section<br />
								1.882-5(a)(1)(ii)(B). 	(<b>Note:</b> Include the<br />
								line 14b total on Schedule I, line 22.)<br />
							</div>
						</td>
						<xsl:call-template name="CreateTableDepRow3Padding">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/IntExpnsAllcblSect18825a1iiB" />
						</xsl:call-template>
						<td class="styDepTblRow3LC" style="padding-top:9mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/IntExpnsAllcblSect18825a1iiB" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>	
                  			</tr>
					<!--Line 14c-->
					<tr class="styDepTblHdr">
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="border-bottom-width:1px"><span style="width:3mm; padding-top:1mm"></span>c</td>
						<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px">
							<div style="text-align-last:justify">
								Subtract line 14b from line 14a. (<b>Note:</b> <br />
								Enter the line 14c total on Schedule I,<br />
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">........</span>
							</div>								
								line 9, column (b).)
						</td>
						<xsl:call-template name="CreateTableDepRow4Padding">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/InterestExpenseNotDrtAllcbl" />
						</xsl:call-template>
						<td class="styDepTblRow4LC" style="padding-top:6mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/InterestExpenseNotDrtAllcbl" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
                  			</tr>       
				</xsl:if>
			</xsl:for-each>
          		</tbody>
          	</table>        
	</xsl:if>          	
	<!-- end additional separated data for Part II -->                
	<!-- begin additional separated data for Part III -->  
	<xsl:if test="($Print = $Separated) and (count($FormData/ForeignPartnerInfo) &gt; 4) ">
	<br />
	        <span class="styRepeatingDataTitle">
	        	Form 1120F Schedule P, Part III&#8212;Foreign Partner’s Average Outside Basis Under Regulations sections 1.882-5(b) and 1.884-1(d)(3)
	        </span>	
	<br />
          <table class="styDepTbl" cellpadding="0" cellspacing="0" style="width:187mm;font-size:7pt">
          	<tbody>
			<!--For each table with 4 items do the following-->
				<xsl:for-each select="$FormData/ForeignPartnerInfo">               
					<xsl:if test="position() mod 4 = 1">
					<!--Table Header-->
					<tr class="styDepTblHdr">
						<td colspan="2" class="sty1120FSchPTableK1CellMainHeaderSpacer" />
						<td colspan="5" class="sty1120FSchPTableK1CellMainHeader">Schedules K-1</td>
					</tr>
                    		<tr class="styDepTblHdr">
						<td colspan="2" class="sty1120FSchPTableK1CellHeaderSpacer"><span style="width:1px" /></td>
							<xsl:call-template name="CreateHeader">
								<xsl:with-param name="Start" select="position()" />
								<xsl:with-param name="Stop" select="position()+4" />
							</xsl:call-template>
						<td class="sty1120FSchPTableK1CellLastColHeader">Total</td>
					</tr>
                  		 	<!--Line 15-->
					<tr class="styDepTblHdr">
						<td class="sty1120FSchPTableK1CellNumSD" style="padding-top:2.5mm">15</td>
						<td class="sty1120FSchPTableK1Desc">
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">......</span>
							</div>
							Section 705 outside basis							
						</td>
						<xsl:call-template name="CreateTableDepRow3">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/Section705OutsideBasis" />
						</xsl:call-template>
						<td class="styDepTblRow3LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/Section705OutsideBasis" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>
                  		 	<!--Line 16a-->
					<tr class="styDepTblHdr">
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">16a</td>
						<td class="sty1120FSchPTableK1Desc">
							Partner’s liabilities included in outside 
							basis under section 752 that give rise to
							directly allocable interest expense under
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.</span>
							</div>
							Regulations section 1.882-5(a)(1)(ii)(B)							
						</td>
						<xsl:call-template name="CreateTableDepRow4Padding9mm">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/PartnerLiabUnderSect18825a1iiB" />
						</xsl:call-template>
						<td class="styDepTblRow4LC" style="padding-top:9mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/PartnerLiabUnderSect18825a1iiB" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>			
                  		 	<!--Line 16b-->
					<tr class="styDepTblHdr">
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm;">
						<span style="width:3.5mm"></span>b</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								All other liabilities included in partner’s
							</div>
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">....</span>
							</div>
								outside basis under section 752
						</td>
						<xsl:call-template name="CreateTableDepRow3">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OtherLiabilitiesIncluded" />
						</xsl:call-template>
						<td class="styDepTblRow3LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OtherLiabilitiesIncluded" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>							
					</tr>					
                  		 	<!--Line 16c-->
					<tr class="styDepTblHdr">
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:2.5mm;">
						<span style="width:3.5mm"></span>c</td>
						<td class="sty1120FSchPTableK1Desc">
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.......</span>
							</div>
								Add lines 16a and 16b
						</td>
						<xsl:call-template name="CreateTableDepRow4">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/SumOfLiabilitiesUnderSect752" />
						</xsl:call-template>
						<td class="styDepTblRow4LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/SumOfLiabilitiesUnderSect752" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>							
					</tr>					
                  		 	<!--Line 16d-->
					<tr class="styDepTblHdr">
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:2.5mm;">
						<span style="width:3.5mm"></span>d</td>
						<td class="sty1120FSchPTableK1Desc">
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">....</span>
							</div>
								Subtract line 16c from line 15
						</td>
						<xsl:call-template name="CreateTableDepRow3">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/OutsideBasisLessSect752Liab" />
						</xsl:call-template>
						<td class="styDepTblRow3LC">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/OutsideBasisLessSect752Liab" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>					
                  		 	<!--Line 17-->
					<tr class="styDepTblHdr">
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">17</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
							Partner’s liabilities under Regulations<br/>
							section 1.884-1(d)(3)(vi). (<b>Note: </b>Enter the
							line 17 total on Schedule I, line 8,
							</div>						
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">..........</span>
							</div>
							 column (b).)												
						</td>
						<xsl:call-template name="CreateTableDepRow4Padding9mm">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/PartnerLiabUnderSect18841d3vi" />
						</xsl:call-template>
						<td class="styDepTblRow4LC" style="padding-top:9mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/PartnerLiabUnderSect18841d3vi" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>			
                  		 	<!--Line 18-->
					<tr class="styDepTblHdr">
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">18</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
								<b>Partner’s outside basis under <br/> Regulations section 1.884-1(d)(3)(vi).</b>  <br/>
							</div>						
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">.......</span>
							</div>
							Add lines 16d and 17												
						</td>
						<xsl:call-template name="CreateTableDepRow3Padding6">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/PartnerBasisUnderSect18841d3vi" />
						</xsl:call-template>
						<td class="styDepTblRow3LC" style="padding-top:6mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/PartnerBasisUnderSect18841d3vi" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>			
                  		 	<!--Line 19-->
					<tr class="styDepTblHdr">
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm">19</td>
						<td class="sty1120FSchPTableK1Desc">
							<div style="text-align-last:justify">
							Partner’s outside basis allocable to ECI
							under Regulations section 1.884-1(d)(3)(i).
							(<b>Note: </b>Enter the line 19 total on	
							</div>						
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">....</span>
							</div>
							 Schedule I, line 5, column (b).)												
						</td>
						<xsl:call-template name="CreateTableDepRow4Padding9mm">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/PartnerOutsideBasisAllcblToECI" />
						</xsl:call-template>
						<td class="styDepTblRow4LC" style="padding-top:9mm">
							<xsl:choose>
							<xsl:when test="position() = 1 ">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/Total/PartnerOutsideBasisAllcblToECI" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<span style="width:1px"></span>
							</xsl:otherwise>
							</xsl:choose>
						</td>						
					</tr>			
                  		 	<!--Line 20-->
					<tr class="styDepTblHdr">
						<td valign="top" class="sty1120FSchPTableK1CellNumSD" style="padding-top:1mm; border-bottom-width:1px">20</td>
						<td class="sty1120FSchPTableK1Desc" style="border-bottom-width:1px">
							<div style="text-align-last:justify">
							Enter “income” or “asset” to indicate
							the allocation method used on line 19
							</div>						
							<div class="sty1120FSchPRightFloat">
								<span class="sty1120FSchPDotLn">........</span>
							</div>
							(see instructions)												
						</td>
						<xsl:call-template name="CreateTableDep20">
							<xsl:with-param name="Start" select="position()" />
							<xsl:with-param name="Stop" select="position()+4" />
							<xsl:with-param name="TargetNode" select="$FormData/ForeignPartnerInfo/AllocationMethodUsed" />
						</xsl:call-template>
						<td class="styDepTblRow3LC" style="border-bottom-width:1px">
							<span style="width:1px" />
						</td>
					</tr>			
				</xsl:if>
			</xsl:for-each>
		</tbody>
	</table>
       </xsl:if>  
	<!-- end additional separated data for Part III -->  		
       </form>
      </body>  
    </html>
  </xsl:template>
  
<xsl:template name="CreateHeader">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	  	<xsl:if test="$Start &lt; $Stop">
		      <td class="sty1120FSchPTableK1CellHeader">
       		<xsl:number format="A" value="$Start" />
		      </td>
		<xsl:call-template name="CreateHeader">
			<xsl:with-param name="Start" select="$Start + 1" />
			<xsl:with-param name="Stop" select="$Stop" />
		</xsl:call-template>
  		</xsl:if> 
  </xsl:template>
  
<xsl:template name="CreateTable">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
		<xsl:if test="$Start &lt; $Stop">
			<td class="sty1120FSchPTableK1Cell">
			<xsl:call-template name="PopulateAmount">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTable">
			<xsl:with-param name="Start" select="$Start + 1" />
			<xsl:with-param name="Stop" select="$Stop" />
			<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>

<xsl:template name="CreateTablePaddingTop">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
		<xsl:if test="$Start &lt; $Stop">
			<td class="sty1120FSchPTableK1Cell" style="padding-top:9mm">
			<xsl:call-template name="PopulateAmount">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTablePaddingTop">
			<xsl:with-param name="Start" select="$Start + 1" />
			<xsl:with-param name="Stop" select="$Stop" />
			<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>
  
<xsl:template name="CreateTable14c">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
		<xsl:if test="$Start &lt; $Stop">
			<td class="sty1120FSchPTableK1Cell" style="border-bottom-width:2px; padding-top:6mm">
			<xsl:call-template name="PopulateAmount">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTable14c">
				<xsl:with-param name="Start" select="$Start + 1" />
				<xsl:with-param name="Stop" select="$Stop" />
				<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>
  
<xsl:template name="CreateTable20">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
		<xsl:if test="$Start &lt; $Stop">
			<td class="sty1120FSchPTableK1Cell" style="border-bottom-width:2px; text-align:left; padding-left:1mm; padding-top:9mm">
			<xsl:call-template name="PopulateText">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTable20">
				<xsl:with-param name="Start" select="$Start + 1" />
				<xsl:with-param name="Stop" select="$Stop" />
				<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>  

<xsl:template name="CreateTableDep20">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
		<xsl:if test="$Start &lt; $Stop">
			<td class="styDepTblRow3" style="border-bottom-width:1px; text-align:left; padding-left:1mm; padding-top:6mm">
			<xsl:call-template name="PopulateText">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTableDep20">
				<xsl:with-param name="Start" select="$Start + 1" />
				<xsl:with-param name="Stop" select="$Stop" />
				<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>  

<xsl:template name="CreateTableDepRow3">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
			<xsl:if test="$Start &lt; $Stop">
			<td class="styDepTblRow3" style="border-bottom-width:1px; text-align:right; padding-left:1mm">
			<xsl:call-template name="PopulateAmount">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTableDepRow3">
				<xsl:with-param name="Start" select="$Start + 1" />
				<xsl:with-param name="Stop" select="$Stop" />
				<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>  

<xsl:template name="CreateTableDepRow3Padding">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
			<xsl:if test="$Start &lt; $Stop">
			<td class="styDepTblRow3" style="border-bottom-width:1px; text-align:right; padding-left:1mm;padding-top:9mm">
			<xsl:call-template name="PopulateAmount">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTableDepRow3Padding">
				<xsl:with-param name="Start" select="$Start + 1" />
				<xsl:with-param name="Stop" select="$Stop" />
				<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>

<xsl:template name="CreateTableDepRow3Padding6">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
			<xsl:if test="$Start &lt; $Stop">
			<td class="styDepTblRow3" style="border-bottom-width:1px; text-align:right; padding-left:1mm;padding-top:6mm">
			<xsl:call-template name="PopulateAmount">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTableDepRow3Padding6">
				<xsl:with-param name="Start" select="$Start + 1" />
				<xsl:with-param name="Stop" select="$Stop" />
				<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>

<xsl:template name="CreateTableDepRow4">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
			<xsl:if test="$Start &lt; $Stop">
			<td class="styDepTblRow4" style="border-bottom-width:1px; text-align:right; padding-left:1mm">
			<xsl:call-template name="PopulateAmount">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTableDepRow4">
				<xsl:with-param name="Start" select="$Start + 1" />
				<xsl:with-param name="Stop" select="$Stop" />
				<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>  

<xsl:template name="CreateTableDepRow4Padding">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
			<xsl:if test="$Start &lt; $Stop">
			<td class="styDepTblRow4" style="border-bottom-width:1px; text-align:right; padding-left:1mm; padding-top:6mm">
			<xsl:call-template name="PopulateAmount">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTableDepRow4Padding">
				<xsl:with-param name="Start" select="$Start + 1" />
				<xsl:with-param name="Stop" select="$Stop" />
				<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>  

<xsl:template name="CreateTableDepRow4Padding9mm">
	<xsl:param name="Start" />
	<xsl:param name="Stop" />
	<xsl:param name="TargetNode" />
			<xsl:if test="$Start &lt; $Stop">
			<td class="styDepTblRow4" style="border-bottom-width:1px; text-align:right; padding-left:1mm; padding-top:9mm">
			<xsl:call-template name="PopulateAmount">
				<xsl:with-param name="TargetNode" select="$TargetNode[position()=$Start]" />
			</xsl:call-template>
			</td>
			<xsl:call-template name="CreateTableDepRow4Padding9mm">
				<xsl:with-param name="Start" select="$Start + 1" />
				<xsl:with-param name="Stop" select="$Stop" />
				<xsl:with-param name="TargetNode" select="$TargetNode" />
			</xsl:call-template>
		</xsl:if>
</xsl:template>  

</xsl:stylesheet>
