<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS2290Style.xsl"/>


<xsl:output method="html" indent="yes" />
<xsl:strip-space elements="*" />

<xsl:param name="Form2290" select="$RtnDoc/IRS2290" />

<xsl:template match="/">

<html>
  <head>
  <title><xsl:call-template name="FormTitle"><xsl:with-param name="RootElement" select="local-name($Form2290)"></xsl:with-param></xsl:call-template></title>
  <!-- No Browser Caching -->
  <meta http-equiv="Pragma" content="no-cache" />
  <meta http-equiv="Cache-Control" content="no-cache" />
  <meta http-equiv="Expires" content="0" />
  <!-- No Proxy Caching -->
  <meta http-equiv="Cache-Control" content="private" />
  <!-- Define Character Set -->
  <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
  <meta name="Description" content="IRS Form 2290" />
  
 
  
  <xsl:call-template name="InitJS"></xsl:call-template>
  <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
  
  <style type="text/css">
   <xsl:if test="not($Print) or $Print=''">
      
      <xsl:call-template name="IRS2290Style"></xsl:call-template>  
      <xsl:call-template name="AddOnStyle"></xsl:call-template>
    </xsl:if>
  </style>
  <xsl:call-template name="GlobalStylesForm"/>
</head>
  <body class="styBodyClass">
    <form name="Form2290">
    <xsl:call-template name="DocumentHeader"></xsl:call-template>
<!-- Begin Form Title -->
    <div class="styBB" style="width:187mm;">
      <div class="styFNBox" style="width:31mm;height:20mm;">
        Form <span class="styFormNumber">2290</span>      
        <br />      
        <span class="styAgency">(Rev. July 2007)
          <br/> Department of the Treasury
        </span>
        <br />
        <span class="styAgency">Internal Revenue Service </span>
        <xsl:call-template name="SetFormLinkInline">
        <xsl:with-param name="TargetNode" select="$Form2290" />
      </xsl:call-template>
      </div>
      <div class="styFTBox" style="width:125mm;height:20mm;">
        <div class="styMainTitle" style="">Heavy Highway Vehicle Use Tax Return</div>
        <div style="font-family: 'Arial';font-size:10pt;">
          For the period July 1, 2007, through June 30, 2008
        </div>
        <div class="styFBT">
          <img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet" /> 
          Attach both copies of Schedule 1 to this return
        </div>
        <div class="styFBT">
          <img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet" /> 
          See the separate instructions.
        </div>
      </div>
      <div class="styTYBox" style="width:30mm;height:20mm;">
        <div class="styOMB" style="height:10mm;padding-left:1mm;padding-top:1mm;text-align:left;font-family:'Arial Narrow';font-size:8pt">Keep a copy of this<br />return for your records</div>
        <div style="height:10mm;padding-left:0.5mm;padding-top:3mm;text-align:left;border-bottom-width:0">OMB No. 1545-0143</div>
      </div>
    </div>
<!-- End Form Title -->

<!-- Begin Address Change Table -->    
    
      <table  border="0" cellspacing="0" cellpadding="0" style="font-size:6pt;width:187mm">
        <tbody>
          <tr>
            <td rowspan="3" style="width:21mm;border:0 solid black;border-right-width:1;padding-top:2mm">
              <span class="styBoldText"><center>Type<br />or Print</center></span>
              <br/>Check here if:
              <br/>Address change
              <input type="checkbox" class="styCkbox">
                <xsl:call-template name="PopulateCheckbox">
                  <xsl:with-param name="TargetNode" select="$Form2290/AddressChange" />
                  <xsl:with-param name="BackupName">IRS2290AddressChange</xsl:with-param>
                </xsl:call-template>
              </input>
              <label>
                <xsl:call-template name="PopulateLabel">
                  <xsl:with-param name="TargetNode" select="$Form2290/AddressChange" />
                  <xsl:with-param name="BackupName">IRS2290AddressChange</xsl:with-param>
                </xsl:call-template>
              </label>
              <br/>Final return
              <span style="width:4.5mm"></span>
              <input type="checkbox" class="styCkbox">
                <xsl:call-template name="PopulateCheckbox">
                  <xsl:with-param name="TargetNode" select="$Form2290/FinalReturn" />
                  <xsl:with-param name="BackupName">IRS2290FinalReturn</xsl:with-param>
                </xsl:call-template>
              </input>
              <label>
                <xsl:call-template name="PopulateLabel">
                  <xsl:with-param name="TargetNode" select="$Form2290/FinalReturn" />
                  <xsl:with-param name="BackupName">IRS2290FinalReturn</xsl:with-param>
                </xsl:call-template>
              </label>
              <br/>
              <xsl:call-template name="LinkToLeftoverDataTableInline">
                <xsl:with-param name="Desc">Amended Return</xsl:with-param>
                <xsl:with-param name="TargetNode" select="$Form2290/AmendedReturn" />
              </xsl:call-template>
              <xsl:call-template name="LinkToLeftoverDataTableInline">
                <xsl:with-param name="Desc">Amended Month</xsl:with-param>
                <xsl:with-param name="TargetNode" select="$Form2290/AmendedMonth" />
              </xsl:call-template>
            </td>
            <td style="width:88mm;border:0 solid black;border-right-width:1;border-bottom-width:1;padding-left:2mm">Name
              <br/><br /><xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template>
            </td>
            <td style="width:43mm;border:0 solid black;border-right-width:1;border-bottom-width:1;padding-bottom:0.25mm;padding-left:1mm">
            <b>Employer identification number</b><br/>
              <div style="padding-top:1.25mm">
                <xsl:call-template name="PopulateIndividualSizableLetterBox">
                  <xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/EIN" />
                  <xsl:with-param name="BoxNum" select="1" />
                  <xsl:with-param name="BoxWidth" select="'4mm'" />
                  <xsl:with-param name="BoxHeight" select="'3.5mm'" />
                  <xsl:with-param name="BoxTopPadding" select="'0mm'" />
                </xsl:call-template>
                <span style="width:0.5mm;float:left;clear:none" />
                <xsl:call-template name="PopulateIndividualSizableLetterBox">
                  <xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/EIN" />
                  <xsl:with-param name="BoxNum" select="2" />
                  <xsl:with-param name="BoxWidth" select="'4mm'" />
                  <xsl:with-param name="BoxHeight" select="'3.5mm'" />
                  <xsl:with-param name="BoxTopPadding" select="'0mm'" />
                </xsl:call-template>
                <span style="float:left;clear:none"> - </span>
                <xsl:call-template name="PopulateIndividualSizableLetterBox">
                  <xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/EIN" />
                  <xsl:with-param name="BoxNum" select="3" />
                  <xsl:with-param name="BoxWidth" select="'4mm'" />
                  <xsl:with-param name="BoxHeight" select="'3.5mm'" />
                  <xsl:with-param name="BoxTopPadding" select="'0mm'" />
                </xsl:call-template>
                <span style="width:0.5mm;float:left;clear:none" />
                <xsl:call-template name="PopulateIndividualSizableLetterBox">
                  <xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/EIN" />
                  <xsl:with-param name="BoxNum" select="4" />
                  <xsl:with-param name="BoxWidth" select="'4mm'" />
                  <xsl:with-param name="BoxHeight" select="'3.5mm'" />
                  <xsl:with-param name="BoxTopPadding" select="'0mm'" />
                </xsl:call-template>
                <span style="width:0.5mm;float:left;clear:none" />
                <xsl:call-template name="PopulateIndividualSizableLetterBox">
                  <xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/EIN" />
                  <xsl:with-param name="BoxNum" select="5" />
                  <xsl:with-param name="BoxWidth" select="'4mm'" />
                  <xsl:with-param name="BoxHeight" select="'3.5mm'" />
                  <xsl:with-param name="BoxTopPadding" select="'0mm'" />
                </xsl:call-template>
                <span style="width:0.5mm;float:left;clear:none" />
                <xsl:call-template name="PopulateIndividualSizableLetterBox">
                  <xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/EIN" />
                  <xsl:with-param name="BoxNum" select="6" />
                  <xsl:with-param name="BoxWidth" select="'4mm'" />
                  <xsl:with-param name="BoxHeight" select="'3.5mm'" />
                  <xsl:with-param name="BoxTopPadding" select="'0mm'" />
                </xsl:call-template>
                <span style="width:0.5mm;float:left;clear:none" />
                <xsl:call-template name="PopulateIndividualSizableLetterBox">
                  <xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/EIN" />
                  <xsl:with-param name="BoxNum" select="7" />
                  <xsl:with-param name="BoxWidth" select="'4mm'" />
                  <xsl:with-param name="BoxHeight" select="'3.5mm'" />
                  <xsl:with-param name="BoxTopPadding" select="'0mm'" />
                </xsl:call-template>
                <span style="width:0.5mm;float:left;clear:none" />
                <xsl:call-template name="PopulateIndividualSizableLetterBox">
                  <xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/EIN" />
                  <xsl:with-param name="BoxNum" select="8" />
                  <xsl:with-param name="BoxWidth" select="'4mm'" />
                  <xsl:with-param name="BoxHeight" select="'3.5mm'" />
                  <xsl:with-param name="BoxTopPadding" select="'0mm'" />
                </xsl:call-template>
                <span style="width:0.5mm;float:left;clear:none" />
                <xsl:call-template name="PopulateIndividualSizableLetterBox">
                  <xsl:with-param name="TargetNode" select="$RtnHdrData/Filer/EIN" />
                  <xsl:with-param name="BoxNum" select="9" />
                  <xsl:with-param name="BoxWidth" select="'4mm'" />
                  <xsl:with-param name="BoxHeight" select="'3.5mm'" />
                  <xsl:with-param name="BoxTopPadding" select="'0mm'" />
                </xsl:call-template>
              </div>
            </td>
            <td style="border:1 solid black;border-right-width:0;text-align:center;font-weight:bold">FOR IRS<br />USE ONLY</td>
          </tr>
          <tr>
            <td colspan="2" style="border:0 solid black;border-right-width:1;border-bottom-width:1;padding-left:2mm">Address (number, street, and room or suite no.)
              <br/><xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">AddressLine1</xsl:with-param></xsl:call-template>
              <br/><xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">AddressLine2</xsl:with-param></xsl:call-template>
            </td>
            <td rowspan="2" style="border:1 solid black;border-right-width:0;"><b>T<br/>FF<br/>FP<br/>I<br/>T</b><br/></td>
          </tr>
          <tr>
            <td colspan="2" style="border:0 solid black;border-right-width:1;padding-left:2mm">City, state, and ZIP code (for Canadian or Mexican address, see page 4 of the instructions.)
              <br/><xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">CityStateInfo</xsl:with-param></xsl:call-template>
              <br />
          <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">Country</xsl:with-param><xsl:with-param name="MainForm">true</xsl:with-param>   </xsl:call-template>
            </td>
          </tr>
        </tbody>
      </table>
<!-- End Address Change Table -->


 <div class="styBB" style="width:187mm;height:3.75mm;border-top-width:1">
  <div class="styPartName" style="height:3.75mm">Part I</div>
  <div class="styPartDesc" style="float:left;width:167mm;"> Figuring the Tax</div>
</div>
<!-- Line 1 -->
<div style="width:187mm;">
  <div class="styLNLeftNumBox" style="height:4.5mm;">1</div>
  <div class="styLNDesc" style="width:135mm;height:4.5mm;">Was the vehicle(s) reported on this return used on public highways during <span class="styBoldText">July 2007</span>? If YES,</div>
  <div style="float:right">
    <div class="styLNRightNumBox" style="height:4.5mm;border-bottom-width:0;"></div>
    <div class="styLNAmountBox" style="height:4.5mm;width:34mm;border-bottom-width:0">
    </div>
  </div>
</div>
<div style="width:187mm;">
  <div class="styLNLeftNumBox" style="height:4.5mm;"></div>
  <div class="styLNDesc" style="width:117mm;height:4.5mm">enter <span class="styBoldText">200707</span> in the boxes to the right. If NO, see the table on page 3 of the instructions</div>
  <div class="styLNAmountBox" style="height:4.5mm;width:34mm;float:right">      
    <xsl:call-template name="PopulateYear">
      <xsl:with-param name="TargetNode" select="$RtnHdrData/FirstUsedDate"></xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="PopulateMonth">
      <xsl:with-param name="TargetNode" select="$RtnHdrData/FirstUsedDate"></xsl:with-param>
    </xsl:call-template>
  </div>
  <div class="styLNRightNumBox" style="height:4.5mm;float:right">1</div>
  <span style="float:right;padding-right:3mm;padding-top:1mm">
    <img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet"/>
  </span>
  <div class="styDotLn" style="float:right;padding-right:2mm;padding-top:1mm">...</div>
</div>
<!-- Line 2 -->
<div style="width:187mm;">
  <div class="styLNLeftNumBox" style="height:4.5mm;">2</div>
  <div class="styLNDesc" style="width:77mm;height:4.5mm"><span class="styBoldText">Tax.</span> Enter the <span class="styBoldText">Total</span> from Form 2290, page 2, column (4)</div>
  <div class="styLNAmountBox" style="height:4.5mm;width:34mm;float:right">
    <xsl:call-template name="PopulateAmount">
      <xsl:with-param name="TargetNode" select="$Form2290/TaxFromTaxComputation" />
    </xsl:call-template>
  </div>
  <div class="styLNRightNumBox" style="height:4.5mm;float:right">2</div>
  <span style="float:right;padding-right:3mm;padding-top:1mm">
    <img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet"/>
  </span>
  <span class="styDotLn" style="float:right;padding-right:2mm;padding-top:1mm">.............</span>
</div>
<!-- Line 3 -->
<div style="width:187mm;">
  <div class="styLNLeftNumBox" style="height:4.5mm;">3</div>
  <div class="styLNDesc" style="width:117mm;height:4.5mm;">Additional tax from increase in taxable gross weight. See page 4 of the instructions   
    <xsl:call-template name="SetFormLinkInline">
      <xsl:with-param name="TargetNode" select="$Form2290/AdditionalTax" />
    </xsl:call-template>    
  </div>
  <div class="styLNAmountBox" style="height:4.5mm;width:34mm;float:right">
    <xsl:call-template name="PopulateAmount">
      <xsl:with-param name="TargetNode" select="$Form2290/AdditionalTax" />
    </xsl:call-template>
  </div>
  <div class="styLNRightNumBox" style="height:4.5mm;float:right">3</div>
  <span style="float:right;padding-right:3mm;padding-top:1mm">
    <img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet"/>
  </span>
  <div class="styDotLn" style="float:right;padding-right:2mm;padding-top:1mm">...</div>
</div>
<!-- Line 4 -->
<div style="width:187mm;">
  <div class="styLNLeftNumBox" style="height:4.5mm;">4</div>
  <div class="styLNDesc" style="width:40mm;height:4.5mm"><span class="styBoldText">Total tax.</span> Add lines 2 and 3</div>
  <div class="styLNAmountBox" style="height:4.5mm;width:34mm;float:right">
    <xsl:call-template name="PopulateAmount">
      <xsl:with-param name="TargetNode" select="$Form2290/TotalTax" />
    </xsl:call-template>
  </div>
  <div class="styLNRightNumBox" style="height:4.5mm;float:right">4</div>     
  <span style="float:right;padding-right:3mm;padding-top:1mm">
    <img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet"/>
  </span>
  <div class="styDotLn" style="float:right;padding-right:2mm;padding-top:1mm">......................</div>
</div>
<!-- Line 5 -->
<div style="width:187mm;">
  <div class="styLNLeftNumBox" style="height:4.5mm;">5</div>
  <div class="styLNDesc" style="width:55mm;height:4.5mm;"><span class="styBoldText">Credits.</span> See page 5 of the instructions
    <xsl:call-template name="SetFormLinkInline">
      <xsl:with-param name="TargetNode" select="$Form2290/CreditsAmount" />
    </xsl:call-template>   
  </div>
  <div class="styLNAmountBox" style="width:34mm;height:4.5mm;float:right">
    <xsl:call-template name="PopulateAmount">
      <xsl:with-param name="TargetNode" select="$Form2290/CreditsAmount" />
    </xsl:call-template>
  </div>
  <div class="styLNRightNumBox" style="height:4.5mm;float:right">5</div>
  <span style="float:right;padding-right:3mm;padding-top:1mm">
    <img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet"/>
  </span>
  <div class="styDotLn" style="float:right;padding-right:2mm;padding-top:1mm">...................</div>
</div>
<!-- Line 6 -->
<div style="width:187mm;">
  <div class="styLNLeftNumBox" style="height:4.5mm;">6</div>
  <div class="styLNDesc" style="width:135mm;height:4.5mm;"><span class="styBoldText">Balance due.</span> Subtract line 5 from line 4. This is the amount you owe. If payment through</div>
  <div class="styLNAmountBox" style="height:4.5mm;width:34mm;border-bottom-width:0;float:right" />
  <div class="styLNRightNumBox" style="height:4.5mm;border-bottom-width:0;float:right" />
</div>
<div style="width:187mm;">
  <div class="styLNLeftNumBox" style="height:4.5mm;"></div>
  <div class="styLNDesc" style="width:30mm;height:4.5mm">EFTPS, check here <span style="width2mm"/>
    <input type="checkbox" class="styCkbox">
      <xsl:call-template name="PopulateCheckbox">
        <xsl:with-param name="TargetNode" select="$Form2290/EFTPSPayment" />
        <xsl:with-param name="BackupName">IRS2290EFTPSPayment</xsl:with-param>
      </xsl:call-template>
    </input>
    <label>
      <xsl:call-template name="PopulateLabel">
        <xsl:with-param name="TargetNode" select="$Form2290/EFTPSPayment" />
        <xsl:with-param name="BackupName">IRS2290EFTPSPayment</xsl:with-param>
      </xsl:call-template>
    </label>
  </div>
  <div class="styLNAmountBox" style="width:34mm;height:4.5mm;float:right;border-bottom-width:0px">      
    <xsl:call-template name="PopulateAmount">
      <xsl:with-param name="TargetNode" select="$Form2290/BalanceDue" />
    </xsl:call-template>
  </div>
  <div class="styLNRightNumBox" style="height:4.5mm;float:right;border-bottom-width:0px">6</div>
  <span style="float:right;padding-right:3mm;padding-top:1mm">
    <img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet"/>
  </span>
  <div class="styDotLn" style="float:right;padding-right:2mm;padding-top:1mm">.........................</div>
</div>





<div class="styBB" style="width:187mm;height:3.75mm;border-top-width:1">
        <div class="styPartName" style="height:3.75mm">Part II</div>
        <div class="styPartDesc" style="float:left;width:167mm;"> Statement in Support of Suspension <span style="font-size:7pt;font-weight:normal">(Complete the statements that apply. Attach additional sheets if needed.)</span></div>
        </div>




<div style="width:187mm;">
      <div class="styLNLeftNumBox" style="height:4.5mm;">7</div>
      <div class="styLNDesc" style="width:178mm;height:4.5mm;">        <!--Dotted Line-->
             I declare that the vehicles listed in Part II of Schedule 1 are expected to be used on public highways (check the boxes that
apply):<br/>
  <span style="padding-left:36mm">
        <input type="checkbox" class="styCkbox">

          <xsl:call-template name="PopulateCheckbox">
           <xsl:with-param name="TargetNode" select="$Form2290/Checkbox5000Miles" />
           <xsl:with-param name="BackupName">IRS2290Checkbox5000Miles</xsl:with-param>
         </xsl:call-template>
       </input>
      <label>
        <xsl:call-template name="PopulateLabel">
          <xsl:with-param name="TargetNode" select="$Form2290/Checkbox5000Miles" />
          <xsl:with-param name="BackupName">IRS2290Checkbox5000Miles</xsl:with-param>
        </xsl:call-template>
        5,000 miles or less </label>

<span style="width:10mm"/>
 <input type="checkbox" class="styCkbox">

          <xsl:call-template name="PopulateCheckbox">
           <xsl:with-param name="TargetNode" select="$Form2290/Checkbox7500Miles" />
           <xsl:with-param name="BackupName">IRS2290Checkbox7500Miles</xsl:with-param>
         </xsl:call-template>
       </input>
      <label>
        <xsl:call-template name="PopulateLabel">
          <xsl:with-param name="TargetNode" select="$Form2290/Checkbox7500Miles" />
          <xsl:with-param name="BackupName">IRS2290Checkbox7500Miles</xsl:with-param>
        </xsl:call-template>
        7,500 miles or less for agricultural vehicles</label>

</span><br/>
during the period July 1, 2007, through June 30, 2008, and are suspended from the tax. Complete and attach Schedule 1.
       </div>
     

        </div>




<div style="width:187mm;">
      <div class="styLNLeftNumBox" style="height:4.5mm;">8a</div>
      <div class="styLNDesc" style="width:178mm;height:4.5mm;">        
            I declare that the vehicles listed as suspended on the Form 2290 filed for the period July 1, 2006, through June 30, 2007, were not
subject to the tax for that period except for any vehicles listed on line 8b. <span class="styBoldText">Check this box if applicable.</span><span style="width:3mm"/>    <img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet"/>    <span style="width:3mm"/>
<input type="checkbox" class="styCkbox">

          <xsl:call-template name="PopulateCheckbox">
           <xsl:with-param name="TargetNode" select="$Form2290/NotSubjectToTax " />
           <xsl:with-param name="BackupName">IRS2290NotSubjectToTax </xsl:with-param>
         </xsl:call-template>
       </input>
      <label>
        <xsl:call-template name="PopulateLabel">
          <xsl:with-param name="TargetNode" select="$Form2290/NotSubjectToTax " />
          <xsl:with-param name="BackupName">IRS2290NotSubjectToTax </xsl:with-param>
        </xsl:call-template>
        </label>


</div>
     

        </div>





<div style="width:187mm;">
      <div class="styLNLeftNumBox" style="height:4.5mm;padding-left:3mm;">b</div>
      <div class="styLNDesc" style="width:178mm;height:4.5mm;">        
            Vehicle identification numbers
           
            
             
          <span style="width:130mm;border-bottom:1 black solid"><xsl:call-template name="SetFormLinkInline"><xsl:with-param name="TargetNode" select="$Form2290/SuspendedVIN"></xsl:with-param></xsl:call-template></span>
            </div>
        </div>









<div style="width:187mm;">
      <div class="styLNLeftNumBox" style="height:4.5mm;">9</div>
      <div class="styLNDesc" style="width:178mm;height:4.5mm;">        
           
           I declare that vehicle identification numbers 
            <span style="width:110mm;border-bottom:1 black solid"><xsl:call-template name="SetFormLinkInline"><xsl:with-param name="TargetNode" select="$Form2290/TransferredSuspendedVIN"></xsl:with-param></xsl:call-template></span>

           
           <br/>
were listed as suspended on the Form 2290 filed for the period July 1, 2006, through June 30, 2007. These vehicles were sold or
transferred to
<span style="width:60mm;border-bottom:1 black solid"/>

 on <span style="width:30mm;border-bottom:1 black solid"/>,<span style="width:30mm;border-bottom:1 black solid"/>.<br/>
At the time of the transfer, the vehicles were still eligible for the suspension of the tax. Attach a separate list if needed.
           </div>
     

        </div>



<table border="0" cellspacing="0" cellpadding="0" style="font-size:7pt;width:187mm">
  <tbody>
    <tr>
      <td style="font-size:8pt;border:1 solid black;border-left-width:0;font-weight:bold">Third<br/> Party<br/> Designee</td>
      <td style="padding-left:2mm;border:1 solid black;border-left-width:0;border-right-width:0">Do you want to allow another person to discuss this return with the IRS (see instructions)?
        <input type="checkbox" class="styCkbox">
        <xsl:call-template name="PopulateCheckbox">
          <xsl:with-param name="TargetNode" select="$RtnHdrData/ThirdPartyDesignee/DiscussWithThirdPartyYes" />
          <xsl:with-param name="BackupName">IRS2290ThirdPartyDesigneeDiscussWithThirdPartyYes</xsl:with-param>
        </xsl:call-template>
      </input>
      <label>
        <xsl:call-template name="PopulateLabel">
          <xsl:with-param name="TargetNode" select="$RtnHdrData/ThirdPartyDesignee/DiscussWithThirdPartyYes" />
          <xsl:with-param name="BackupName">IRS2290ThirdPartyDesigneeDiscussWithThirdPartyYes</xsl:with-param>
        </xsl:call-template>
        </label>
        <b> Yes.</b> Complete the following. 
        <input type="checkbox" class="styCkbox">
        <xsl:call-template name="PopulateCheckbox">
          <xsl:with-param name="TargetNode" select="$RtnHdrData/ThirdPartyDesignee/DiscussWithThirdPartyNo" />
          <xsl:with-param name="BackupName">IRS2290ThirdPartyDesigneeDiscussWithThirdPartyNo</xsl:with-param>
        </xsl:call-template>
      </input>
      <label>
        <xsl:call-template name="PopulateLabel">
          <xsl:with-param name="TargetNode" select="$RtnHdrData/ThirdPartyDesignee/DiscussWithThirdPartyNo" />
          <xsl:with-param name="BackupName">IRS2290ThirdPartyDesigneeDiscussWithThirdPartyNo</xsl:with-param>
        </xsl:call-template>
        </label>
        <b>No</b> 
        <br/>
        <br/>
        <div style="float:left">
          Designee's<br/>name<span style="width:5mm" /><img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet"/><span style="width:1mm" />   
          <span style="width:40mm">
            <xsl:call-template name="PopulateText">
              <xsl:with-param name="TargetNode" select="$RtnHdrData/ThirdPartyDesignee/DesigneeName"></xsl:with-param>
            </xsl:call-template>
          </span>
        </div>
        <div style="float:left">
          Phone<br />no.<span style="width:5mm" /><img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet"/><span style="width:1mm" /> 
          <span style="width:30mm">
            <xsl:call-template name="PopulateText">
              <xsl:with-param name="TargetNode" select="$RtnHdrData/ThirdPartyDesignee/DesigneePhone"></xsl:with-param>
            </xsl:call-template>
          </span>
        </div>
        <div style="float:left">
          Personal identification<br />number (PIN)<span style="width:13mm" /><img src="{$ImagePath}/2290_Bullet_Md.gif" alt="MediumBullet"/><span style="width:1mm" /> 
          <span style="width:30mm">
            <xsl:call-template name="PopulatePin">
              <xsl:with-param name="TargetNode" select="$RtnHdrData/ThirdPartyDesignee/DesigneePIN"></xsl:with-param>
            </xsl:call-template>
          </span> 
        </div>
      </td>
    </tr>
    <tr>
      <td style="font-size:8pt;border:0 solid black; border-right-width:1;border-bottom-width:1;font-weight:bold">Sign Here</td>
      <td style="padding-left:2mm;border: 0 solid black;border-bottom-width:1">Under penalties of perjury, I declare that I have examined this return, including accompanying schedules and statements, and, to the best of my
knowledge and belief, they are true, correct, and complete.<br/>
<img src="{$ImagePath}/2290_Bullet_Jumbo.gif" alt="bullet"></img>
<span style="width:90mm;border-top:1 solid black">Signature</span><span style="width:10mm"></span>
<img src="{$ImagePath}/2290_Bullet_Jumbo.gif" alt="bullet"></img>
<span style="width:63mm;border-top:1 solid black">Date</span>
<br/>
<div style="width:105mm;float:left;clear:none">
<xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode" >BusinessNameLine1</xsl:with-param></xsl:call-template><br/>
<xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param></xsl:call-template><br />
<span>Type or print name below signature.</span>
</div>
<div style="width:60mm;float:left;clear:none">
<br/><br/>
Telephone number
<span style="padding-left:2mm">
<xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="$RtnHdrData/DaytimePhoneNumber"></xsl:with-param></xsl:call-template>
</span>
</div>
</td>
    </tr>
  </tbody>
</table>
<div class="pageEnd" style="width:187mm;padding-top:1mm;">  
    
   <span><span class="styBoldText" style="padding-right:5mm">For Privacy Act and Paperwork Reduction Act Notice, see page 9 of the instructions.</span><span style="padding-right:5mm;">Cat. No. 11250O</span> <span>Form <span class="styBoldText" style="font-size:8pt">2290</span> (Rev. 7-2007)</span></span>
    
      </div>


<div class="styBB" style="width:187mm;text-align:right">
 <span style="float:left">Form <span class="styBoldText" style="font-size:8pt">2290</span> (Rev. 7-2007)</span>page <span class="styBoldtext" style="font-size:8pt">2</span>
</div>

<div class="styBB" style="width:187mm;text-align:center;font-weight:bold;font-size:9pt;padding:2mm;">
Tax Computation
 </div>






















<div style="width:187mm">
<table cellspacing="0" style="font-size:7pt;border-color:black;text-align:center">
	<tbody>
		<tr style="height:17mm">
			<th class="styTableCellHeader" style="width:8mm;height:32mm" rowspan="2"><img src="{$ImagePath}/2290_Category.gif" alt="Category"/></th>
			<th class="styTableCellHeader" style="width:16mm;background-color:lightgrey"><span style="width:1px" /></th>
			<th class="styTableCellHeader" style="width:30mm;vertical-align:top" colspan="2">(1)<br />Annual tax<br /><span style="font-weight:normal">(vehicles used<br />during July)</span></th>
			<th class="styTableCellHeader" style="width:56mm;vertical-align:top" colspan="2">(2)<br />Partial-period tax<br /><span style="font-weight:normal">(vehicles first used after July)<br />(See the tables on page 10 of<br />the instructions.)</span></th>
			<th class="styTableCellHeader" style="width:44mm;vertical-align:top" colspan="2">(3)<br />Number of<br />vehicles</th>
			<th class="styTableCellHeader" style="width:26mm;vertical-align:top">(4)<br />Amount of tax <br/><span style="font-weight:normal">(col. (1) or (2)<br/>times col. (3))</span></th>
			<th class="styTableCellHeader" style="width:8mm;height:32mm;border-right-width:0px" rowspan="2"><img src="{$ImagePath}/2290_Category.gif" alt="Category"/></th>
		</tr>
		<tr style="height:15mm;font-weight:bold">
			<td class="styTableCellHeader" style="width:16mm;vertical-align:center;padding-left:2mm">Taxable<br />Gross Weight<br />(in pounds)</td>
			<td class="styTableCellHeader"  style="width:15mm;vertical-align:top">(a)<br />Vehicles<br />Except Logging*</td>
			<td class="styTableCellHeader"  style="width:15mm;vertical-align:top">(b)<br />Logging<br />Vehicles*</td>
			<td class="styTableCellHeader"  style="width:28mm;vertical-align:top">(a)<br />Vehicles<br />Except Logging*</td>
			<td class="styTableCellHeader"  style="width:28mm;vertical-align:top">(b)<br />Logging<br />Vehicles*</td>
			<td class="styTableCellHeader"  style="width:22mm;vertical-align:top">(a)<br />Vehicles<br />Except Logging*</td>
			<td class="styTableCellHeader"  style="width:22mm;vertical-align:top">(b)<br />Logging<br />Vehicles*</td>
			<td class="styTableCellHeader" style="background-color:lightgrey"><span style="width:1px" /></td>
		</tr>
		
		
		<xsl:choose>
		
		
		<!-- THIS WHEN STATEMENT IS ONLY HERE FOR SCHEMA VERSIONING PLEASE TAKE OUT THIS ABOMINATION AND JUST LEAVE THE CODE THAT THE OTHERWISE
		      POINTS TO THE MOMENT 2008 ARRIVES-->
		
		
                      <xsl:when test="$Version='2007v5.0' or $Version='2007v4.0'">
                          <tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">A</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryA/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm"><span style="float:left;clear:none">$</span>
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryA/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm"><span style="float:left;clear:none">$</span>
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryA/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm"><span style="float:left;clear:none">$</span>
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryA/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm"><span style="float:left;clear:none">$</span>
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryA/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryA/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryA/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm"><span style="float:left;clear:none">$</span>
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryA/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">A</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">B</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryB/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryB/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryB/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryB/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryB/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryB/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryB/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryB/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">B</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">C</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryC/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryC/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryC/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryC/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryC/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryC/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryC/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryC/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">C</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">D</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryD/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryD/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryD/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryD/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryD/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryD/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryD/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryD/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">D</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">E</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryE/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryE/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryE/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryE/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryE/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryE/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryE/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryE/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">E</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">F</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryF/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryF/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryF/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryF/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryF/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryF/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryF/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryF/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">F</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">G</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryG/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryG/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryG/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryG/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryG/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryG/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryG/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryG/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">G</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">H</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryH/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryH/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryH/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryH/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryH/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryH/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryH/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryH/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">H</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">I</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryI/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryI/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryI/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryI/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryI/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryI/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryI/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryI/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">I</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">J</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryJ/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryJ/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryJ/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryJ/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryJ/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryJ/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryJ/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryJ/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">J</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">K</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryK/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryK/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryK/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryK/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryK/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryK/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryK/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryK/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">K</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">L</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryL/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryL/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryL/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryL/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryL/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryL/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryL/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryL/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">L</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">M</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryM/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryM/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryM/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryM/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryM/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryM/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryM/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryM/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">M</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">N</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryN/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryN/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryN/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryN/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryN/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryN/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryN/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryN/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">N</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">O</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryO/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryO/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryO/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryO/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryO/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryO/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryO/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryO/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">O</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">P</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryP/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryP/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryP/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryP/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryP/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryP/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryP/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryP/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">P</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">Q</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryQ/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryQ/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryQ/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryQ/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryQ/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryQ/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryQ/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryQ/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">Q</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">R</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryR/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryR/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryR/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryR/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryR/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryR/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryR/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryR/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">R</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">S</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryS/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryS/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryS/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryS/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryS/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryS/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryS/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryS/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">S</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">T</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryT/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryT/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryT/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryT/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryT/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryT/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryT/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryT/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">T</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">U</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryU/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryU/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryU/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryU/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryU/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryU/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryU/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryU/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">U</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">V</td>
			<td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryV/TaxableGrossWeight"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryV/AnnualTaxNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<xsl:call-template name="PopulateText">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryV/AnnualTaxLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryV/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryV/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/CategoryV/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryV/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/CategoryV/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">V</td>
		</tr>
                      </xsl:when>
                      
                      
                      <!-- KILL EVERYTHING ABOVE THIS LINE IN 2008-->
                      
                      <xsl:otherwise>
                      
		<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">A</xsl:with-param>
			    <xsl:with-param name="pos">1</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">B</xsl:with-param>
			    <xsl:with-param name="pos">2</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">C</xsl:with-param>
			    <xsl:with-param name="pos">3</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">D</xsl:with-param>
			    <xsl:with-param name="pos">4</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">E</xsl:with-param>
			    <xsl:with-param name="pos">5</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">F</xsl:with-param>
			    <xsl:with-param name="pos">6</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">G</xsl:with-param>
			    <xsl:with-param name="pos">7</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">H</xsl:with-param>
			    <xsl:with-param name="pos">8</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">I</xsl:with-param>
			    <xsl:with-param name="pos">9</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">J</xsl:with-param>
			    <xsl:with-param name="pos">10</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">K</xsl:with-param>
			    <xsl:with-param name="pos">11</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">L</xsl:with-param>
			    <xsl:with-param name="pos">12</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">M</xsl:with-param>
			    <xsl:with-param name="pos">13</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">N</xsl:with-param>
			    <xsl:with-param name="pos">14</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">O</xsl:with-param>
			    <xsl:with-param name="pos">15</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">P</xsl:with-param>
			    <xsl:with-param name="pos">16</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">Q</xsl:with-param>
			    <xsl:with-param name="pos">17</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">R</xsl:with-param>
			    <xsl:with-param name="pos">18</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">S</xsl:with-param>
			    <xsl:with-param name="pos">19</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">T</xsl:with-param>
			    <xsl:with-param name="pos">20</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">U</xsl:with-param>
			    <xsl:with-param name="pos">21</xsl:with-param> 
			</xsl:call-template>
			<xsl:call-template name="CategoryRow">
			   <xsl:with-param name="TargetCategory">V</xsl:with-param>
			    <xsl:with-param name="pos">22</xsl:with-param> 
			</xsl:call-template>
			</xsl:otherwise>
              </xsl:choose>
		
		<tr>
			<td class="styTableCellText" style="width:105mm;height:12mm;text-align:justify" colspan="6"><b>Totals.</b> Add the number of vehicles in columns (3a) and (3b). Enter the total
				here and on Schedule 1, Part III, line a. Add the amounts in column (4). Enter
				the total here and on Form 2290, line 2 <span class="styDotLn" style="float:none;padding-left:1.5mm">.............</span>
			</td>
			<td class="styTableCell" style="width:44mm;vertical-align:bottom;paddign-right:.5mm" colspan="2">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/TotalNumberOfVehicles"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;vertical-align:bottom;padding-right:.5mm"><span style="float:left;clear:none">$</span>
  				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/TotalAmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="width:8mm;background-color:lightgrey;border-right-width:0px;border-bottom-width:0px">
			<span style="width:1px" />
			</td>
		</tr>
		<tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px;height:12mm;vertical-align:middle">W</td>
			<td class="styTableCellText" style="width:22mm;font-size:6pt">
				Tax-Suspended Vehicles
				(See <i>Part II</i> on page 6 of
				the instructions.)
			</td>
			<td class="styTableCellText" style="width:76mm;background-color:lightgrey" colspan="4">
				<span style="width:1px" />
			</td>

			<td class="styTableCell" style="font-size:6pt;width:22mm;vertical-align:bottom">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/NumberTaxSuspendedLoggingVeh"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;vertical-align:bottom">
  				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/NumTaxSuspendedNonLoggingVeh"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="width:30mm;background-color:lightgrey;border-right-width:0px">
				<span style="width:1px" />
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;background-color:lightgrey" colspan="2">
				<span style="width:1px" />
			</td>
		</tr>
		<tr>
			<td class="styTableCellCtr" style="width:179mm;height:8mm;vertical-align:middle;font-weight:bold;font-size:9pt;border-bottom-width:2px" colspan="9">
				Complete both copies of Schedule 1 (Form 2290) and attach them to Form 2290.
			</td>
			<td class="styLNCtrNumBox" style="background-color:lightgrey;border-left-width:0px;border-right-width:0px;border-bottom-width:0px">
			<span style="width:1px" />
			</td>
		</tr>
		<tr>
			<td class="styTableCellText" style="width:179mm;height:8mm;vertical-align:middle;border-bottom-width:2px" colspan="9">
				* See page 2 of the instructions for information on logging vehicles.
			</td>
			<td class="styLNCtrNumBox" style="background-color:lightgrey;border-left-width:0px;border-right-width:0px;border-bottom-width:2px">
			<span style="width:1px" />
			</td>
		</tr>

	</tbody>
</table>
</div>

<div class="pageEnd" style="width:187mm" > 
	<span style="float:right"> Form <span class="styBoldText" style="font-size:8pt">2290</span> (Rev. 7-2007)</span>
</div>





      <!-- BEGIN Left Over Table -->  
        <!-- Additonal Data Title Bar and Button -->
        <div class="styLeftOverTitleLine" id="LeftoverData">
          <div class="styLeftOverTitle">
            Additional Data        
          </div>
          <div class="styLeftOverButtonContainer">
            <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
          </div>      
        </div>
    <!-- Additional Data Table -->
    <table class="styLeftOverTbl">
      <xsl:call-template name="PopulateCommonLeftover">
        <xsl:with-param name="TargetNode" select="$Form2290" />
        <xsl:with-param name="DescWidth" select="100"/>
      </xsl:call-template>
      <!-- Had to hardcode the table as a checkbox has to be represented.  There is no predefined template to represent the checkbox -->
      <xsl:if test="$Form2290/AmendedReturn">
        <tr>
          <td class="styLeftOverTableRowDesc" style="width:100mm;" scope="row">
            <label>
              <xsl:call-template name="PopulateLabel">
                <xsl:with-param name="TargetNode" select="$Form2290/AmendedReturn" />
                <xsl:with-param name="BackupName">IRS2290AmendedReturn</xsl:with-param>
              </xsl:call-template>
              Amended Return:
            </label>
          </td>  
          <td class="styLeftOverTableRowAmount" style="width:87mm;">
           <input type="checkbox" class="styCkbox">
             <xsl:call-template name="PopulateCheckbox">
               <xsl:with-param name="TargetNode" select="$Form2290/AmendedReturn" />
               <xsl:with-param name="BackupName">IRS2290AmendedReturn</xsl:with-param>
             </xsl:call-template>
           </input>
          </td>                          
        </tr>
      </xsl:if>
      <xsl:if test="$Form2290/AmendedMonth">
        <tr>
          <td class="styLeftOverTableRowDesc" style="width:100mm;" scope="row">
            <xsl:call-template name="PopulateLeftoverRow">
              <xsl:with-param name="Desc">Amended Month</xsl:with-param>
              <xsl:with-param name="TargetNode" select="$Form2290/AmendedMonth"/>
              <xsl:with-param name="DescWidth" select="100"/>
            </xsl:call-template>
          </td>
        </tr>
      </xsl:if>
    </table>  
      <!-- END Left Over Table -->  

      <!-- Optional Print Solution for repeating data table Part I, Line 2 -->
     
     
    </form>
  </body>
</html>

</xsl:template>



<xsl:template name="CategoryDetails">
  <xsl:param name="TargetCategory"/> <!-- enter this as a number 1=A -->
  
  <xsl:choose>
  <xsl:when test="$TargetCategory = 1 ">
  
                  <td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
			      $55,000
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm;text-align:center">
				$100.00
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm;text-align:center">
				$75.00
			</td>
  </xsl:when>
  <xsl:when test="$TargetCategory &lt; 22">
                 <td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
               
                    <xsl:value-of select="format-number((55001 + (1000 * ($TargetCategory - 2))),'#,###')"></xsl:value-of>-<xsl:value-of select="format-number((55000 + (1000 * ($TargetCategory - 1))),'#,###')"></xsl:value-of>
                 </td>
                 <td class="styTableCellText" style="font-size:6pt;width:15mm;text-align:center">
				<xsl:value-of select="format-number((100+(22*($TargetCategory - 1))),'#,###.00')"></xsl:value-of>
		    </td>
		    <td class="styTableCellText" style="font-size:6pt;width:15mm;text-align:center">
				<xsl:value-of select="format-number((75+(16.5*($TargetCategory - 1))),'#,###.00')"></xsl:value-of>
		    </td>
                 
  </xsl:when>
  <xsl:when test="$TargetCategory = 22 ">
  
                  <td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
			     Over 75,000
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm;text-align:center">
				550.00
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm;text-align:center">
				412.50
			</td>
  </xsl:when>
     <xsl:otherwise>
                    <td class="styTableCellCtr" style="font-size:6pt;width:16mm;padding-left:1mm">
				<span style="width:1px"/>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<span style="width:1px"/>
			</td>
			<td class="styTableCellText" style="font-size:6pt;width:15mm">
				<span style="width:1px"/>
			</td>
  </xsl:otherwise>
  
  </xsl:choose>
  
</xsl:template>







<xsl:template name="CategoryRow">
  <xsl:param name="TargetCategory"/>
  <xsl:param name="pos"/>
  <xsl:param name="internal">1</xsl:param> 
  
  
  

     
     

     <xsl:choose>
      <xsl:when test="$TargetCategory=$Form2290/TaxComputation[position()=$internal]/Category">
              
              <tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">
			<xsl:call-template name="PopulateText">
			    <xsl:with-param name="TargetNode" select="$Form2290/TaxComputation[position()=$internal]/Category"></xsl:with-param>
			</xsl:call-template></td>
			<xsl:call-template name="CategoryDetails">
			      <xsl:with-param name="TargetCategory" select="$pos"></xsl:with-param>
			 </xsl:call-template>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm"><xsl:if test="$TargetCategory = 'A'"><span style="float:left;clear:none">$</span></xsl:if>
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/TaxComputation[position()=$internal]/ComputationColumns/NonLoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm"><xsl:if test="$TargetCategory = 'A'"><span style="float:left;clear:none">$</span></xsl:if>


				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/TaxComputation[position()=$internal]/ComputationColumns/LoggingPartialTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
   					<xsl:with-param name="TargetNode" select="$Form2290/TaxComputation[position()=$internal]/ComputationColumns/NumberVehicleNonLogging"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/TaxComputation[position()=$internal]/ComputationColumns/NumberVehicleLogging"></xsl:with-param>
   				</xsl:call-template>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm"><xsl:if test="$TargetCategory = 'A'"><span style="float:left;clear:none">$</span></xsl:if>

				<xsl:call-template name="PopulateAmount">
    					<xsl:with-param name="TargetNode" select="$Form2290/TaxComputation[position()=$internal]/ComputationColumns/AmountOfTax"></xsl:with-param>
    				</xsl:call-template>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">
			<xsl:call-template name="PopulateText">
			    <xsl:with-param name="TargetNode" select="$Form2290/TaxComputation[position()=$internal]/Category"></xsl:with-param>
			</xsl:call-template></td>
		</tr>

              
              
              
              
      </xsl:when>
      <xsl:when test="$internal &gt; 22">  <!--Empty row-->
       <tr>
			<td class="styLNCtrNumBox" style="border-left-width:0px">
			<xsl:value-of select="$TargetCategory"></xsl:value-of></td>
			<xsl:call-template name="CategoryDetails">
			      <xsl:with-param name="TargetCategory"><xsl:value-of select="$pos"></xsl:value-of></xsl:with-param>
			 </xsl:call-template>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm"><xsl:if test="$TargetCategory = 'A'"><span style="float:left;clear:none">$</span></xsl:if>
				<span style="width:1px"/>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:28mm;padding-right:.5mm"><xsl:if test="$TargetCategory = 'A'"><span style="float:left;clear:none">$</span></xsl:if>

				<span style="width:1px"/>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<span style="width:1px"/>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:22mm;padding-right:.5mm">
				<span style="width:1px"/>
			</td>
			<td class="styTableCell" style="font-size:6pt;width:30mm;padding-right:.5mm"><xsl:if test="$TargetCategory = 'A'"><span style="float:left;clear:none">$</span></xsl:if>

				<span style="width:1px"/>
			</td>
			<td class="styLNCtrNumBox" style="border-left-width:0px;border-right-width:0px">
			      <xsl:value-of select="$TargetCategory"></xsl:value-of>
			</td>
		</tr>
    
       </xsl:when>
    <xsl:otherwise>  
        <xsl:call-template name="CategoryRow">
              <xsl:with-param name="TargetCategory" select="$TargetCategory"/>
              <xsl:with-param name="internal"><xsl:value-of select="$internal+1"></xsl:value-of></xsl:with-param>
              <xsl:with-param name="pos"><xsl:value-of select="$pos"></xsl:value-of></xsl:with-param>
          </xsl:call-template>   
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template> 


</xsl:stylesheet>

