<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS5884Style.xsl"/>
<xsl:output method="html" indent="yes" />
<xsl:strip-space elements="*" />

<xsl:param name="Form5884Data" select="$RtnDoc/IRS5884" />
<xsl:template match="/">
<html lang="EN-US">
  <head>
    <title><xsl:call-template name="FormTitle"><xsl:with-param name="RootElement" select="local-name($Form5884Data)"></xsl:with-param></xsl:call-template></title>
    <!-- No Browser Caching -->
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Cache-Control" content="no-cache" />
    <meta http-equiv="Expires" content="0" />
    <!-- No Proxy Caching -->
    <meta http-equiv="Cache-Control" content="private" />
    <!-- Define Character Set -->
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <meta name="Description" content="IRS Form 5884" />
     <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
      <xsl:call-template name="InitJS"></xsl:call-template>

    <style type="text/css">
    <xsl:if test="not($Print) or $Print=''">
       <!-- Form 5884 CSS Styles are located in the template called below -->
        <xsl:call-template name="IRS5884Style"></xsl:call-template>
        <xsl:call-template name="AddOnStyle"></xsl:call-template>
     </xsl:if>
    </style>
  <xsl:call-template name="GlobalStylesForm"/>
</head>

  <body class="styBodyClass">
    <form name="Form5884">
      <xsl:call-template name="DocumentHeader"></xsl:call-template>

      <!-- Begin Form Number and Name -->
      <div class="styBB" style="width:187mm;">
      
        <div class="styFNBox" style="width:31mm;height:19.5mm;">
          Form <span class="styFormNumber">&#160;5884</span>
        <br/>
          <span class="styAgency">Department of the Treasury</span>
          <br/>
          <span class="styAgency">Internal Revenue Service</span>
        </div>
      <div class="styFTBox" style="width:125mm;height:13mm;">
        <span style="height: 1mm;"></span>
        <div class="styMainTitle" style="height:8mm;">
          Work Opportunity Credit          
        </div>
        <br/>
       
        <div class="styFST" style="height:5mm;font-size:7pt;">
          <img src="{$ImagePath}/5884_Bullet.gif" width="4" height="7"  alt="Bullet Image"/>
          Attach to your tax return.
        </div>
      </div>
      <div class="styTYBox" style="width:30mm;height:19.5mm;">
        <div class="styOMB" style="height:2mm;">
          OMB No. 1545-0219
        </div>
   <div class="styTaxYear" >
          20<span class="styTYColor">07</span>
        </div>  
        <div><span style="padding-right:6mm;">Attachment</span><br/> Sequence No. <span class="styBoldText">77</span></div>
      </div>
    </div>
 
    <!-- Begin Names and Identifying number section -->
    <div class="styBB" style="width:187mm;">
      <div class="styNameBox" style="width:148mm;height:8mm;font-size:7pt;">
        Name(s) shown on return<br/>
        <span>          
          <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template>
                 <br/>
          <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param></xsl:call-template>
        </span>
      </div>
      <div class="styEINBox" style="width:35mm;height:4mm;padding-left:2mm;font-size:7pt;">
        Identifying number<br/>
        <span style="width:34mm; text-align:left;font-weight:normal;padding-top:2mm;">
          <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template>          
        </span>          
      </div>
    </div>
     
  <!--  Part I -->
  <div class="styBB" style="width: 187mm">
    	<div class="styPartName" style="width: 15mm;">Part I</div>
    	<div class="styPartDesc">   Current Year Credit</div>
  </div>
 
    <!--Line 1 Begin-->
    <div class="styBB" style="width:187mm;">
          <div style="width:187mm;">
               <div class="styLNLeftNumBox" style="height:4mm;">
                    1
               </div>
               <div class="styLNDesc" style="height:4mm;"> Enter on the applicable line below the total qualified first- or second-year wages paid or incurred
during the tax year, and multiply by the percentage shown, for services of employees who are
certified (if required) as members of a targeted group.       
                  
               </div>
               <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:14mm;border-right-width:1px;padding-top:0mm;"></div>
     </div>

<!-- line 1a -->
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;">a</div>
        <div class="styLNDesc" style="width:138mm;height:4mm; ">
               Qualified first-year wages of employees who worked for you at least 120 hours but fewer
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;padding-top:0mm;"></div>
       </div>
        <div style="width:187mm;" >
        <div  style="padding-left:9mm;width:146mm;float:left;">than 400 hours 
            <span class="styBoldText">
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:4px;"></span>
            </span>   
            <span style="width:3mm;border-style: solid; border-color: black;border-top-width: 0px; border-bottom-width:1px; border-left-width: 0px; border-right-width: 0px;">$</span> 
                  <span style="width:32mm;text-align:right;border-style: solid; border-color: black;border-top-width: 0px; border-bottom-width:1px; border-left-width: 0px; border-right-width: 0px;">
                       <xsl:call-template name="PopulateAmount">
                       <xsl:with-param name="TargetNode" select="$Form5884Data/WagesBetween120And399Hours"/>
                        </xsl:call-template>
                  </span>
            <span style="width:18mm;"><span style="width:4px;"></span>X 25% (.25)</span>
         </div>
         <div class="styLNRightNumBox" style="padding-top:0mm;">
             1a
          </div>     
        <div class="styLNAmountBox" style="padding-top:0mm;">
             <xsl:call-template name="PopulateAmount">
             <xsl:with-param name="TargetNode" select="$Form5884Data/TotalWagesBetween120And399Hrs"/>
             </xsl:call-template>        
        </div>
  </div>

<!-- line 1b -->
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;"></div>
        <div class="styLNDesc" style="width:138mm;height:4mm; "></div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;padding-top:0mm;"></div>
      </div>
       <div style="width:187mm;" >
              <div class="styLNLeftLtrBox" style="height:4mm;padding-top:0mm;padding-bottom:3px">b</div>
              <div  style="width:138mm;float:left;">Qualified first-year wages of employees who worked for you at</div>
               <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;padding-top:0mm;"></div>
       </div>
        <div style="width:187mm;" >
        <div  style="padding-left:9mm;width:146mm;float:left;">least 400 hours 
             <span class="styBoldText">
              <span style="width:15px;"></span>.
               <span style="width:15px;"></span>.
               <span style="width:15px;"></span>.
               <span style="width:15px;"></span>.
               <span style="width:15px;"></span>.
               <span style="width:15px;"></span>.
               <span style="width:15px;"></span>.
 		  <span style="width:15px;"></span>.
               <span style="width:15px;"></span>.
               <span style="width:15px;"></span>.
               <span style="width:10px;"></span>
            </span>  
            <span style="width:3mm;border-style: solid; border-color: black;border-top-width: 0px; border-bottom-width:1px; border-left-width: 0px; border-right-width: 0px;">$</span> 
             <span style="width:32mm;text-align:right;border-style: solid; border-color: black;border-top-width: 0px; border-bottom-width:1px; border-left-width: 0px; border-right-width: 0px;">
                       <xsl:call-template name="PopulateAmount">
                       <xsl:with-param name="TargetNode" select="$Form5884Data/WagesFor400HoursOrMore"/>
                        </xsl:call-template>
            </span>
            <span style="width:18mm;"><span style="width:4px;"></span>X 40% (.40)</span>
         </div>
         <div class="styLNRightNumBox" style="padding-top:1mm;">
             1b
          </div>     
        <div class="styLNAmountBox" style="padding-top:1mm;">
             <xsl:call-template name="PopulateAmount">
             <xsl:with-param name="TargetNode" select="$Form5884Data/CreditForWagesOf400OrMoreHours"/>
             </xsl:call-template>        
        </div>
      </div>
<!-- line 1c -->
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;">c</div>
        <div class="styLNDesc" style="width:138mm;height:4mm; ">
               Qualified second-year wages of employees certified as long-term
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;padding-top:0mm;"></div>
       </div>
        <div style="width:187mm;" >
        <div  style="padding-left:9mm;width:146mm;float:left;">family assistance recipients 
            <span class="styBoldText">
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
               <span style="width:16px;"></span>.
                <span style="width:7px;"></span>
             </span>   
            <span style="width:3mm;border-style: solid; border-color: black;border-top-width: 0px; border-bottom-width:1px; border-left-width: 0px; border-right-width: 0px;">$</span> 
                  <span style="width:32mm;text-align:right;border-style: solid; border-color: black;border-top-width: 0px; border-bottom-width:1px; border-left-width: 0px; border-right-width: 0px;">
                       <xsl:call-template name="PopulateAmount">
                      	 <xsl:with-param name="TargetNode" select="$Form5884Data/QualifiedSecondYearWages"/>
                        </xsl:call-template>
                  </span>
            <span style="width:18mm;"><span style="width:4px;"></span>X 50% (.50)</span>
         </div>
         <div class="styLNRightNumBox" style="padding-top:0mm;">
             1c
          </div>     
        <div class="styLNAmountBox" style="padding-top:0mm;">
             <xsl:call-template name="PopulateAmount">
             <xsl:with-param name="TargetNode" select="$Form5884Data/TotalQualifiedSecondYearWages"/>
             </xsl:call-template>        
        </div>
      </div>
 
	 <!--Line 2 Begin-->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;padding-top:3.5mm;">2</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;padding-top:3.5mm;">
            Add lines 1a, 1b and 1c.. See instructions for the adjustment you must make for salaries and wages
          <!--Dotted Line-->
               <xsl:call-template name="SetFormLinkInline">
               <xsl:with-param name="TargetNode" select="$Form5884Data/TotalWages"/>
               </xsl:call-template>  
         <span class="styBoldText">              
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:0mm">
        <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;">        <br/>
        </div>
        2
        </div>
        <div class="styLNAmountBox" style="height:8.3mm;padding-top:4mm;">
         <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/TotalWages"/>
          </xsl:call-template>
        </div>
      </div>
       
       <!--Line 3 -->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" >3</div>
        <div class="styLNDesc" >Work opportunity credit from partnerships, S corporations, cooperatives, estates, and trusts 
                  <!--Dotted Line-->
          <span class="styBoldText">
        <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>.               
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:.5mm;padding-bottom:.5mm;">
        3
        </div>
        <div class="styLNAmountBox" >
           <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/PassThruWorkOpportunityCredit"/>
          </xsl:call-template>
        </div>
      </div>
        
      <!--Line 4 Begin-->
            <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">4</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">Add lines 2 and 3. Partnerships and S corporations, report this amount on Schedule K; all others, go to line 5
        
        
   <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
             <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
    </span>
        </div>
        <div class="styLNRightNumBox" style="padding-top:0mm;padding-bottom:0mm;">
        <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;"><br/>
        </div>
        4
        </div>
        <div class="styLNAmountBox" style="height:4mm;padding-top:.5mm;">
          <br/>
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/TotalWagesPlusWOCr"/>
          </xsl:call-template>
        </div>
      </div>
      
      <!-- line 5 -->
        <div style="width:187mm;">
        <div class="styLNLeftNumBox">5</div>
        <div class="styLNDesc" style="width:138mm;">Work opportunity credit included on line 4 from passive activities (see instructions)
                             <!--Dotted Line-->
          <span class="styBoldText">
        <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>.  
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>.              
          </span>
        </div>
        <div class="styLNRightNumBox" >
              5
        </div>
        <div class="styLNAmountBox">
      <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/WorkOpptCrFromPassiveActy"/>
          </xsl:call-template>
        </div>
      </div>

      <!-- line 6 -->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" >6</div>
        <div class="styLNDesc" style="width:138mm;">Subtract line 5 from line 4
   <!--Dotted Line-->
          <span class="styBoldText">
        <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>.  
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>. 
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>. 
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>.     
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>.  
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>. 
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>. 
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>.  
           <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.                     
          </span>
        </div>
        <div class="styLNRightNumBox" >
       6
        </div>
        <div class="styLNAmountBox" >
         <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/WorkOpptCrFromTotWagesPlusWOCr"/>
          </xsl:call-template>
        </div>
      </div>

      <!-- line 7 -->
        <div style="width:187mm;">
        <div class="styLNLeftNumBox" >7</div>
        <div class="styLNDesc" style="width:138mm;">
  Work opportunity credit allowed for 2007 from a passive activity (see instructions)
      <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.                     
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:.5mm;padding-bottom:.5mm;">
               7
        </div>
        <div class="styLNAmountBox" >
         
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/WorkOpptCr2007FromPassiveActy"/>
          </xsl:call-template>
        </div>
      </div>
      
<!-- line 8 -->
 <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">8</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
        Carryforward from 2006 of the New York Liberty Zone business employee credit and carryback
from 2008 of the work opportunity credit (see instructions)
                
      <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:0mm">
        <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;">        
        </div>
        8
        </div>
        <div class="styLNAmountBox" style="height:8mm;padding-top:4.2mm;">
         <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/Cfwd2006NYCrOrCybk2008WrkOppCr"/>
          </xsl:call-template>
        </div>
       </div>

<!-- line 9 -->
 <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">9</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
        Add lines 6 through 8. Cooperatives, estates, and trusts, continue on to line 10. All others, use
this amount to complete Part II
   <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
             <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>. 
       </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:0mm">
        <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;">        
        </div>
        9
        </div>
        <div class="styLNAmountBox" style="height:8mm;padding-top:4.2mm;">
          
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/TotalCredits"/>
          </xsl:call-template>
        </div>
       </div>

<!-- line 10 -->
        <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;padding-left:0mm">10</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
                Amount allocated to the patrons of the cooperative or beneficiaries of the estate or trust<br />
                (see instructions)   
  <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
             <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
             <span style="width:16px;"></span>.  
           </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:0mm">
        <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;">        
        </div>
        10
        </div>
        <div class="styLNAmountBox" style="height:8mm;padding-top:4.2mm;">
           <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/AmountAllocation"/>
          </xsl:call-template>
        </div>
       </div>

<!-- line 11 -->
        <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;padding-left:0mm">11</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
                Cooperatives, estates, and trusts, subtract line 10 from line 9. Use this amount to complete
<br />Part II 
      <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:5px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:5px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.  
          </span>
        </div>
        <div class="styLNRightNumBoxNBB" style="height:4mm;padding-top:0mm">
        <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;">        
        </div>
        11
        </div>
        <div class="styLNAmountBoxNBB" style="height:8mm;padding-top:4mm;">
         <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/EstatesTrustsCoopsWorkOpCredit"/>
          </xsl:call-template>
        </div>
       </div>
   </div>
  
 <!--  Part II -->
  <div class="styBB" style="width: 187mm; border-bottom-width:1px">
    <div class="styPartName" style="width: 15mm;">Part II</div>
    <div class="styPartDesc" style="width: 172mm;border-bottom-width:2px;">Allowable Credit</div>
  </div>

  <!--  Line 12 -->  
 <div class="styBB" style="width:187mm;">
        <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="padding-left:0mm;">12</div>
        <div class="styLNDesc" style="width:138mm;">Regular tax before credits (see instructions)
                             <!--Dotted Line-->
          <span class="styBoldText">
           <span style="width:15px;"></span>. 
           <span style="width:15px;"></span>.  
            <span style="width:15px;"></span>. 
           <span style="width:15px;"></span>. 
           <span style="width:15px;"></span>. 
           <span style="width:15px;"></span>.  
            <span style="width:15px;"></span>. 
           <span style="width:15px;"></span>.  
            <span style="width:15px;"></span>. 
           <span style="width:15px;"></span>.  
           <span style="width:15px;"></span>. 
           <span style="width:15px;"></span>.  
           <span style="width:15px;"></span>. 
              <span style="width:15px;"></span>.    
          </span>
        </div>
        <div class="styLNRightNumBox" >
              12
        </div>
        <div class="styLNAmountBox">
           <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form5884Data/RegularTaxBeforeCredits"/>
          </xsl:call-template>
        </div>
      </div>

      <!-- line 13 -->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="padding-left:0mm" >13</div>
        <div class="styLNDesc" style="width:138mm;">Alternative minimum tax (see instructions)
     <!--Dotted Line-->
          <span class="styBoldText">
        <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>.  
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>. 
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>. 
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>.     
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>.  
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>. 
         <span style="width:15px;"></span>. 
        <span style="width:15px;"></span>. 
   </span>
        </div>
        <div class="styLNRightNumBox" >
       13
        </div>
        <div class="styLNAmountBox" >
           <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/AlternativeMinimumTax"/>
          </xsl:call-template>
        </div>
      </div>

      <!-- line 14 -->
        <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="padding-left:0mm" >14</div>
        <div class="styLNDesc" style="width:138mm;">Add lines 12 and 13
      <!--Dotted Line-->
           <span style="letter-spacing:4mm; font-weight:bold">  
            ......................
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:.5mm;padding-bottom:.5mm;">
     14
        </div>
        <div class="styLNAmountBox" >
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/RegularTaxPlusAltMinimumTax"/>
          </xsl:call-template>
        </div>
      </div>
      
   <!-- line 15  -->  
   <!-- blank line first -->
  <div class="styBB" style="width:187mm;">
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;padding-left:0mm">15a</div>
        <div class="styLNDesc" style="width:138mm;height:4mm">Credits from Form 1040, lines 47 through 50 and 52 through 54 (or</div>
        <div class="styLNRightNumBox" style="height:4mm;background-color:lightgrey; border-bottom-width: 0px"></div>
        <div class="styLNAmountBox" style="height:4mm;border-bottom-width: 0px">
        </div>
      </div>

      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;"></div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;padding-top:.5mm;">  Form 1040NR, lines 44, 45, and 47 through 49)
            <span style="letter-spacing:4mm; font-weight:bold;padding:left:1px">.......
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-bottom:0px;">15a</div>
        <div class="styLNAmountBox" style="height:4mm;padding-bottom:0px">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/xxxx"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4mm;border-right-width:1px;"></div>
      </div>
 
      <!-- Line 15b-->
      <div style="width:187mm;height:4.5mm;">
        <div class="styLNLeftNumBox" style="padding-left:3.5mm;" >b</div>
        <div class="styLNDesc" style="width:98.25mm">
             Foreign tax credit
                    <!--Dotted Line-->
                           <span style="letter-spacing:4mm; font-weight:bold">  
            ...............
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">15b</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
        	 <xsl:call-template name="PopulateAmount">
            		<xsl:with-param name="TargetNode" select="$Form5884Data/ForeignTaxCredit"/>
         	</xsl:call-template>
         </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
 
      <!-- Line 15c-->
      <div style="width:187mm;height:4.5mm;">
        <div class="styLNLeftNumBox" style="padding-left:3.5mm;padding-bottom:1px" >c</div>
        <div class="styLNDesc" style="width:98.25mm">
             Credits from Forms 5735 and 8834
                    <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
            ..........
          </span>
          </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">15c</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
        	 <xsl:call-template name="PopulateAmount">
            		<xsl:with-param name="TargetNode" select="$Form5884Data/CrFrom5735And8834"/>
         	</xsl:call-template>
         </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>

<!-- Line 15d-->
       <div style="width:187mm;height:4.5mm;">
       <div class="styLNLeftNumBox" style="padding-left:3.5mm;" >d</div>
       <div class="styLNDesc" style="width:98.25mm">
             Non-business alternative motor vehicle credit (Form 8910, line 18)
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">15d</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
        	 <xsl:call-template name="PopulateAmount">
            		<xsl:with-param name="TargetNode" select="$Form5884Data/AlternativeMotorVechicleCredit"/>
         	</xsl:call-template>
         </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
 <!-- Line 15e-->
  <div style="width:187mm;height:8mm">
        <div class="styLNLeftLtrBox" style="height:4mm;padding-left:3.5mm;">e</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;padding-top:1mm;">Non-business alternative fuel vehicle refueling property credit (Form
8911, line 19)
            <span style="letter-spacing:4mm; font-weight:bold">  
            ...............
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:3mm;padding-top:0px;padding-bottom:1px;border-left-width:1px;border-right-width:0px;border-bottom-wdith:1px;" >
          <div class="styLNRightNumBoxNBB" style="width:8mm;background-color:lightgrey;height:3mm;border-right-width:0px;background-color:lightgrey;border-left-width:0px;border-bottom-width:0px;"> <br /> </div>
      15e
     </div>
        <div class="styLNAmountBox" style="padding-top:4.5mm;padding-bottom:0px;border-right-width:0px;width:31.75mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/AltVechicleRefuelingPropertyCr"/>
          </xsl:call-template>
        </div>
       <div class="styLNRightNumBox" style="height:8mm;background-color:lightgrey;border-left:width:0px;border-right-width:1px">
        <div class="styLNAmountBox" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;border-bottom-width:0px;"><br/>
        </div>
   </div>
 </div>
 
      <!-- Line 15f -->
       <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;">f</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Add lines 15a through 15e
           <!--Dotted Line-->
                      <span style="letter-spacing:4mm; font-weight:bold">  
              .....................
            </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">15f</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/Line15TotalCredits"/>
          </xsl:call-template>
        </div>
      </div>
 
<!-- line 16 -->
        <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="padding-left:0px;" >16</div>
        <div class="styLNDesc" style="width:138mm;">Net income tax. Subtract line 15f from line 14. If zero, skip lines 17 through 20 and enter -0- on line 21
         </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:.5mm;padding-bottom:.5mm;">
               16
        </div>
        <div class="styLNAmountBox" >
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/NetIncomeTax"/>
          </xsl:call-template>
        </div>
      </div>

<!-- line 17 -->
        <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="padding-left:0px;" >17</div>
        <div class="styLNDesc" style="width:138mm;">Net regular tax. Subtract line 15f from line 12. If zero or less, enter-0-
                  <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.     
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.     
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.     
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.               
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:.5mm;padding-bottom:.5mm;">
               17
        </div>
        <div class="styLNAmountBox" >
         <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/NetRegularTax"/>
          </xsl:call-template>
        </div>
      </div>

<!-- line 18 -->
        <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="padding-left:0px;" >18</div>
        <div class="styLNDesc" style="width:138mm;">Enter 25% (.25) of the excess, if any, of line 17 over $25,000 (see instructions)
                  <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.         
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>. 
             <span style="width:15px;"></span>.             
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:.5mm;padding-bottom:.5mm;">
               18
        </div>
        <div class="styLNAmountBox" >
         
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/Enter25PercentExcess"/>
          </xsl:call-template>
        </div>
      </div>

<!-- line 19 -->
  <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="padding-left:0px;" >19</div>
        <div class="styLNDesc" style="width:138mm;">Subtract line 18 from line 16. If zero or less, enter -0-
                  <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.     
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.      
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.      
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.   
            <span style="width:15px;"></span>.      
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.                    
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:.5mm;padding-bottom:.5mm;">
               19
        </div>
        <div class="styLNAmountBox" >
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/TentativeMinimumTax"/>
          </xsl:call-template>
        </div>
      </div>

<!-- line 20a -->
       <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;padding-left:0px;">20a</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;padding-top:.5mm;">General business credit (Form 3800, line 19)
            <span style="letter-spacing:4mm; font-weight:bold;padding:left:1px">.......</span>  
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-bottom:0px;">20a</div>
        <div class="styLNAmountBox" style="height:4mm;padding-bottom:0px">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/GeneralBusinessCredit"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4mm;border-right-width:1px;"></div>
</div>

 <!-- Line 20b-->
  <div style="width:187mm;height:8mm">
        <div class="styLNLeftNumBox" style="height:4mm;padding-left:3.5mm;">b</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;padding-top:1mm;">Empowerment zone and renewal community employment credit
(Form 8844, line 26)  
            <span style="letter-spacing:4mm; font-weight:bold">  
            ...............
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:3mm;padding-top:0px;padding-bottom:1px;border-left-width:1px;border-right-width:0px;border-bottom-wdith:1px;" >
        <div class="styLNRightNumBoxNBB" style="width:8mm;background-color:lightgrey;height:3mm;border-right-width:0px;background-color:lightgrey;border-left-width:0px;border-bottom-width:0px;"> <br /> </div>
      20b
     </div>
        <div class="styLNAmountBox" style="padding-top:4.5mm;padding-bottom:0px;border-right-width:0px;width:31.75mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/EmpwrZoneAndRnwlComEmplmnCr"/>
          </xsl:call-template>
        </div>
       <div class="styLNRightNumBox" style="height:8mm;background-color:lightgrey;border-left:width:0px;border-right-width:1px">
        <div class="styLNAmountBox" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;border-bottom-width:0px;"><br/>
        </div>
   </div>
 </div>
 
  <!-- Line 20c -->
       <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;padding-left:3.5mm;">c</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
       Add lines 20a and 20b       
        <!--Dotted Line-->
          <span style="letter-spacing:4mm; font-weight:bold">  
              .....................
            </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">20c</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/GeneralBusinessCrPlusEmplmnCr"/>
          </xsl:call-template>
        </div>
      </div>

<!-- line 21 -->
  <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="padding-left:0px;" >21</div>
        <div class="styLNDesc" style="width:138mm;">Subtract line 20c from line 19. If zero or less, enter -0-
                         <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.     
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.      
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.      
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.   
            <span style="width:15px;"></span>.      
            <span style="width:15px;"></span>. 
            <span style="width:15px;"></span>.                    
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;padding-top:.5mm;padding-bottom:.5mm;">
               21
        </div>
        <div class="styLNAmountBox" >
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5884Data/SubtractLine20cFromLine19"/>
          </xsl:call-template>
        </div>
      </div>
     
      <div style="width:187mm;">
               <div class="styLNLeftNumBox" style="height:4mm;padding-left:0mm;">
                    22
               </div>
               <div class="styLNDesc" style="width:138mm;">        
                   <span style="font-weight:bold;">Credit allowed for the current year. Cooperatives, estates, and trusts.</span> Enter the smaller of line
11 or 21. Report this amount on Form 1120-C, Schedule J, line 5c; or Form 1041, Schedule G,
line 2c. If line 21 is smaller than line 11, see instructions. <b>All others.</b> Enter the smaller of line 9 or
21. Report this amount on Form 1040, line 55; Form 1040NR, line 50; Form 1120, Schedule J, line
5c; or the applicable line of your return. If line 21 is smaller than line 9, see instructions
		<span style="letter-spacing:4mm; font-weight:bold">............</span>
               </div>
               <div class="styLNRightNumBoxNBB" style="width:8.1mm;background-color:lightgrey;height:12.75mm;border-right-width:1px;"> </div>
               <div class="styLNAmountBox" style="border-bottom-width: 0px;border-left-width:0px;width:31mm;height:12.75mm;"></div>
               <div class="styLNRightNumBoxNBB" style="float:left;clear:none;">22</div>
               <div class="styLNAmountBoxNBB" style="width:31mm;">
                   <xsl:call-template name="PopulateAmount">
                      <xsl:with-param name="TargetNode" select="$Form5884Data/WorkOpptCrAllowedCurrentYear"/>
                  </xsl:call-template>
              </div>
      </div> 
  </div>
  </div>
 
	<!--End of form-->
    <div style="width:187mm;">
    <span class="styBoldText">For Paperwork Reduction Act Notice, see instructions. </span> 
      <span style="width:14px;"></span>  
      <span style="width:14px;"></span>
      <span style="width:14px;"></span>  
      <span style="width:14px;"></span>
      <span style="width:14px;"></span>
      <span style="width:14px;"></span>
      <span style="width:14px;"></span>  
      <span style="width:14px;"></span>
          Cat. No. 13570D 
      <span style="width:14px;"></span>  
      <span style="width:14px;"></span>
      <span style="width:14px;"></span>
      <span style="width:14px;"></span>
      <span style="width:14px;"></span>
      <span style="width:14px;"></span>
       Form <span class="styBoldText">5884</span> (2007)
  </div>
        <br/>
        <br class="pageEnd"/>
        
        <!-- BEGIN Left Over Table -->  
        <!-- Additonal Data Title Bar and Button -->
        <div class="styLeftOverTitleLine" id="LeftoverData">
          <div class="styLeftOverTitle">
            Additional Data        
          </div>
          <div class="styLeftOverButtonContainer">
            <input class="styLeftoverTableBtn" TabIndex="1"  type="button" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
          </div>      
        </div>
        <!-- Additional Data Table -->
        <table class="styLeftOverTbl">
          <xsl:call-template name="PopulateCommonLeftover">
            <xsl:with-param name="TargetNode" select="$Form5884Data" />
            <xsl:with-param name="DescWidth" select="100"/>
          </xsl:call-template>          
        </table>
        <!-- END Left Over Table -->    
  </form>
    </body>
  </html>
</xsl:template>
</xsl:stylesheet>
