<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS8586Style.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>
<xsl:strip-space elements="*" />
<xsl:param name="Form8586Data" select="$RtnDoc/IRS8586" />

<xsl:template match="/">
<html>
  <head>    
    <title><xsl:call-template name="FormTitle"><xsl:with-param name="RootElement" select="local-name($Form8586Data)"></xsl:with-param></xsl:call-template></title>
    <!-- No Browser Caching -->
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="Cache-Control" content="no-cache"/>
    <meta http-equiv="Expires" content="0"/>
    <!-- No Proxy Caching -->
    <meta http-equiv="Cache-Control" content="private"/>        
    <meta name="Description" content="Form 8586"/>
    <META name="GENERATOR" content="IBM WebSphere Studio"/>
    
    
    
    <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
    <xsl:call-template name="InitJS"></xsl:call-template>
    
    <style type="text/css">    
      <xsl:if test="not($Print) or $Print=''">
        <xsl:call-template name="IRS8586Style"></xsl:call-template>    
        <xsl:call-template name="AddOnStyle"></xsl:call-template>  
      </xsl:if>
    </style>        
    <xsl:call-template name="GlobalStylesForm"/>
  </head>
  
  <body class="styBodyClass">      
    <form style="font-family:arial; font-size:8.5pt" name="Form8586">      
      <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
      <div class="styTBB" style="height:18mm; width:187mm">
        <div class="styFNBox" style="width:30mm; height:18mm; font-size:7pt;">          
          Form &nbsp; <span class="styFormNumber" style="font-size:23pt">8586</span><br />          
          <div style="font-size:6pt">        
          (Rev. December 2006)  Department of the Treasury<br />Internal Revenue Service <font style="font-size:7pt">(99)</font>
          </div>
        </div>
        <div class="styFTBox" style="width:126mm; height:18mm">
          <div class="styMainTitle" style="height:8mm;padding-top:1mm">Low-Income Housing Credit</div>
          <div class="styFBT" style="text-align:left; margin-left:45mm">    
            <img src="{$ImagePath}/8586_Bullet_Title.gif" alt="Arrow Bullet"/> See instructions on back.<br/>        
            <img src="{$ImagePath}/8586_Bullet_Title.gif" alt="Arrow Bullet"/> Attach to your tax return.
          </div>
        </div>
        <div class="styTYBox" style="font-size:7pt; width:31mm; height:18mm">
          <div class="styOMB" style="height:9mm; padding-top:4mm">OMB No. 1545-0984</div>
  
                  <div style="text-align:left; margin-left:5mm; height:9mm; padding-top:2mm" >Attachment<br />
                                   Sequence No. <b style="font-size:9pt">36a</b>
                  </div>      
        </div>
      </div>
  
      <div class="styBB" style="width:187mm">
        <div class="styNameBox" style="font-size:7pt; width:151mm; height:8mm">
          Name(s) shown on return<br />
          <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template><br/>  
          <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param></xsl:call-template>    
        </div>
        <div style="height:4mm;padding-left:2mm;font-size:7pt;font-family:verdana;" class="styEINBox">
          Identifying number<br /><br />  
          <span style="font-weight:normal;">  
            <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template>
          </span>      
        </div>
      </div>    
    
 
    <!-- BEGIN Part I Line Items -->
    
    <!-- Start Line 1 -->
    
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;1</div>
        <div style="float:left">        
          Number of Forms 8609-A attached    
         <!--     <xsl:call-template name="SetFormLinkInline">
            <xsl:with-param name="TargetNode" select="$Form8586Data/NumberOfForms8609AAttached"/>            
          </xsl:call-template>    -->
        </div>    
        <div style="float:right">  
          <span class="styIRS8586DotLn" style="padding-right:0">      
            .............     
          </span>    
          <span style="float:left; margin-right:2mm">
            <img src="{$ImagePath}/8586_Bullet_L1.gif" alt="Arrow Bullet"/>  
          </span>                          
          <div class="styIRS8586DotBB" style="width:27mm; margin-right:3mm;text-align:right;">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="MaxSize" select="4"/><xsl:with-param name="TargetNode" select="$Form8586Data/NumberOfForms8609AAttached"/></xsl:call-template>                
          </div>                    
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey"></div>  
          <div class="styIRS8586LNAmountBoxNBB" style="width:31.75mm;"></div>
        </div>  
      </div>
<!-- End Line 1 -->  

<!-- Start Line 2 -->
  
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;2</div>
        <div style="float:left">  
          Has there been a decrease in the qualified basis of any buildings since the close of the preceding<br /> tax year?&nbsp;&nbsp;&nbsp;&nbsp;    
          <span>
              <xsl:call-template name="PopulateSpan"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings" /></xsl:call-template>
            <input type="Checkbox" class="styCkbox"><xsl:call-template name="PopulateYesCheckbox"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings"/></xsl:call-template></input>
          </span> &nbsp;
            <b><label><xsl:call-template name="PopulateLabelYes"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings"/></xsl:call-template>Yes</label></b>&nbsp;&nbsp;&nbsp;&nbsp;
            <span>
              <xsl:call-template name="PopulateSpan"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings" /></xsl:call-template>
            <input type="Checkbox" class="styCkbox"><xsl:call-template name="PopulateNoCheckbox"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings"/></xsl:call-template></input>
            </span> &nbsp;
            <b><label><xsl:call-template name="PopulateLabelNo"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings"/></xsl:call-template>No</label></b>&nbsp;&nbsp;&nbsp;&nbsp;
  
          If "Yes," enter the building identification numbers (BINs) of the<br />
          buildings that had a decreased basis. If you need more space, attach a schedule. 
          
           <xsl:call-template name="SetFormLinkInline">
            <xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis"/>            
          </xsl:call-template>     
          
          <xsl:call-template name="LinkToLeftoverDataTableInline">          
            <xsl:with-param name="Desc">Section 383 or Section 384 Indicator</xsl:with-param>    
         <xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis/@MultipleBuildingProjectSchedule"/>    
                        </xsl:call-template>      
           
        </div>
        <div style="float:right">  
          <div class="styIRS8586LNRightNumBoxNBB" style="height:11mm; background-color:lightgrey"></div>
          <div class="styIRS8586LNAmountBoxNBB"  style="width:31.75mm;height:11mm">
             <div style="float:right; padding-top:7mm">                      
              <!-- button display logic -->          
<!--              <xsl:call-template name="SetTableToggleButton">
                <xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis" />
                <xsl:with-param name="containerHeight" select="4" />
                <xsl:with-param name="containerID" select="'part1TPctn'" />
              </xsl:call-template>               -->
               <!-- end button display logic -->                    
            </div>  
          </div>
        </div>
      </div>    
      
      <xsl:variable name="ESCount" select="count($Form8586Data/BldgIdOfBldgWithDecreasedBasis)"/>    
      <xsl:variable name="containerHeight" select="5" />    
      <xsl:variable name="preMax">
        <xsl:choose>
            <xsl:when test="$ESCount mod 4 = 0">     
            <xsl:value-of select="$ESCount div 4" />
             </xsl:when>
              <xsl:otherwise>
                 <xsl:value-of select="ceiling($ESCount div 4)" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>    
      <div class="styIRS8586TableContainer" id="part1TPctn">
        <xsl:attribute name="style">  
          <xsl:if test="$ESCount &gt; $containerHeight">
            height:4mm;  
          </xsl:if>
        </xsl:attribute>     
        <!-- print logic -->
  <!--      <xsl:call-template name="SetInitialState"/>-->
        <!-- end -->  
        <table class="styIRS8586Table" cellpadding="0" cellspacing="0" border="0">
        <xsl:choose>
          <xsl:when test="($Print!=$Separated) or (($Print = $Separated) and (count($Form8586Data/BldgIdOfBldgWithDecreasedBasis) &lt;5))">
          <xsl:call-template name="partI3bLoop">
            <xsl:with-param name="ESCount" select="$ESCount" />          
            <xsl:with-param name="max">
              <xsl:choose>
                   <xsl:when test="$preMax = 0">     
                  <xsl:value-of select="1" />
                   </xsl:when>
                   <xsl:otherwise>
                      <xsl:value-of select="$preMax" />
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
          </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
                  <tr>            
      <th style="width:6mm">
          (i)
      </th>  
      <td style="text-align:left;font-size: 7pt" class="styIRS8586DotBB">  
          <xsl:if test="($Print = $Separated) and (count($Form8586Data/BldgIdOfBldgWithDecreasedBasis) &gt;4)">
              <xsl:call-template name="PopulateAdditionalDataTableMessage">
                  <xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis"/>
              </xsl:call-template>
          </xsl:if>
        <span class="styTableCellPad" />
      </td>
      <td style="width:2mm"></td>      
      <th style="width:6mm">
          (ii)
      </th>
      <td style="text-align:left;" class="styIRS8586DotBB">  
        <span class="styTableCellPad" />
      </td>
      <td style="width:2mm"></td>
      <th style="width:6mm">
          (iii)
      </th>
        <td style="text-align:left;" class="styIRS8586DotBB">  
        <span class="styTableCellPad" />
      </td>
      <td style="width:2mm"></td>
      <th style="width:6mm">
          (iv)
      </th>
      <td style="text-align:left;" class="styIRS8586DotBB">  
        <span class="styTableCellPad" />
      </td>
      <td style="width:7.2mm"></td>      
      <td style="border-left:1 solid black; width:6.5mm; background-color:lightgrey">&nbsp;</td>
      <td style="border-left:1 solid black; width:31.5mm">&nbsp;</td>
    </tr>  
          </xsl:otherwise>
        </xsl:choose>
        </table>  
      </div>  

<!-- End Line 2 -->

<!-- Start Line 3 -->      
        
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;3</div>
        <div style="float:left">
          Current year credit from attached Form(s) 8609-A (see instructions)            
          <xsl:call-template name="SetFormLinkInline">
            <xsl:with-param name="TargetNode" select="$Form8586Data/CurrentYearCredit"/>              
          </xsl:call-template>              
        </div>  
        <div style="float:right">  
          <span class="styIRS8586DotLn">  
            ..........            
          </span>            
          <div class="styIRS8586LNRightNumBox">3</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/CurrentYearCredit"/></xsl:call-template>
          </div>
        </div>
      </div>

<!-- End Line 3 -->

<!-- Start Line 4 -->      
        
    
        <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;4</div>
        <div style="float:left">
          Low-income housing credit from partnerships, S corporations, estates, and trusts  
          <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          </span>
            </div>  
        <div style="float:right">
          <div class="styIRS8586LNRightNumBox">4</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/LowIncomeHousingCredits"/></xsl:call-template>
          </div>
        </div>
      </div>

      
      

<!-- End Line 4 -->

<!-- Start Line 5 -->      
        
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;5</div>
        <div style="float:left; width:137mm">
          Add lines 3 and 4. Estates and trusts, go to line 6; partnerships and S corporations, report this
          amount on Schedule K; all others, report this amount on the applicable line of Form 3800 (e.g.,
          line 1e of the 2006 Form 3800)
          <xsl:call-template name="SetFormLinkInline"><xsl:with-param name="TargetNode" select="$Form8586Data/LowIncmHousingCrPlusCurrYearCr"></xsl:with-param></xsl:call-template>
                  <!--Dotted Line-->
        <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
 
        </span>
        </div>
        <div style="float:right">     
          <div class="styIRS8586LNRightNumBoxNBB" style="height:7mm; background-color:lightgrey;"></div>
          <div class="styIRS8586LNAmountBoxNBB" style="height:7mm"></div>
           
          <div class="styIRS8586LNRightNumBox" style="height:4.5mm">5</div>
          <div class="styIRS8586LNAmountBox" style="height:4.5mm">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/LowIncmHousingCrPlusCurrYearCr"/></xsl:call-template>   
          </div>
        </div>
      </div>
 
<!-- End Line 5 -->

<!-- Start Line 6 -->      
        
         <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;6</div>
        <div style="float:left">
          Amount allocated to beneficiaries of the estate or trust (see instructions)            
        </div>  
        <div style="float:right">  
          <span class="styIRS8586DotLn">  
            ..........            
          </span>            
          <div class="styIRS8586LNRightNumBox">6</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/AmountAllocatedtoBeneficiaries"/></xsl:call-template>
          </div>
        </div>
      </div>

  
<!-- End Line 6 -->

    
<!-- Start Line 7 -->      

    <div style="width:187mm;">
    <div class="styIRS8586LNLeftNumBox">&nbsp;7</div>

            <div class="styLNDesc" style="width:141.5mm;height:4mm;">        Estates and trusts. Subtract line 6 from line 5.  Report this amount on the applicable line  of
          Form 3800 (e.g., line 1e of the 2006 Form 3800) (see instructions)
         <span style="width:2px;"></span>
        
        <!--Dotted Line-->
        <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.

         </span>
      </div>
                <div class="styIRS8586LNRightNumBox" style="height:9mm; padding-top:5mm; border-bottom-width:0">7</div>
          <div class="styIRS8586LNAmountBox" style="height:9mm; padding-top:5mm; border-bottom-width:0">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/EstatesandTrustsCredit"/></xsl:call-template>
          </div>

    </div>
    
   
  
<!-- End Line 7 -->


   
     <!-- END Line Items -->
      <div style="border-top:1 solid Black; font-size:7pt; width:187mm">    
        <div style="font-weight:bold; float:left; padding-top:0.5mm">
          For Paperwork Reduction Act Notice, see back of form.
        </div>    
        <div style="float:right">
          Cat. No. 63987I
          <span style="width:45mm"></span>
          Form <b style="font-size:9pt">8586</b> (Rev. 12-2006)
        </div>      
      </div>  
      
      <p style="page-break-before:always" />      

      <div class="styLeftOverTitleLine" id="LeftoverData" style="font-family:verdana, arial, sans-serif">
        <div class="styLeftOverTitle">
          Additional Data        
        </div>
        <div class="styLeftOverButtonContainer">
          <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage()" tabindex="1"/>
        </div>      
      </div>
      
      <table class="styLeftOverTbl">
        <xsl:call-template name="PopulateCommonLeftover">
          <xsl:with-param name="TargetNode" select="$Form8586Data" />        
        </xsl:call-template>
      </table>  
      
    <xsl:if test="($Print = $Separated) and (count($Form8586Data/BldgIdOfBldgWithDecreasedBasis) &gt;4)">
<br/>
<span class="styRepeatingDataTitle">Form 8586, Part I, Line 3b - Building Identification Numbers</span>     
<table class="styDepTbl" style="font-size: 7pt">
  <thead class="styTableThead"/>
  <tfoot></tfoot>
  <tbody>
  <xsl:for-each select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis">
    <tr>        
    <xsl:attribute name="class">
             <xsl:choose>
                        <xsl:when test="position() mod 2 = 1">styDepTblRow1</xsl:when>
                        <xsl:otherwise>styDepTblRow2</xsl:otherwise>
                      </xsl:choose>
                    </xsl:attribute>    
      <th style="width:12mm; text-align: left">
          (<xsl:number value="position()" format="i" />)
      </th>  
      <td style="text-align:left;">
        <xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="."/></xsl:call-template>
      </td>
    </tr>  
  </xsl:for-each>
  </tbody>
  </table>
  </xsl:if>      
    </form>
  </body>
</html>
</xsl:template>


<xsl:template name="partI3bLoop">
  <xsl:param name="index" select="1" />
  <xsl:param name="max" />    
  <xsl:if test="$index &lt;= $max">  
    <tr>            
      <th style="width:6mm">
        <xsl:if test="(($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-3]) or ($index*4-3 &lt; 5)) and (($index*4-3) &lt; 5)">
          (<xsl:number value="$index*4-3" format="i" />)
        </xsl:if>
      </th>  
      <td style="text-align:left;">
        <xsl:attribute name="class">
          <xsl:if test="($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-3]) or ($index*4-3 &lt; 5)">
            styIRS8586DotBB
          </xsl:if> 
        </xsl:attribute>  
        <xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-3]"/></xsl:call-template>
      </td>
      <td style="width:2mm"></td>      
      <th style="width:6mm">
        <xsl:if test="(($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-2]) or ($index*4-3 &lt; 5)) and (($index*4-3) &lt; 5)">
          (<xsl:number value="$index*4-2" format="i" />)
        </xsl:if>
      </th>
      <td style="text-align:left;">
        <xsl:attribute name="class">
          <xsl:if test="($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-2]) or ($index*4-3 &lt; 5)">
            styIRS8586DotBB
          </xsl:if> 
        </xsl:attribute>  
        <xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-2]"/></xsl:call-template>
      </td>
      <td style="width:2mm"></td>
      <th style="width:6mm">
        <xsl:if test="(($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-1]) or ($index*4-3 &lt; 5)) and (($index*4-3) &lt; 5)">
          (<xsl:number value="$index*4-1" format="i" />)
        </xsl:if> 
      </th>
      <td style="text-align:left;">
        <xsl:attribute name="class">
          <xsl:if test="($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-1]) or ($index*4-3 &lt; 5)">
            styIRS8586DotBB
          </xsl:if> 
        </xsl:attribute>  
        <xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-1]"/></xsl:call-template>  
      </td>
      <td style="width:2mm"></td>
      <th style="width:6mm">
        <xsl:if test="(($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4]) or ($index*4-3 &lt; 5)) and (($index*4-3) &lt; 5)">
          (<xsl:number value="$index*4" format="i" />)
        </xsl:if>   
      </th>
      <td style="text-align:left;">
        <xsl:attribute name="class">
          <xsl:if test="($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4]) or ($index*4-3 &lt; 5)">
            styIRS8586DotBB
          </xsl:if> 
        </xsl:attribute>  
        <xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4]"/></xsl:call-template>
      </td>  
      <td style="width:7.2mm"></td>      
      <td style="border-left:1 solid black; width:6.5mm; background-color:lightgrey">&nbsp;</td>
      <td style="border-left:1 solid black; width:31.5mm">&nbsp;</td>
    </tr>      
    
    <xsl:call-template name="partI3bLoop">
      <xsl:with-param name="index" select="$index+1" />
      <xsl:with-param name="max" select="$max" />      
    </xsl:call-template>      
  </xsl:if>  
    
</xsl:template>

</xsl:stylesheet>