<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS8820Style.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>

<xsl:strip-space elements="*" />
<xsl:param name="FormData" select="$RtnDoc/IRS8820" />


<xsl:template match="/">
<html>
<head>  
  <title><xsl:call-template name="FormTitle"><xsl:with-param name="RootElement" select="local-name($FormData)"></xsl:with-param></xsl:call-template></title>
  <!-- No Browser Caching -->
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Cache-Control" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- No Proxy Caching -->
  <meta http-equiv="Cache-Control" content="private"/>  
  <meta name="Description" content="Form IRS 8820"/>
  <meta name="GENERATOR" content="IBM WebSphere Studio"/>
   <xsl:call-template name="GlobalStylesForm"/>
  <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
  <xsl:call-template name="InitJS"></xsl:call-template>  
  <style type="text/css">    
    <xsl:if test="not($Print) or $Print=''">
      <xsl:call-template name="IRS8820Style"></xsl:call-template>    
      <xsl:call-template name="AddOnStyle"></xsl:call-template>  
    </xsl:if>
  </style>      
  
</head>

<body class="styBodyClass">
  <form name="Form8820">    
    <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
  <!--Title of Form -->    
  <div class="styBB" style="width:187mm;height: 21mm">
    <div class="styFNBox" style="padding-top: 1mm;width:31mm;font-size: 7pt;height: 21mm">
      Form <span class="styFormNumber">8820</span>      
      <br/>
       <div class="styAgency" style="padding-top: 1mm">(Rev. December 2006)</div>
     
      <div class="styAgency" style="padding-top: 1mm">Department of the Treasury<br />Internal Revenue Service</div>
    </div>
    <div class="styFTBox" style="padding-top: 1mm; width:125mm">
      <div class="styMainTitle">Orphan Drug Credit</div>
      <div class="styFST" style="padding-top: 2mm; height:5mm;font-size:7pt;margin-left:3mm;font-weight:bold"><br/>
        <img src="{$ImagePath}/8820_Bullet.gif" alt="MediumBullet"/>  
        Attach to your tax return.
      </div>
    </div>
    <div class="styTYBox" style="width:30mm;height:22mm; border-left-width: 1px">
    <div class="styOMB" style="height:8mm;padding-top:2mm">OMB No. 1545-1505</div>
   
    <div class="stySequence" style="padding-top:2mm">Attachment<br/>Sequence No. <b>103</b></div>
  </div>
  </div>
  <!--  End title of Form  -->
    
  <!--  Name and Employer identification number  -->
  <div class="styBB" style="width:187mm">
    <div class="styNameBox" style="width:146.3mm;font-weight:normal;font-size:7pt;">
      Name(s) shown on return<br/>
      <div style="font-family:verdana;font-size:6pt;">
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template><br/>  
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param></xsl:call-template> 
     </div>
    </div>
    
    <div class="styEINBox" style="padding-left:2mm;font-size:7pt;"><span class="BoldText">Identifying number</span>    
      <div class="styNormalText" style="text-align:left; padding-top:2mm;">          
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template>          
      </div>    
    </div>
  </div>  
  <!--  End Name and Employer indentification number  -->
  
   <!--  Line 1 -->  
  <div style="width: 187mm">
    <div class="styLNLeftNumBox">1</div>
    <div class="styIRS8820MedLNDesc" style="width:138mm">
    Qualified clinical testing expenses paid or incurred during the tax year
      <span class="styBoldText">
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
              </span>
    </div>
    <div class="styLNRightNumBox">1</div>
    <div class="styLNAmountBox">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/QualifiedClinicalTestExpnssPd"/>
      </xsl:call-template>
    </div>
  </div>
  <!--  Line 1 -->
  
  <!--  Line 2 -->  
  <div style="width: 187mm">
    <div class="styLNLeftNumBox">2</div>
    <div class="styIRS8820MedLNDesc" style="width:138mm">Current year credit. Multiply line 1 by 50% (.50) (see instructions)
      <span class="styBoldText">
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
         <span class="styNBSP"></span>.
         
      </span>
    </div>
    <div class="styLNRightNumBox">2</div>
    <div class="styLNAmountBox">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/CurrentYearCredit"/>
      </xsl:call-template>
    </div>
  </div>
  <!--  Line 2 -->
  
  <!--  Line 3 -->  
  <div style="width: 187mm">
    <div class="styLNLeftNumBox">3</div>
    <div class="styIRS8820MedLNDesc" style="width:138mm">Orphan drug credit from partnerships, S corporations, estates, or trusts
      <span class="styBoldText">
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
      </span>
    </div>
    <div class="styLNRightNumBox">3</div>
    <div class="styLNAmountBox">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/OrphanDrugCredit"/>
      </xsl:call-template>
    </div>
  </div>
  <!--  Line 3 -->

  <!--  Line 4 -->  
  <div style="width: 187mm">
    <div class="styLNLeftNumBox" style="height: 10mm; padding-top: 3mm">4</div>
    <div class="styIRS8820MedLNDesc" style="height: 6mm; padding-top: 3mm;width:138mm">Add lines 2 and 3. Estates and trusts go
     to line 5. Partnerships and S corporations, report this amount on Schedule K. All others, report this amount on the
      applicable line of Form 3800 (e.g., line 1k of the 2006 Form 3800)
      
      <xsl:call-template name="LinkToLeftoverDataTableInline">
          <xsl:with-param name="Desc">Line 4 - indicator Portion 1041</xsl:with-param>
          <xsl:with-param name="TargetNode" select="$FormData/SumCurrYrCrandOrphanDrugCr/
          @indicatorPortion1041"/>
      </xsl:call-template>
      
        <xsl:call-template name="LinkToLeftoverDataTableInline">
          <xsl:with-param name="Desc">Line 4 - portion Amount 1041</xsl:with-param>
          <xsl:with-param name="TargetNode" select="$FormData/SumCurrYrCrandOrphanDrugCr/
          @portionAmount1041"/>
          <xsl:with-param name="Style">padding-left:4mm;</xsl:with-param>
        </xsl:call-template>
      
      <span class="styBoldText">
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
         <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        </span>
    </div>
    <div class="styLNRightNumBox" style="height:10mm; padding-top: 9mm; border-bottom-width:1px">4</div>
    <div class="styLNAmountBox" style="height:10mm; padding-top: 9mm; border-bottom-width:1px">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/SumCurrYrCrandOrphanDrugCr"/>
      </xsl:call-template>
    </div>
  </div>
  <!--  Line 4 -->
 
  <!--  Line 5 -->  
  <div style="width: 187mm">
    <div class="styLNLeftNumBox">5</div>
    <div class="styIRS8820MedLNDesc" style="width:138mm">Amount allocated to the 
    beneficiaries of the estate or trust (see instructions)
      <span class="styBoldText">
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
      
      </span>
    </div>
    <div class="styLNRightNumBox">5</div>
    <div class="styLNAmountBox">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/AmountAllocatedtoBeneficiaries"/>
      </xsl:call-template>
    </div>
  </div>
  <!--  Line 5 -->
  

  <!--  Line 6 -->  
  <div class="styBB"  style="width: 187mm">
    <div class="styLNLeftNumBox" style="height: 8mm; padding-top: 3mm">6</div>
    <div class="styIRS8820MedLNDesc" style="height: 6mm; padding-top: 3mm;width:138mm">Estates and trusts. Subtract line 5 from line 4. Report this amount on the applicable line of
     Form 3800 (e.g., line 1k of the 2006 Form 3800)
      <span class="styBoldText">
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
      </span>
    </div>
    <div class="styLNRightNumBox" style="height:8mm; padding-top: 7mm; border-bottom-width:0px">6</div>
    <div class="styLNAmountBox" style="height:8mm; padding-top: 7mm; border-bottom-width:0px">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/EstatesandTrustsCredit"/>
      </xsl:call-template>
    </div>
  </div>
  <!--  Line 6 -->

  
          <div style="width:187mm;">
          <span class="styBoldText">For Paperwork Reduction Act Notice, see page 2. </span> 
          <span style="width:120px;"></span>                      
          Cat. No. 11208S 
          <span style="width:110px;"></span>  
          Form <span class="styBoldText">8820</span> (Rev. 12-2006)
        </div>
        <br/>
        <br class="pageEnd"/>
        
        <!-- BEGIN Left Over Table -->  
        <!-- Additonal Data Title Bar and Button -->
        <div class="styLeftOverTitleLine" id="LeftoverData">
          <div class="styLeftOverTitle">
            Additional Data        
          </div>
          <div class="styLeftOverButtonContainer">
            <input class="styLeftoverTableBtn" TabIndex="1"  type="button" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
          </div>      
        </div>
        <!-- Additional Data Table -->
        <table class="styLeftOverTbl">
          <xsl:call-template name="PopulateCommonLeftover">
            <xsl:with-param name="TargetNode" select="$FormData" />
            <xsl:with-param name="DescWidth" select="100"/>
          </xsl:call-template> 
          
        <xsl:call-template name="PopulateLeftoverRow">
          <xsl:with-param name="Desc">Line 4 - indicator Portion 1041</xsl:with-param>
          <xsl:with-param name="TargetNode" select="$FormData/SumCurrYrCrandOrphanDrugCr/@indicatorPortion1041"/>
       </xsl:call-template> 
          

      
       <xsl:call-template name="PopulateLeftoverRow">
          <xsl:with-param name="Desc">Line 4 - portion Amount 1041</xsl:with-param>
          <xsl:with-param name="TargetNode" select="$FormData/SumCurrYrCrandOrphanDrugCr/@portionAmount1041"/>
          <xsl:with-param name="Style">padding-left:4mm;</xsl:with-param>
      </xsl:call-template> 
          

      


                   
        </table>
      <!-- END Left Over Table -->      
  </form>  
</body>
</html>
</xsl:template>    

</xsl:stylesheet>