<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="IRS8834Style.xsl"/>
<xsl:include href="AddOnTable.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>

<xsl:strip-space elements="*" />
<xsl:param name="FormData" select="$RtnDoc/IRS8834" />


<xsl:template match="/">
<html>
<head>  
  <title><xsl:call-template name="FormTitle"><xsl:with-param name="RootElement" select="local-name($FormData)"></xsl:with-param></xsl:call-template></title>
  <!-- No Browser Caching -->
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Cache-Control" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- No Proxy Caching -->
  <meta http-equiv="Cache-Control" content="private"/>  
  <meta name="Description" content="Form IRS 8834"/>
  <meta name="GENERATOR" content="IBM WebSphere Studio"/>
   <xsl:call-template name="GlobalStylesForm"/>
  <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
  <xsl:call-template name="InitJS"></xsl:call-template>  
  <style type="text/css">  

    <xsl:if test="not($Print) or $Print=''"> 

      <xsl:call-template name="IRS8834Style"></xsl:call-template>
      <xsl:call-template name="AddOnStyle"></xsl:call-template>  

  </xsl:if> 

  </style>      
  
</head>

<body class="styBodyClass">
  <form name="Form8834">    
    <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
  <!--Title of Form -->    
  <div class="styBB" style="width:187mm;height: 20mm">
    <div class="styFNBox" style="width:31mm;font-size: 7pt;height: 22mm">
      Form <span class="styFormNumber">8834</span>      
      <br/>
      <br/>
      <br/>
      <span class="styAgency">Department of the Treasury</span><br /><span class="styAgency">Internal Revenue Service</span>
    </div>
    <div class="styFTBox" style="height: 22mm;width:125mm">
      <div class="styMainTitle" style="height: 8mm">Qualified Electric Vehicle Credit</div>
      <div class="styFST" style="font-size:7pt;margin-left:3mm;font-weight:bold"><br/>
        <div style="margin-left: 1.5mm; padding-top:1mm">
          <img src="{$ImagePath}/8834_Bullet.gif" alt="MediumBullet"/>  
          Attach to your tax return.
        </div>
        <div style="padding-top:1.5mm">
          <img src="{$ImagePath}/8834_Bullet.gif" alt="MediumBullet"/>  
          See instructions on back.
        </div>
      </div>
    </div>
    <div class="styTYBox" style="width:30mm;height:22mm; border-left-width: 1px">
      <div class="styOMB" style="height:2mm;">OMB No. 1545-1374</div>
      <div class="styTY" style="height:10mm">20<span class="styTYColor">07</span></div>
      <div class="stySequence">Attachment<br/>Sequence No. <b>111</b></div>
    </div>
  </div>
  <!--  End title of Form  -->
    
  <!--  Name and Employer identification number  -->
  <div class="styBB" style="width:187mm">
    <div class="styNameBox" style="width:141mm;font-size:7pt;">
      Name(s) shown on return<br/>
     <div style="font-family:verdana;font-size:6pt;height:6mm">
       <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template><br/>  
       <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param></xsl:call-template>
     </div>
    </div>
    
    <div class="styEINBox" style=" padding-left:2mm; font-size:7pt;"><span class="BoldText">Identifying number</span>
      <div style="text-align:left;font-weight:normal; ">
      <br/>  
        <xsl:choose>
          <xsl:when test="normalize-space($FormData/IdentifyingNumber) != ''">
            <xsl:call-template name="PopulateEIN"><xsl:with-param name="TargetNode" select="$FormData/IdentifyingNumber" /></xsl:call-template>
          </xsl:when>  
          <xsl:otherwise>  
            <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template>  
          </xsl:otherwise>
        </xsl:choose>
      </div>    
    </div>
  </div>  
  <!--  End Name and Employer indentification number  -->
  
  <!--  Part I -->
  <div class="styBB" style="width: 187mm">
    	<div class="styPartName" style="width: 15mm;">Part I</div>
    	<div class="styPartDesc">   Tentative Credit</div>
  </div>
  <div class="styBB" style="width:187mm;font-size:8pt;"><b>Caution.</b> This credit applies only to vehicles placed in service before 2007</div>
   <!--  End Part I -->
 
      
  <!--  Line 1  -->
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox" style="padding-left:1mm">1</div>
    <div style="float:left">
      Qualified electric vehicle credits from pass-through entities:
    </div>    
    <div style="float:right">          
      <div class="styLNRightNumBox" style="background-color: lightgrey; border-bottom-width: 0px"></div>
      <div class="styLNAmountBox" style="border-bottom-width: 0px"></div>          
    </div>
  </div>
  <div style="width:187mm;padding-left:4mm">
    <div class="styLNDesc" style="width:143.25mm; height:4mm; padding-left: 4mm">
      <table border="0" cellspacing="0" cellpadding="0" style="padding:0mm" summary="Qualified electric vehicle credits from pass-through entities:">
         <tr>
            <th class="styTableCell" scope="col" style="border-color: black; border-top-width: 1px; font-size: 7pt; width: 20mm; text-align:left">                
              If you are a:              
            </th>
            <th class="styTableCell" colspan="3" scope="col" style="text-align: left; border-color: black; border-right-width:0px; border-top-width:1px; font-size: 7pt; width:92mm;padding-left:2mm">
              Then enter the total electric vehicle credits from:
            </th>
            <th class="styTableCell" scope="col" style="border-bottom-width: 0px;width:35mm">
            <span class="styTableCellPad"></span>
            </th>
         </tr>
         <tr>
            <td scope="row" style="width: 20mm; font-size: 6pt;font-family:verdana;font-style: normal;font-weight:normal;border-right:solid black .75pt">
            Shareholder      
            <br/>
              Partner  
              </td>
            <td scope="row" style="width: 69mm; font-size:6pt;font-family:verdana;font-style: normal;font-weight:normal;border:none;padding:0mm;padding-left:2mm">
              Schedule K-1 (Form 1120S), box 13, code D, E, or P  
              <br/>
              Schedule K-1 (Form 1065), box 15, code D, E, or P
            </td>
          <td scope="row" style="width: 4mm">
            <div class="styLNDesc" style="width:4mm; text-align: left">
              <img src="{$ImagePath}/8834_Bracket_Sm.gif" alt="Curly Bracket Image"/>                
            </div>
          </td>
          <td scope="row" style="width: 18mm">
            <div class="styLNDesc" style="width:18mm;letter-spacing:4mm; font-weight: bold; float:left; font-size: 7pt">                  
                ....              
            </div>
          </td>
          <td scope="row" style="width: 34mm">
            <div class="styLNDesc" style="width:34mm;letter-spacing:4mm; font-weight: bold; float:left; font-size: 7pt">                  
                .......              
            </div>
          </td>
         </tr>            
      </table>          
    </div>
    <div class="styLNRightNumBox" style="height:5mm;padding-top:0mm;">
      <div class="styLNRightNumBoxN" style="width:7.75mm;background-color:lightgrey;height:7mm"></div>
          1          
    </div>        
    <div class="styLNAmountBox" style="height: 10.5mm; width: 31.75mm; padding-top: 7mm">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/QlfyCrFromPassThroughEntities"/>
      </xsl:call-template>
    </div>
    <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color: lightgrey;border-right-width:1px;height:7mm"></div>

  </div>      
 
  <!--  Line 2 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox">2</div>
    <div style="float:left">
      Passive activity credits included on line 1 (see instructions)
    </div>    
    <div style="float:right">    
      <span style="letter-spacing:4mm; font-weight:bold; float:left">  
        ...........
      </span>        
      <div class="styLNRightNumBox">2</div>
      <div class="styLNAmountBox">
        <xsl:call-template name="PopulateAmount">
          <xsl:with-param name="TargetNode" select="$FormData/PassiveActivityCredit"/>
        </xsl:call-template>
      </div>          
    </div>
  </div>

  
  <!--  Line 3 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox">3</div>
    <div style="float:left">
      Subtract line 2 from line 1
    </div>    
    <div style="float:right">    
      <span style="letter-spacing:4mm; font-weight:bold; float:left">  
        .....................
      </span>        
      <div class="styLNRightNumBox" style="border-bottom-width: 1px">3</div>
      <div class="styLNAmountBox" style="border-bottom-width: 1px">
        <xsl:call-template name="PopulateAmount">
          <xsl:with-param name="TargetNode" select="$FormData/TotalCurrYrCreditMinusPassive"/>
        </xsl:call-template>
      </div>          
    </div>
  </div>

  
  <!--  Line 4 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox">4</div>
    <div style="float:left">
      Passive activity credits allowed for 2007 (see instructions)
    </div>    
    <div style="float:right">    
      <span style="letter-spacing:4mm; font-weight:bold; float:left">  
        ............
      </span>        
      <div class="styLNRightNumBox" style="border-bottom-width: 1px">4</div>
      <div class="styLNAmountBox" style="border-bottom-width: 1px">
        <xsl:call-template name="PopulateAmount">
          <xsl:with-param name="TargetNode" select="$FormData/PassiveActivityCreditsAllowed"/>
        </xsl:call-template>
      </div>          
    </div>
  </div>
  
  <!--  Line 5 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox">5</div>
    <div style="float:left">
      <span class="styBoldText">Tentative qualified electric vehicle credit.</span> Add lines 3 and 4
    </div> 
      <div style="float:right"> 
        <span style="letter-spacing:4mm; font-weight:bold; float:left;">  
        ..........
        <img src="{$ImagePath}/8834_Bullet.gif" alt="Curly Bracket Image"/>
      </span> 
       <div class="styLNRightNumBox" style="border-bottom-width: 0px">5</div>
      <div class="styLNAmountBox" style="border-bottom-width: 0px">
        <xsl:call-template name="PopulateAmount">
          <xsl:with-param name="TargetNode" select="$FormData/TentQlfyElectricVehicleCredit"/>
        </xsl:call-template>
      </div>  
    </div>
  </div>
  
  <!--  Part II -->
  <div class="styBB" style="width: 187mm; border-top-width: 1px">
    <div class="styPartName" style="width: 15mm">Part II</div>
    <div class="styPartDesc" style="width: 172mm">Allowable Credit</div>
  </div>
    
  <!--  Line 6 -->  
  <div style="width:187mm;">
   	<div class="styLNLeftNumBox" style="height:4mm;"></div>
   	<div class="styLNDesc" style="width:138mm;height:4mm;float:right:"/>
  	<div class="styLNRightNumBox" style="width:8.25mm;height:4.5mm;border-bottom-width:0px;border-right-width:1px;padding-top:0mm;background-color:lightgrey;" />
  </div>
  
    <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">6</div>
        <div class="styLNDesc" style="width:100mm;height:4mm;">
          Regular tax before credits.          
        <li style="height: 4mm; padding-top: .75mm;font-size:6pt;">Individuals. Enter the amount from Form 1040, line 44, or Form 1040NR, line 41.</li>
        <li style="height: 4mm; padding-top: .75mm">Corporations. Enter the amount from Form 1120, Schedule J, line 2.</li>
        <li style="height: 4mm; padding-top: .75mm">Other filers. Enter the regular tax before credits from your return.</li>                     
        </div>
        <div class="styLNDesc" style="width:5mm; height:4mm;padding-top:4.5mm;">
          <img src="{$ImagePath}/8834_Bracket_Md.gif" alt="Curly Bracket Image"/>        
        </div>
        <div class="styLNDesc" style="width:33mm; height:4mm;">                  
          <span class="styBoldText" style="width:33mm; height:4mm;padding-bottom:0mm;padding-top:7mm;">
            <span style="width:8px;"></span>.    
            <span style="width:8px;"></span>.  
            <span style="width:8px;"></span>.    
            <span style="width:8px;"></span>.
            <span style="width:8px;"></span>.    
            <span style="width:8px;"></span>.
            <span style="width:8px;"></span>.    
            <span style="width:8px;"></span>.                                                      
          </span>                  
        </div>
        <div class="styLNRightNumBox" style="width:7.75mm;height:10.25mm;padding-top:0mm;" >
             <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;padding-bottom:2mm" ></div>
             		<span style="padding-bottom:0mm" valign="bottom">6</span>
        </div>
        <div class="styLNAmountBox" style="height:10.25mm;padding-top:3mm;">
          <br/>
             <xsl:call-template name="PopulateAmount">
               <xsl:with-param name="TargetNode" select="$FormData/RegularTaxBeforeCredits"/>
             </xsl:call-template>
       </div>
       <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color: lightgrey;border-right-width:1px;height:7mm"></div>
      </div>
   
   <!-- line 7  -->  
   <!-- blank line first -->     
  <div class="styBB" style="width:187mm;">
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">7</div>
        <div class="styLNDesc" style="width:138mm;height:4mm">
          Credits that reduce regular tax before the qualified electric vehicle credit:
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;background-color:lightgrey; border-bottom-width: 0px"></div>
        <div class="styLNAmountBox" style="height:4.5mm;border-bottom-width: 0px">
        </div>
      </div>
      <div style="width:187mm;height:8mm">
        <div class="styLNLeftLtrBox" style="height:4mm;">a</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;padding-top:1mm;"> Credits from Form 1040, lines 47 through 50 and 52 through 54, or<br/>
Form 1040NR, lines 44 and 45 and 47 through 49 
      
          <span style="letter-spacing:4mm; font-weight:bold">  
            ......
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:8.5mm;padding-top:4.5mm;padding-bottom:0px">7a</div>
        <div class="styLNAmountBox" style="height:8.5mm;padding-top:4.5mm;padding-bottom:0px">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/xxx"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:8.5mm;border-right-width:1px;"></div>
      </div>
 
      
      <!-- Line 7b-->
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" >b</div>
        <div class="styLNDesc" style="width:98.25mm">
             Foreign tax credit
          
                    <!--Dotted Line-->
          <span style="letter-spacing:4mm; font-weight:bold">  
            ...............
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">7b</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
         <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/ForeignTaxCredits"/>
          </xsl:call-template>
    
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
     
      <!-- Line 7c-->
    
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;">c</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm">
        American Samoa economic development credit (Form 5735)
          <span style="letter-spacing:4mm; font-weight:bold">  
            ...
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">7c</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/AmericanSamoaEconomicDevCredit"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
     
      <!-- Line 7d -->
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;">d</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Add lines 7a through 7c
            <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
              ......................
            </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">7d</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/SumOfForeignAndFuelCredit"/>
          </xsl:call-template>
        </div>
      </div>
     
      
      <!-- Line 8  --> 
       <!-- blank line -->
       <div class="styLNLeftNumBox" style="height:4mm;"></div>
   <div class="styLNDesc" style="width:138mm;height:4mm;float:right:"/>
  <div class="styLNRightNumBox" style="width:8.25mm;height:4.5mm;border-bottom-width:0px;border-right-width:1px;padding-top:0mm;" />
   
   <!-- line 8 -->  
      <div style="width:187mm;">
       <div class="styLNLeftNumBox" style="height:4mm;">8</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Net regular tax. Subtract line 7d from line 6. If zero or less, <span class="styBoldText">do not</span> file this form; you cannot 
        </div>
        <div class="styLNRightNumBoxNBB"></div>  
        <div class="styLNAmountBoxNBB" style="height:4mm;" ></div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;"></div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          claim this credit
          <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
              ........................
            </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">8</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/NetRegularTax"/>
          </xsl:call-template>
        </div>
      </div>
      
   
      
      <!--  Line 9  -->
           <!-- blank line -->
       <div class="styLNLeftNumBox" style="height:4mm;"></div>
       
       <div class="styLNDesc" style="width:138mm;height:4mm;float:right:" />
         <div class="styLNRightNumBox" style="width:8.25mm;height:4.5mm;border-bottom-width:0px;border-right-width:1px;padding-top:0mm;background-color:lightgrey;" />

         <div style="width:187mm;">
            <div class="styLNLeftNumBox" style="height:4mm;">9</div>
            <div class="styLNDesc" style="width:105mm;height:4mm;">Tentative minimum tax (see instructions).            
              <li style="height:4mm; padding-top: .75mm">Individuals. Enter the amount from Form 6251, line 33.</li>
              <li style="height: 4mm; padding-top: .75mm">Corporations. Enter the amount from Form 4626, line 12.</li>
              <li style="height: 4mm; padding-top: .75mm">Estates and trusts. Enter the amount from Form 1041, Schedule I, line 54.</li> 
            </div>                  
           <div class="styLNDesc" style="width:5mm; height:4mm;padding-top:4.5mm;">
                <img src="{$ImagePath}/8834_Bracket_Md.gif" style="padding-top:2mm" alt="Curly Bracket Image"/>        
           </div>
           <div class="styLNDesc" style="width:28mm; height:4mm;">                  
           <span class="styBoldText" style="width:28mm; height:4mm;padding-bottom:0mm;padding-top:7mm;">
             <span style="width:8px;"></span>.    
            <span style="width:8px;"></span>.  
            <span style="width:8px;"></span>.    
            <span style="width:8px;"></span>.
            <span style="width:8px;"></span>.    
            <span style="width:8px;"></span>.                                                      
          </span>                  
        </div>
   
        <div class="styLNRightNumBox" style="width:7.75mm;height:10.25mm;padding-top:0mm;border-bottom-width: 1px">
          <div class="styLNRightNumBoxNBB" style="width:7.75mm;padding-top:0.5mm;border-left-width:0px;background-color:lightgrey;padding-bottom:2mm">         	   </div>9
        </div>
        <div class="styLNAmountBox" style="height:10.25mm; border-bottom-width: 1px"><br/>
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/TentativeMinimumTax"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;height:8mm;background-color:lightgrey;border-right-width:1px;"></div>
 </div>

  
      <!--  Line 10  -->
       <!-- blank line -->
 <div class="styLNLeftNumBox" style="height:4mm;"></div>
 <div class="styLNDesc" style="width:138mm;height:4mm;"/>
 <div class="styLNRightNumBox" style="width:8.25mm;height:4.5mm;border-bottom-width:0px;border-right-width:1px;padding-top:0mm;background-color:lightgrey;" />
 
 <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;padding-left:0mm;">10</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          		Subtract line 9 from line 8. If zero or less, <span class="styBoldText">do not</span> file this form; you cannot claim this credit
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">10</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/ExcessOfNetOverTentativeTax"/>
          </xsl:call-template>
        </div>
 </div>
      
      <!--  Line 11  -->
       <!-- blank line -->
       
  <div class="styLNLeftNumBox" style="height:4mm;"></div>
  <div class="styLNDesc" style="width:138mm;height:4mm;float:right:"/>
  <div class="styLNRightNumBoxNBB" style="width:8.25mm;height:4.5mm;border-right-width:1px;padding-top:0mm;background-color:lightgrey;" />

  <div style="width:187mm;">

        <div class="styLNLeftNumBox" style="height:4mm;padding-left:0mm;">11</div>
        <div class="styLNDesc" style="height:4mm;width:138mm;padding-right:0mm;">
          <span class="styBoldText">Qualified electric vehicle credit.</span> Enter the <span class="styBoldText">smaller</span> of line 5 or 10 here and on 			Form 1040, line 55; Form <br />1040NR, line 50; Form 1120, Schedule J, line 5b; Form 1041, Schedule G, line 2b; or the appropriate <br />line of your return. If line 10 is smaller than line 5, see instructions 
		<!--Dotted Line-->
                     <span style="letter-spacing:4mm; font-weight:bold;">........
            			<img src="{$ImagePath}/8834_Bullet.gif" alt="Curly Bracket Image"/>
         		</span>
       </div>
   <!--   
        <div style="float:right;">  
		<span class="styLNRightNumBoxNBB" style="height:4.5mm;border-right-width:1px;padding-top:0mm;background-color:lightblue;padding-right:0mm;" /> 	      <div class="styLNAmountBox" style="border-bottom-width: 0px;border-left-width:0px;" />
  	   </div> 
  	-->
    


	<div class="styLNRightNumBoxNBB" style="height:4mm;background-color:lightgrey;border-right-width:1px;width:8.25mm;padding-top:.5mm;"></div>
	
	<div class="styLNAmountBox" style="border-bottom-width: 0px;border-left-width:0px;" />
	<!--
	<div class="styLNRightNumBoxNBB" style="height:4mm;border-right-width:1px;width:8.25mm"></div>
	-->
	<!--
	<div class="styLNDesc" style="width:138mm;height:4mm;background-color:yellow">
	</div>  
	-->
	<!--
	<div style="float:right;">  
   		 <div class="styLNRightNumBox" style="border-bottom-width:0px;border-right-width:1px;background-color:lightblue;" />
   		
    		 <div class="styLNAmountBox" style="border-bottom-width: 0px;border-left-width:0px;" />
    	
	</div>
	-->
<!--
	<div class="styLNLeftNumBox" style="height:4mm;"></div>
	<div class="styLNDesc" style="width:138mm;height:4mm;">
-->
              	
         	
  	<!--	
	</div>
	      --> 
    
      <div class="styLNRightNumBoxNBB" style="border-right-width:1px;height:6mm;width:8.25mm;padding-top:3mm;">11</div>
  
      <div class="styLNAmountBox" style="border-bottom-width: 0px;border-left-width:0px;padding-top:3mm;">
     
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/AllowableQlfyElectricVehicleCr"/>
          </xsl:call-template>
      </div> 

   </div>

  </div>

<!-- end of page -->
        <div style="width:187mm;">
          <span class="styBoldText">For Paperwork Reduction Act Notice, see back of form. </span> 
          <span style="width:120px;"></span>                      
          Cat. No. 14953G 
          <span style="width:125px;"></span>  
          Form <span class="styBoldText">8834</span> (2007)
        </div>
        <br/>
        <br class="pageEnd"/>
        
        <!-- BEGIN Left Over Table -->  
        <!-- Additonal Data Title Bar and Button -->
        <div class="styLeftOverTitleLine" id="LeftoverData">
          <div class="styLeftOverTitle">
            Additional Data        
          </div>
          <div class="styLeftOverButtonContainer">
            <input class="styLeftoverTableBtn" TabIndex="1"  type="button" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
          </div>      
        </div>
        <!-- Additional Data Table -->
        <table class="styLeftOverTbl">
          <xsl:call-template name="PopulateCommonLeftover">
            <xsl:with-param name="TargetNode" select="$FormData" />
            <xsl:with-param name="DescWidth" select="100"/>
          </xsl:call-template>          
        </table>
      <!-- END Left Over Table -->     
    
  </form>  
</body>
</html>
</xsl:template>    

</xsl:stylesheet>