<?xml version="1.0" encoding="UTF-8"?>
<!--  edited with XML Spy v4.4 U (http://www.xmlspy.com) by Ken Dulabhan (Comteq Federal Inc) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:import href="PopulateTemplate.xsl"/>
  <xsl:include href="CommonPathRef.xsl"/>
  <xsl:include href="AddHeader.xsl"/>
  <xsl:include href="AddOnTable.xsl"/>
  <xsl:include href="IRS8864Style.xsl"/>
  <xsl:output method="html" indent="yes"/>
  <xsl:strip-space elements="*"/>
  <xsl:param name="FormData" select="$RtnDoc/IRS8864"/>
  <xsl:template name="RowWriterCore">
    <tr>
      <td class="styLeftNumBox">
        <span style="width:1px;"/>
      </td>
      <td height="10px;" style="height:4.5mm;font-size:7pt;text-align:left;width:172mm;" class="styIRS8864table">
        <span style="width:1px;"/>
      </td>
    </tr>
  </xsl:template>
  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:call-template name="FormTitle">
            <xsl:with-param name="RootElement" select="local-name($FormData)"/>
          </xsl:call-template>
        </title>
        <!-- No Browser Caching -->
        <meta http-equiv="Pragma" content="no-cache"/>
        <meta http-equiv="Cache-Control" content="no-cache"/>
        <meta http-equiv="Expires" content="0"/>
        <!-- No Proxy Caching -->
        <meta http-equiv="Cache-Control" content="private"/>
        <!-- Define Character Set -->
        <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
        <meta name="Description" content="TY 2005 IRS Form 8864"/>
        <!-- javascript include -->
        <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"/>
        <xsl:call-template name="InitJS"/>
        <style type="text/css">
          <xsl:if test="not($Print) or $Print=''">
            <xsl:call-template name="IRS8864Style"/>
            <xsl:call-template name="AddOnStyle"/>
          </xsl:if>
        </style>
        <xsl:call-template name="GlobalStylesForm"/>
      </head>
      <body class="styBodyClass">
        <!-- Standard Warning Lines -->
        <xsl:call-template name="DocumentHeader"/>
        <!-- FORM DISPLAY STUFF STARTS HERE -->
        <!--Title of Form -->
        <div class="styTBB" style="width:187mm;height: 21mm;border-bottom-width: 1px;">
          <div class="styFNBox" style="height: 21mm; width:33mm;font-size: 7pt; padding-top:2mm; border-right-width: 1px;">
          Form <span class="styFormNumber">8864</span>
            <br/>
            <span>
              <xsl:call-template name="SetFormLinkInline">
                <xsl:with-param name="TargetNode" select="$FormData"/>
              </xsl:call-template>
            </span>
            <br/>
            <div style="line-height:100%">
              <span class="styAgency">Department of the Treasury</span>
              <br/>
              <span class="styAgency">Internal Revenue Service</span>
            </div>
          </div>
          <div class="styFTBox" style="width:121.5mm; height: 21mm">
            <div class="styFMT" style="line-height:100%;height:12mm;font-size: 12pt; padding-top:6mm;padding-bottom:3mm;">
              <div class="styMainTitle">Biodiesel and Renewable Diesel Fuels Credit
              </div>
            </div>
            <span>
              <img src="{$ImagePath}/8864_Bullet_Line.gif" alt="Bullet"/>
              <span class="styBoldText" style="font-size:7pt;">Attach to your tax return.</span>
            </span>
          </div>
          <div class="styTYBox" style="width:31.5mm;height:21mm;border-left-width:1px;">
            <div class="styOMB" style="height:2mm;">OMB No. 1545-1924</div>
            <div class="styTaxYear" style="padding-top:0mm;height:6mm;">20<span class="styTYColor">07</span>
            </div>
            <span class="stySmallText" style="width:31mm;text-align:left;padding-left:4mm;">
              <b>Attachment<br/> Sequence No. </b>
              <span class="styBoldText" style="font-size:8pt;">141</span>
            </span>
          </div>
          <!-- -->
        </div>
        <!--  End title of Form  -->
        <div class="styBB" style="width:187mm">
          <div class="styNameBox" style="font-size:7pt; width:132mm; height:8mm">Name(s) shown on return
            <div style="padding-left:5mm; line-height:110%">
              <xsl:call-template name="PopulateReturnHeaderFiler">
                <xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param>
              </xsl:call-template>
              <br/>
              <xsl:call-template name="PopulateReturnHeaderFiler">
                <xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param>
              </xsl:call-template>
            </div>
          </div>
          <div class="styEINBox" style="font-size:7pt; padding-left:2mm;"> Identifying number 
            <div style="text-align:left; width:100%; padding-top:2mm; font-weight:normal">
              <span style="font-weight:normal;">
                <xsl:call-template name="PopulateReturnHeaderFiler">
                  <xsl:with-param name="TargetNode">EIN</xsl:with-param>
                </xsl:call-template>
              </span>
            </div>
          </div>
        </div>
        <div class="styBB" style="width:187mm;padding-top:1mm;padding-bottom:1mm;border-bottom-width:1px;">
          <div class="styBoldText" style="float:left;clear:none;width:14mm;"> Caution:</div>
          <div class="styNormalText" style="float:left;clear:none;width:173mm;padding-left:0mm;">
            You cannot claim any amounts on Form 8864 that you claimed (or will claim) on Schedule C (Form 720), Form 8849, or
            <br/>
            <span style="padding-left:0mm;">Form 4136.</span><br/></div>
            
             <div class="styNormalText" style="float:left;clear:none;">
            Claimant has a certificate from the producer or importer of biodiesel or renewable diesel reported on lines 1 through 6 below and, if
            applicable, claimant also has a statement from the reseller. Claimant has no reason to believe that the information in the certificate or
            statement is false. Claimant may need to attach a copy of the certificate and statement. See <i>Certification</i> below.
             </div>
          </div>
        
          <div class="styBB" style="width:187mm;">
          <span class="styNormalText" style="width:107.7mm;float:left;clear:none;text-align:center;padding-top:3.5mm;">
          Type of Fuel
          </span>
          <div class="styGenericDiv">
            <span class="styTableCellCtr" style="height:10mm;width:31.3mm;float:left;clear:none;border-bottom-width:0px;border-right-width:0px;border-left-width:1px; ">
            (a) <br/>Number of Gallons Sold or Used
            </span>
            <span class="styTableCellCtr" style="height:10mm;width:11mm;clear:none;border-bottom-width:0px;
                                  border-right-width:0px;border-left-width:1px;text-align:center ">
            (b) <br/>Rate
            </span>
            <span class="styTableCellCtr" style="height:10mm;width:35mm;clear:none;border-bottom-width:0px;
            border-right-width:0px;border-left-width:1px;padding-left:3mm">
            (c) <br/>Column <span style="font-size:6pt;">(a)</span> x Column <span style="font-size:6pt;">(b)</span>
            </span>
          </div>
        </div>
   
         <!-- Line 1 -->
          <div  style="width:187mm">
            <div class="styGenericDiv" style="height:4.5mm;width:186.5mm">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">1</span>
              <span class="styLNDesc" style="width:91.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
                Biodiesel (other than agri-biodiesel)
              </span>
                <span class="styDotLn" style="clear:none;padding-left:3mm;">
                .........
                </span>
              </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.8mm;">
              <span class="styLNRightNumBox" style="height:4.5mm;">
              1
              </span>
              <span class="styLNAmountBox" style="height:4.5mm;width:32mm;padding-right:1mm;">
                <!-- populate 'Straight biodiesel' number of gallons sold or used -->
                <!-- Generated code start -->
                <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="$FormData/BiodieselGallons" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselGallonss</xsl:with-param>
                </xsl:call-template>
                <!-- Generated code end -->
              </span>
               <span class="styLNAmountBox" style="width:11mm;height:4.5mm;">
                <span class="styGenericDiv" style="padding-left:1mm;">$</span>
              <span class="styGenericDiv" style="padding-left:2.6mm;"> .50</span>
              </span>

              <span class="styLNAmountBox" style="height:4.5mm;width:35mm">
                <!-- populate 'Straight biodiesel' number of gallons sold or used multiplied by .5  -->
                <!-- Generated code start -->
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/BiodieselAmount" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselAmount</xsl:with-param>
                </xsl:call-template>
                <!-- Generated code end -->
              </span>
            </div>
          </div>
          <!-- End Line 1 -->
          
          <!-- Line 2 -->
          <div class="styGenericDiv" style="width:186.5mm">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="height:4.5mm;padding-left:2.8mm;">2</span>
              <span class="styLNDesc" style="height:4.5mm;width:91.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
               Agri-biodiesel
                </span>
                <span class="styDotLn" style="clear:none;padding-left:4.5mm;">
                ................
                </span>
              </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.8mm;">
              <div class="styLNRightNumBox" style="height:4.5mm;">
              2
              </div>
              <div class="styLNAmountBox" style="height:4.5mm;width:32mm;padding-right:1mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/AgriBiodieselGallons" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselGallons</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:11mm;height:4.5mm;">
                <span class="styGenericDiv" style="padding-left:1mm;">
                $ 1.00
                </span>
              </span>
              <div class="styLNAmountBox" style="height:4.5mm;width:35mm">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/AgriBiodieselAmount" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselAmount</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
          <!-- End Line 2 -->
          
                   
          <!-- Line 3 -->
          <div class="styGenericDiv" style="width:186.5mm">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;height:4.5mm;">3</span>
              <span class="styLNDesc" style="width:91.5mm;height:4.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
                  Renewable diesel 


                </span>
                 <span class="styBoldText">
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
             </span>
               </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.8mm;">
              <div class="styLNRightNumBox" style="height:4.5mm;">
              3
              </div>
              <div class="styLNAmountBox" style="height:4.5mm;width:32mm;padding-right:1mm;">
                 <!-- Generated code start -->
                   <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/RenewableDiesel" />
                    <xsl:with-param name="BackupName">IRS8864RenewableDieselSoldUsed</xsl:with-param>
                 </xsl:call-template>

                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:11mm;height:4.5mm">
                <span class="styGenericDiv" style="padding-left:1mm;">
                $ 1.00</span>
              </span>
              <div class="styLNAmountBox" style="height:4.5mm;width:35mm">
                 <!-- Generated code start -->
                    <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/RenewableDieselAmount" />
                    <xsl:with-param name="BackupName">IRS8864RenewableDieselSoldUsedAmount</xsl:with-param>
                 </xsl:call-template>

                 <!-- Generated code end -->
              </div>
            </div>
          </div>
               
          <!-- End Line 3 -->
                
          <!-- Line 4 -->
          <div class="styGenericDiv" style="width:186.5mm">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;height:4.5mm;">4</span>
              <span class="styLNDesc" style="width:91.5mm;height:4.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
               Biodiesel (other than agri-biodiesel) included in a biodiesel mixture

                </span>
             
              </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.8mm;">
              <div class="styLNRightNumBox" style="height:4.5mm;">
              4
              </div>
              <div class="styLNAmountBox" style="height:4.5mm;width:32mm;padding-right:1mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/BiodieselIncldGals" />
                    <xsl:with-param name="BackupName">IRS8864RenewableDieselSoldUsed</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:11mm;height:4.5mm">
                 <span class="styGenericDiv" style="padding-left:1mm;">$</span>
                <span class="styGenericDiv" style="padding-left:2.6mm;"> .50</span>
              </span>
              <div class="styLNAmountBox" style="height:4.5mm;width:35mm">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/BiodieselIncldAmt" />
                    <xsl:with-param name="BackupName">IRS8864RenewableDieselSoldUsedAmount</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
          <!-- End Line 4 -->
           
          <!-- Line 5 -->
          <div class="styGenericDiv" style="width:186.5mm">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;height:4.5mm;">5</span>
              <span class="styLNDesc" style="width:91.5mm;height:4.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
                Agri-biodiesel included in a biodiesel mixture

                </span>
                 <span class="styBoldText">
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.

             </span>

               </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.8mm;">
              <div class="styLNRightNumBox" style="height:4.5mm;">
              5
              </div>
              <div class="styLNAmountBox" style="height:4.5mm;width:32mm;padding-right:1mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/AgriBiodieselIncldGals" />
                    <xsl:with-param name="BackupName">IRS8864RenewableDieselSoldUsed</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:11mm;height:4.5mm">
                <span class="styGenericDiv" style="padding-left:1mm;">
                $ 1.00</span>
              </span>
              <div class="styLNAmountBox" style="height:4.5mm;width:35mm">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/AgriBiodieselIncldAmt" />
                    <xsl:with-param name="BackupName">IRS8864RenewableDieselSoldUsedAmount</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
          <!-- End Line 5 -->
                  
          <!-- Line 6 -->
          <div class="styGenericDiv" style="height:3.75mm;width:186.5mm;">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">6</span>
              <span class="styLNDesc" style="width:91.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
               Renewable diesel included in a renewable diesel mixture</span>
                <span class="styDotLn" style="clear:none;padding-left:1.75mm;">
                ...
                </span>
              </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.8mm;">
              <div class="styLNRightNumBox" style="height:4.5mm;">
            6
              </div>
              <div class="styLNAmountBox" style="height:4.5mm;width:32mm;padding-right:1mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/RenewableDieselIncludedMixture" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselIncldGals</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:11mm;height:4.5mm">
                <span class="styGenericDiv" style="padding-left:1mm;">
                $ 1.00 </span>
              </span>
              <div class="styLNAmountBox" style="height:4.5mm;width:35mm">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/RenewableDieselInclMixtureAmt" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselIncldAmt</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
                
          <!-- End Line 6 -->
        
          <!-- Line 7 -->
          <div class="styGenericDiv" style="height:3.75mm;width:186.5mm;">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">7</span>
              <span class="styLNDesc" style="width:91.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
              Qualified agri-biodiesel production (gallons sold)
                </span>
                <span class="styDotLn" style="clear:none;padding-left:1.75mm;">
                ......
                </span>
              </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.8mm;">
              <div class="styLNRightNumBox" style="height:4.5mm;">
            7
              </div>
              <div class="styLNAmountBox" style="height:4.5mm;width:32mm;padding-right:1mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/QualifiedAgriBioDieselProd" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselIncldGals</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:11mm;height:4.5mm">
                 <span class="styGenericDiv" style="padding-left:1mm;">$</span>
                <span class="styGenericDiv" style="padding-left:2.6mm;"> .10</span>
              </span>
              <div class="styLNAmountBox" style="height:4.5mm;width:35mm">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/QualifiedAgriBioDieselProdAmt" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselIncldAmt</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
                
          <!-- End Line 7 -->
          
          
         <!--Line 8 -->
           <div class="styGenericDiv" style="width:187mm;">
            <span style="width:150.8mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">8</span>
              <span class="styLNDesc" style="width:133.7mm;">
                <span class="styNormalText" style="float:left;clear:none;">
            Add lines 1 through 7. Include this amount in your income for 2007 (see instructions)
                </span>
                 <span class="styBoldText">
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
             
             </span>
              </span>
          <span class="styLNRightNumBox" style=";border-bottom-width:1px;width:9mm">8</span></span>
  
            <span class="styLNAmountBox" style="width:34mm;border-bottom-width:1px;border-left-width:1px;">
                 <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/BiodieselPlusAgriBiodiesel" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselAgriBiodiesel</xsl:with-param>
               </xsl:call-template>

              </span>
   
          </div>

        <!-- line 8 -->

   
         <!--Line 9a -->
           <div class="styGenericDiv" style="width:187mm;">
            <span style="width:150.8mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">9</span>
              <span class="styLNDesc" style="width:133.7mm;">
                <span class="styNormalText">
                  Biodiesel and renewable diesel fuels credit from partnerships, S corporations, cooperatives, 
                  </span>
                 
              </span>
                <span class="styLNRightNumBox" style=";border-bottom:0px;width:9mm"></span>
           

            </span>
            <span class="styLNAmountBox" style="width:34mm;border-bottom:0px;border-left-width:1px;">
              
            </span>
          </div>
       </div>
 <!-- End Line 9a -->    
 
   <!--Line 9b -->
           <div class="styGenericDiv" style="width:187mm;">
            <span style="width:150.8mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;"></span>
              <span class="styLNDesc" style="width:133.7mm;">
              <span class="styNormalText" style="float:left;clear:none;">
              estates, and trusts
                </span>
                 <span class="styDotLn" style="clear:none;padding-left:1.75mm;">
                ..........................
                </span>

                
                </span>
                <span class="styLNRightNumBox" style=";border-bottom-width:1px;width:9mm">9</span></span>
            
            <span class="styLNAmountBox" style="width:34mm;border-bottom-width:1px;border-left-width:1px;">
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/BiodieselRenewableFuelsAmounts" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselAgriBiodiesel</xsl:with-param>
               </xsl:call-template>
              </span>
         </div>

        <!-- End line 9b -->
   
         <!--Line 10a -->
           <div class="styGenericDiv" style="width:187mm;">
            <span style="width:150.8mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">10</span>
              <span class="styLNDesc" style="width:133.7mm;">
                <span class="styNormalText" style="float:left;clear:none;">
                    Add lines 8 and 9. Cooperatives, estates, and trusts, go to line 11; partnerships and ,</span></span>
              <span class="styLNRightNumBox" style=";border-bottom:0px;width:9mm"></span></span>
            <span class="styLNAmountBox" style="width:34mm;border-bottom:0px;border-left-width:1px;">
           </span>
         </div>
       
 <!-- End Line 10a -->    
 
   <!--Line 10b -->
           <div class="styGenericDiv" style="width:187mm;">
            <span style="width:150.8mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;"></span>
              <span class="styLNDesc" style="width:133.7mm;">
              <span class="styNormalText" style="float:left;clear:none;">
              S corporations, report this amount on Schedule K; all others, report this amount on Form 3800, 
                </span></span>
              
               <span class="styLNRightNumBox" style=";border-bottom-width:0px;width:9mm"></span></span>
            
            <span class="styLNAmountBox" style="width:34mm;border-bottom-width:0px;border-left-width:1px;">
              
              </span>
          </div>

        <!-- End line 10b -->
   
   
   
   <!--Line 10c -->
           <div class="styGenericDiv" style="width:187mm;">
            <span style="width:150.8mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;"></span>
              <span class="styLNDesc" style="width:133.7mm;">
              <span class="styNormalText" style="float:left;clear:none;">
               line 1m
                </span>
                   <span class="styBoldText">
                   <span style="width:3.3mm;"></span>.
                   <span style="width:3.3mm;"></span>.
                   <span style="width:3.3mm"></span>.
                   <span style="width:3.3mm;"></span>.
                   <span style="width:3.3mm;"></span>.
                   <span style="width:3.3mm"></span>.
                   <span style="width:3.3mm;"></span>.
                   <span style="width:3.3mm;"></span>.
                   <span style="width:3.3mm"></span>.
                   <span style="width:3.3mm;"></span>.
                  <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm"></span>.
                  <span style="width:3.3mm;"></span>.
                   <span style="width:3.3mm"></span>.
                   <span style="width:3.3mm;"></span>.
                  <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm"></span>.
                  <span style="width:3.3mm;"></span>.
                   <span style="width:3.3mm"></span>.
                   <span style="width:3.3mm;"></span>.
                  <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm"></span>.
                  <span style="width:3.3mm;"></span>.
                   <span style="width:3.3mm"></span>.
                     <span style="width:3.3mm"></span>.

                  
              </span>
           </span>
           <span class="styLNRightNumBox" style=";border-bottom-width:1px;width:9mm">10</span></span>
  
            <span class="styLNAmountBox" style="width:34mm;border-bottom-width:1px;border-left-width:1px;">
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/AddLines8and9" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselAgriBiodiesel</xsl:with-param>
               </xsl:call-template>
              </span>
          </div>

        <!-- End line 10c -->

  
         <!--Line 11 -->
           <div class="styGenericDiv" style="width:187mm;">
            <span style="width:150.8mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">11</span>
              <span class="styLNDesc" style="width:133.7mm;">
                <span class="styNormalText" style="float:left;clear:none;">
               Amount allocated to patrons of the cooperative or beneficiaries of the estate or trust
                </span>
                 <span class="styBoldText">
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
             
             </span>
              </span>
          <span class="styLNRightNumBox" style=";border-bottom-width:1px;width:9mm">11</span></span>
  
            <span class="styLNAmountBox" style="width:34mm;border-bottom-width:1px;border-left-width:1px;">
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/AmountAllocatedtoBeneficiaries" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselAgriBiodiesel</xsl:with-param>
               </xsl:call-template>
              </span>
   
          </div>

        <!-- line 11 -->
         
         <!--Line 12a -->
           <div class="styGenericDiv" style="width:187mm;">
            <span style="width:150.8mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">12</span>
              <span class="styLNDesc" style="width:133.7mm;">
                <span class="styNormalText" style="float:left;clear:none;">
                 Cooperatives, estates, and trusts. Subtract line 11 from line 10. Report this amount 
                  </span>
                 
              </span>
              <span class="styLNRightNumBox" style=";border-bottom:0px;width:9mm"></span>
            </span>
           
            <span class="styLNAmountBox" style="width:34mm;border-bottom:0px;border-left-width:1px;">
           </span>

            
          </div>
      
 <!-- End Line 12a -->    
 
   <!--Line 12b -->
           <div class="styBB" style="width:187mm;">
            <span style="width:150.8mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;"></span>
              <span class="styLNDesc" style="width:133.7mm;">
              <span class="styNormalText" style="float:left;clear:none;">
              on Form 3800, line 1m
                </span>
                 <span class="styBoldText">
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
                  <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                  <span style="width:3.3mm;"></span>.
                   <span style="width:3.3mm"></span>.
                   <span style="width:3.3mm;"></span>.
                

              
               
            </span>
              </span>
                <span class="styLNRightNumBox" style=";border-bottom:0px;width:9mm">12</span>

               
            </span>
           <span class="styLNAmountBox" style="width:34mm;border-bottom-width:0px;border-left-width:1px;">

               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/EstatesTrustsAndCoopsCredit" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselAgriBiodiesel</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </span>
          </div>

        <!-- End line 12b -->
   
  
    
     
   
        <div style="width:187mm;font-size:8pt;border-top-width:1px">
          <div class="stySmallText" style="font-weight:bold; float:left; padding-top:0.5mm">
          For Paperwork Reduction Act Notice,  see instructions.
          </div>
          <div style="float:right">
            <span style="margin-right:32mm; font-size:7pt">Cat. No. 25778F</span>          
            Form <b>8864</b> (2007)
          </div>
        </div>
        <p style="page-break-before:always"/>
        <div class="styLeftOverTitleLine" id="LeftoverData" style="font-family:verdana, arial, sans-serif">
          <div class="styLeftOverTitle">
          Additional Data        
          </div>
          <div class="styLeftOverButtonContainer">
            <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage()" tabindex="1"/>
          </div>
        </div>
        <table class="styLeftOverTbl">
          <xsl:call-template name="PopulateCommonLeftover">
            <xsl:with-param name="TargetNode" select="$FormData"/>
          </xsl:call-template>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
