<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS8900Style.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>
<xsl:strip-space elements="*" />
<xsl:param name="FormData" select="$RtnDoc/IRS8900" />

<xsl:template match="/">
<html>
  <head>    
    <title>
      <xsl:call-template name="FormTitle">
        <xsl:with-param name="RootElement" select="local-name($FormData)">
      </xsl:with-param></xsl:call-template>
    </title>
    <!-- No Browser Caching -->
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="Cache-Control" content="no-cache"/>
    <meta http-equiv="Expires" content="0"/>
    <!-- No Proxy Caching -->
    <meta http-equiv="Cache-Control" content="private"/>        
    <meta name="Description" content="Schedule P (Form 5735)"/>
    <meta name="Generator" content="IBM WebSphere Studio"/>
    
    <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
    <xsl:call-template name="InitJS"></xsl:call-template>
    
    <style type="text/css">    
      <xsl:if test="not($Print) or $Print=''">
        <xsl:call-template name="IRS8900Style"></xsl:call-template>    
        <xsl:call-template name="AddOnStyle"></xsl:call-template>  
      </xsl:if>
    </style>        
    <xsl:call-template name="GlobalStylesForm"/>
  </head>
  
  <body class="styBodyClass">      
    <form style="font-family:Arial; font-size:9pt">      
      <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
        <!-- Begin Form title an dForm number section -->

        <div class="styBB" style="width:187mm;clear:both;float:none;">
          <div class="styFNBox" style="width:31mm;height:20.5mm;">
            Form <span class="styFormNumber">8900</span>
            <br/>
            <xsl:call-template name="SetFormLinkInline">
              <xsl:with-param name="TargetNode" select="$FormData" />
              <xsl:with-param name="TabOrder" select="2"/>
            </xsl:call-template>              
            <br/>
            <div style="padding-top:0mm;">
              <div class="styAgency" >(Rev. December 2006) </div>
               <div class="styAgency"> Department of the Treasury</div>
              <div class="styAgency">Internal Revenue Service</div>
            </div>
          </div>
          <div class="styFTBox" style="width:125mm;height:20mm;">
            <div class="styMainTitle" style="padding-top:2mm;">
              Qualified Railroad Track Maintenance Credit</div>
             <div class="styFST" style="font-size:7pt;padding-top:13mm;font-weight:bold;">
              <img src="{$ImagePath}/8900_Bullet.gif" alt="bullet image"/>
              Attach to your tax return.
            </div>    
          </div>
          <div class="styTYBox" style="width:30mm;height:23.5mm;font-size:7pt;padding-top:1mm;">
            <div class="styOMB" style="height:2mm;">
                OMB No. 1545-1983
             </div>
            <div class="styTY" style="height:4mm;font-size:23pt;">
           
            </div>
            <div class="styOMB" style="height:8mm;border-bottom-width:0px;text-align:left;padding-left:4mm;font-size:7pt;padding-top:.5mm;line-height:160%;">Attachment <br/>
              Sequence No. <span class="styBoldText" style="font-size:9pt;">144</span>
            </div>
          </div>
        </div>
        <!-- End form title and Form number Section -->
      
  <!-- Begin Name and Identifying Number Section-->      
  <div class="styBB" style="width:187mm;clear:both;font-family:verdana;font-size:7pt;">
    <div class="styFNBox" style="width:144mm;height:8mm;">
            Name(s) shown on return<br/>
            <xsl:call-template name="PopulateReturnHeaderFiler">
        <xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param>
      </xsl:call-template>
      <br />
      <xsl:call-template name="PopulateReturnHeaderFiler">
        <xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param>
      </xsl:call-template>
    </div>
    <div class="styGenericDiv" style="width:42mm;height:4mm;padding-left:1mm;">
      <span class="styBoldText">Identifying number</span>
      <br/><br/>
      <xsl:call-template name="PopulateReturnHeaderFiler">
        <xsl:with-param name="TargetNode">EIN</xsl:with-param>
      </xsl:call-template>
    </div>
  </div>
  <!-- End Name and Identifying Number Section-->      
    
    <!-- BEGIN Part I Line Items -->  
    <!-- line 1 -->    
      <div style="width:187mm">        
        <div class="styIRS8900LNLeftNumBoxTop">1</div>
        <div style="float:left;">
          Qualified railroad track maintenance expenditures paid or incurred     
        </div>
        <div style="float:right">
          <div class="styIRS8900LNRightNumBox" style="border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>  
        </div>        
      </div>    
      <div style="width:187mm">        
        <div class="styIRS8900LNLeftNumBox"></div>
        <div style="float:left">
          (see instructions)              
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            ....................,
          </span>
          <div class="styIRS8900LNRightNumBox">1</div>  
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/QualifiedRlrdTrackMaintExpend"/>
            </xsl:call-template>
          </div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0; height:4.5mm;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0; height:4.5mm;">
          </div>  
        </div>        
      </div>    
    <!-- line 2 -->  
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop">2</div>
        <div style="float:left">
          Enter 50% (.50) of line 1            
        </div>
        <div style="float:right;">
          <span class="styDotLn">      
            ...........................
          </span>
          <div class="styIRS8900LNRightNumBox" >2</div>
          <div class="styIRS8900LNAmountBox" >
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/FiftyPctRlrdTrackMaintExpend"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>      
      <!-- line 3a -->
      <div style="width:187mm">        
        <div class="styIRS8900LNLeftNumBoxTop">3a</div>
        <div style="float:left">
             Number of miles of railroad track owned or leased by you (see instructions)
        </div>
        <div style="float:right;">
             <div class="styIRS8900LNRightNumBox" style="height:4.5mm;">3a</div>  
             <div class="styIRS8900LNAmountBox" style="height:4.5mm;">
                 <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/MilesOfRlrdTrackOwnedorLeased"/>
                  </xsl:call-template>   
          </div>  
          <div class="styIRS8900LNRightNumBoxNBB" style="height:4.5mm;background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;">
          </div>  
        </div>        
      </div>    
      
       <!-- line 3b -->
      <div style="width:187mm;" >        
        <div class="styIRS8900LNLeftLtrBox" >b</div>
        <div style="float:left;width:113.2mm;">
            Less: number of miles of railroad track owned or leased by you and</div>
        <div  class="styIRS8900LNRightNumBox" style="border-bottom:0px;border-right:1 solid black;width:7.2mm; height:4.5mm; background-color:lightgrey;"></div>  
         <div class="styIRS8900LNAmountBox" style="border-bottom:0px;border-left:0px;border-right:1 solid black; height:4.5mm;"></div>
         <div class="styIRS8900LNRightNumBox" style="width:6.9mm;border-left:0px;background-color:lightgrey;border-bottom:0;border-right:1 solid black; height:4.5mm;"></div>  

        <div style="float:left;width:121.5mm;padding-left:8mm;">
            assigned to other eligible taxpayers for purposes of this credit. See</div>
        <div  class="styIRS8900LNRightNumBox" style="border-bottom:0px;border-right:1 solid black;width:7.2mm; height:4.5mm; background-color:lightgrey;"></div>  
         <div class="styIRS8900LNAmountBox" style="border-bottom:0px;border-left:0px;border-right:1 solid black; height:4.5mm;"></div>
         <div class="styIRS8900LNRightNumBox" style="width:6.9mm;border-left:0px;background-color:lightgrey;border-bottom:0;border-right:1 solid black; height:4.5mm;"></div>  

         <div style="float:left;width:116.2mm;padding-left:8mm;">
            instructions for more information, including required statement
         <xsl:call-template name="SetFormLinkInline">
          <xsl:with-param name="TargetNode" select="$FormData/LessNumMileRlrdTrackOwnLsdAsgn"/>
         </xsl:call-template>  
               <span style="letter-spacing:2mm; font-weight:bold;padding-left:1mm;">
                     ...
                </span>

            </div>

        <div style="float:right;">
      
          <div class="styIRS8900LNRightNumBox"  style="height:4.5mm;">3b</div>
          <div class="styIRS8900LNAmountBox" style="height:4.5mm;">
                  <xsl:call-template name="PopulateNegativeNumber">
                  <xsl:with-param name="TargetNode" select="$FormData/LessNumMileRlrdTrackOwnLsdAsgn"/>
                  </xsl:call-template>   
           </div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0; height:4.5mm;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0; height:4.5mm;"></div>
        </div>      

      </div>
 
 

      <!-- line 3c -->
      
      <div style="width:187mm;" >        
        <div class="styIRS8900LNLeftLtrBox" >c</div>
        <div style="float:left;width:113.2mm;">
            Number of miles of railroad track assigned to you by the owner or lessee</div>
        <div  class="styIRS8900LNRightNumBox" style="border-bottom:0px;border-right:1 solid black;width:7.2mm; height:4.5mm; background-color:lightgrey;"></div>  
         <div class="styIRS8900LNAmountBox" style="border-bottom:0px;border-left:0px;border-right:1 solid black; height:4.5mm;"></div>
         <div class="styIRS8900LNRightNumBox" style="width:6.9mm;border-left:0px;background-color:lightgrey;border-bottom:0;border-right:1 solid black; height:4.5mm;"></div>  

        <div style="float:left;width:121.5mm;padding-left:8mm;">
             for purposes of this credit. See instructions for more information, including</div>
        <div  class="styIRS8900LNRightNumBox" style="border-bottom:0px;border-right:1 solid black;width:7.2mm; height:4.5mm; background-color:lightgrey;"></div>  
         <div class="styIRS8900LNAmountBox" style="border-bottom:0px;border-left:0px;border-right:1 solid black; height:4.5mm;"></div>
         <div class="styIRS8900LNRightNumBox" style="width:6.9mm;border-left:0px;background-color:lightgrey;border-bottom:0;border-right:1 solid black; height:4.5mm;"></div>  

         <div style="float:left;width:118.2mm;padding-left:8mm;">
             required statement
         <xsl:call-template name="SetFormLinkInline">
           <xsl:with-param name="TargetNode" select="$FormData/MileRlrdTrackAsgnByOwnrLessee"/>
         </xsl:call-template>  

                <span style="letter-spacing:3mm; font-weight:bold;padding-left:2mm;width:76mm;">
                     ....................
                </span>

             </div>

        <div style="float:right;">
       

          <div class="styIRS8900LNRightNumBox"  style="height:4.5mm;">3c</div>
          <div class="styIRS8900LNAmountBox" style="height:4.5mm;">
                  <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/MileRlrdTrackAsgnByOwnrLessee"/>
                  </xsl:call-template>   
           </div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0; height:4.5mm;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0; height:4.5mm;"></div>
        </div>      

      </div>
      
      
      
   <!-- line 3d -->
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox">d</div>
        <div style="float:left">
         <span style="font-weight:bold;">Total.</span> Combine lines 3a through 3c   
            
        </div>
        <div style="float:right">
          <span class="styDotLn">
            ......................
            
          </span>
          <div class="styIRS8900LNRightNumBox">3d</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/TotalRailroadTrack"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>  


    <!-- line 4 -->  
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop" style="padding-left:2.6mm;">4</div>
        <div style="float:left">
         Multiply line 3d by $3,500          
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            ...........................
          </span>
          <div class="styIRS8900LNRightNumBox">4</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/AdjustedTotalRlrdTrack"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>  
    <!--line 5-->  
            <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop" style="padding-left:2.6mm;">5</div>
        <div style="float:left">
         Enter the <span style="font-weight:bold;">smaller</span> of line 2 or line 4          
        </div>
        <div style="float:right;">
          <span class="styDotLn">      
            .......................
          </span>
          <div class="styIRS8900LNRightNumBox">5</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/QlfyPercentageOfRlrdTrack"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>  
      
      <!-- line 6 -->
              <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop" style="padding-left:2.6mm;">6</div>
        <div style="float:left">
         Qualified railroad track maintenance credit from partnerships and S corporations          
        </div>
        <div style="float:right;">
          <span class="styDotLn">      
            .......
          </span>
          <div class="styIRS8900LNRightNumBox">6</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/QualifiedRlrdTrackMaintCredit"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>  
       
    <!-- line 7 -->  
  <div style="width:187mm;">
       <div class="styIRS8900LNLeftNumBoxTop" style="padding-left:2.6mm;">7</div>
       <div style="float:left;width:146.2mm;">
            Add lines 5 and 6. Partnerships and S corporations, report this amount on Schedule K;</div>
          <div  class="styIRS8900LNRightNumBox" style="border-bottom:0px;border-right:1 solid black;width:7.2mm; height:4.5mm; background-color:lightgrey;"></div>  

          <div style="float:left;width:154.2mm;padding-left:8mm;">
               all others, report the credit on the applicable line of Form 3800 (e.g., line 1o of the 2006
          </div>
          <div  class="styIRS8900LNRightNumBox" style="border-bottom:0px;border-right:1 solid black;width:7.2mm; height:4.5mm; background-color:lightgrey;"></div> 
          <div style="float:left;width:147mm;padding-left:8mm;">
                 Form 3800)          <span style="font-weight:bold;letter-spacing:2.4mm;">.................................... </span>

          </div>
       <div style="float:right;">
          <div class="styIRS8900LNRightNumBoxNBB">7</div>
          <div class="styIRS8900LNAmountBoxNBB" style="padding-top:1mm;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/AddLines5and6"/>
            </xsl:call-template>
          </div>  
        </div>      


  </div>
            
            
            
            
      <!--  End of Page   -->      
            
      <div style="width:187mm; border-top:1 solid Black; font-size:8pt">    
        <div style="font-weight:bold; float:left; padding-top:0.5mm">
        For Paperwork Reduction Act Notice,  see instructions.  
        </div>    
        <div style="float:right">
          <span style="margin-right:20mm; font-size:7pt">Cat. No. 37708X</span>          
          Form <b>8900</b> ( Rev. 12-2006)    
        </div>      
      </div>  
      
      <p style="page-break-before:always" />      

      <div class="styLeftOverTitleLine" id="LeftoverData" style="font-family:verdana, arial, sans-serif">
        <div class="styLeftOverTitle">
          Additional Data        
        </div>
        <div class="styLeftOverButtonContainer">
          <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage()" tabindex="1"/>
        </div>      
      </div>
      
      <table class="styLeftOverTbl">
        <xsl:call-template name="PopulateCommonLeftover">
          <xsl:with-param name="TargetNode" select="$FormData" />        
        </xsl:call-template>
          <xsl:choose>
              <xsl:when test="$Version='2005v2.0' ">
                <xsl:call-template name="PopulateLeftoverRow">
                <xsl:with-param name="Desc">Schema 2005v2.0 -  Former line 3d - Number Of Miles Of Railroad Track Assigned By Owner</xsl:with-param>
                <xsl:with-param name="TargetNode" select="$FormData/MilesOfRlrdTrackAsgnByOwner"/>
                 </xsl:call-template>
                </xsl:when>  
             <xsl:otherwise>  
             </xsl:otherwise>    
            </xsl:choose>
        
      </table>      
    </form>
  </body>
</html>
</xsl:template>
</xsl:stylesheet>
