<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="PopulateTemplate.xsl"/>
	<xsl:include href="CommonPathRef.xsl"/>
	<xsl:include href="AddHeader.xsl"/>
	<xsl:include href="IRS8907Style.xsl"/>
	<xsl:include href="AddOnTable.xsl"/>
	<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>
	<xsl:strip-space elements="*"/>
	<xsl:param name="FormData" select="$RtnDoc/IRS8907"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>
					<xsl:call-template name="FormTitle">
						<xsl:with-param name="RootElement" select="local-name($FormData)"/>
					</xsl:call-template>
				</title>
				<!-- No Browser Caching -->
				<meta http-equiv="Pragma" content="no-cache"/>
				<meta http-equiv="Cache-Control" content="no-cache"/>
				<meta http-equiv="Expires" content="0"/>
				<!-- No Proxy Caching -->
				<meta http-equiv="Cache-Control" content="private"/>
				<meta name="Author" content="Lisa Lane -Lisa.T.Lane@irs.gov"/>
				<meta name="Description" content="Form IRS 8907"/>
				<meta name="GENERATOR" content="IBM WebSphere Studio"/>
				<link rel="stylesheet" type="text/css" href="{$CSSPath}/header.css"/>
				<link rel="stylesheet" type="text/css" href="{$CSSPath}/body.css"/>
				<link rel="stylesheet" type="text/css" href="{$CSSPath}/general.css"/>
				<script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"/>
				<xsl:call-template name="InitJS"/>
				<style type="text/css">
				
				<xsl:if test="not($Print) or $Print=''">
						<xsl:call-template name="IRS8907Style"/>
						<xsl:call-template name="AddOnStyle"/>
				</xsl:if>
				</style>
			</head>
			<body class="styBodyClass">
				<form name="Form8907">
					<xsl:call-template name="DocumentHeader"/>
					<!--Title of Form -->
					<div class="styBB" style="width:187mm;height: 20mm;">
						<div class="styFNBox" style="width:31mm;font-size: 7pt;height: 22mm;">
     							 Form <span class="styFormNumber">8907</span>
							<br/>
							<span>
								<xsl:call-template name="SetFormLinkInline">
									<xsl:with-param name="TargetNode" select="$FormData"/>
								</xsl:call-template>
							</span>
							<br/>
							<br/>
							<span class="styAgency">Department of the Treasury</span>
							<br/>
							<span class="styAgency">Internal Revenue Service</span>
						</div>
						<div class="styFTBox" style="height: 22mm;width:125mm;padding-top:4mm;">
							<div class="styMainTitle" style="height: 8mm">Nonconventional Source Fuel Credit</div>
							<div class="styFST" style="font-size:7pt;margin-left:3mm;font-weight:bold">
								<img src="{$ImagePath}/8907_Bullet.gif" alt="MediumBullet"/>  
        							Attach to your tax return. <br/>
								<br/>
								<img src="{$ImagePath}/8907_Bullet.gif" alt="MediumBullet"/>  
        							See separate instructions.
        							<br/>
							</div>
						</div>
						<div class="styTYBox" style="width:30mm;height:22mm; border-left-width: 1px;">
							<div class="styOMB" style="height:2mm;">OMB No. 1545-2008</div>
							<div class="styTaxYear" style="height:10mm">20<span class="styTYColor">07</span>
							</div>
							<div class="stySequence">Attachment<br/>Sequence No. <b>146</b>
							</div>
						</div>
					</div>
					<!--  End title of Form  -->
					<!--  Name and Employer identification number  -->
					<div class="styBB" style="width:187mm">
						<div class="styNameBox" style="width:141mm;font-weight:normal;font-size:7pt;">
     							 Name(s) shown on return<br/>
							<xsl:call-template name="PopulateReturnHeaderFiler">
								<xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param>
							</xsl:call-template>
							<br/>
							<xsl:call-template name="PopulateReturnHeaderFiler">
								<xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param>
							</xsl:call-template>
						</div>
						<div class="styEINBox" style="padding-left:2mm;font-size:7pt;">
								<span class="BoldText">Identifying number</span>
								<br/>
								<br/>
								<span style="font-weight:normal;">
									<xsl:call-template name="PopulateReturnHeaderFiler">
										<xsl:with-param name="TargetNode">EIN</xsl:with-param>
									</xsl:call-template>
								</span>
						</div>
					</div>
					<!--  End Name and Employer indentification number  -->
					<!-- Line A   -->
					<table class="styTable" id="8907Table" cellspacing="0" cellpadding="0" style="font-
					size:7pt;width:187mm;">
						<tr>
							<td class="styIRS8907LetterCell" style="padding-left:3mm;padding-top:0mm;">A
							<div style="height:5mm;"/> B</td>
							<td style="padding-top:0mm;padding-bottom:0mm; font-weight:normal;width: 48mm;">
							Type of qualified fuel (enter code)									<br/>
								<div style="border-style: solid; border-color: black;width:35mm;border-top-width: 0px; border-bottom-width: 1px; border-left-width: 0px; border-right-width: 0px;">
									<xsl:call-template name="PopulateText">
										<xsl:with-param name="TargetNode" 
										select="$FormData/TypeOfQualifiedFuel"/>
									</xsl:call-template>
								</div>
								<div style="font-size:6pt;padding-top:2mm;"> Date the facility was placed in service
								</div>
							</td>
							<td style="width:134mm;">
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; 
								;border-right-width:0px; height:12mm;text-align:center;
								padding-top:0mm;border-left-width:1px">
									<span class="styBoldText">(a)</span>
									<br/>
									<span style="font-size:6pt;">Qualified coke and coke </span>
									<br/>
									<span style="font-size:6pt;">gas sold after 12/31/2006</span>
									<br/>
									<span style="font-size:6pt;">and before 1/1/2008</span>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; 
								;border-right-width:0px; height:12mm;text-align:center;
								padding-top:0mm;border-left-width:1px">
									<span class="styBoldText">(b)</span>
									<br/>
									<span style="font-size:6pt;">All other qualified fuels
		                          sold after 12/31/2006 and </span>
									<br/>
									<span style="font-size:6pt;">before 1/1/2008</span>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm;
								 ;border-right-width:0px; height:12mm;text-align:center;
								 padding-top:0mm;border-left-width:1px">
									<span class="styBoldText">(c)</span>
									<br/>
									<span style="font-size:6pt;">
										<span style="padding-left:2mm;"> Qualified coke and</span>
										<br/>
										<span>coke gas</span>
										<br/>
                                                    sold after 12/31/2007
                                   </span>
								</span>
								<!--  remove column d for 2007 -j wong

	<span class="styIRS8907TableCellHeaderSmall" style="width:32mm; border-left-width:1px;border-right-width:0px; height:12mm;text-align:center;padding-top:0mm;">
									<span>(d)</span>
									<br/>
									<span style="font-size:6pt;"> All other qualified fuels
                               sold after 12/31/2006
                                             </span>
		</span>
-->
							</td>
						</tr>
						<tr>
							<td class="styIRS8907LetterCell" style="padding-left:3mm;padding-top:6mm;padding-bottom:0mm;">1</td>
							<td style="font-weight:normal;width: 48mm; padding-bottom:0mm;">
								<span style="font-weight:normal; border-style: solid; border-color: black;width:35mm;border-top-width: 0px; border-bottom-width: 1px; border-left-width: 0px; border-right-width: 0px;">
									<xsl:call-template name="PopulateMonthDayYear">
										<xsl:with-param name="TargetNode" select="$FormData/DateFacilityPlacedInService"/>
									</xsl:call-template>
								</span>
			<span style="width:5mm;">
			<xsl:call-template name="SetFormLinkInline">
				<xsl:with-param name="TargetNode" select="$FormData/DateFacilityPlacedInService"/>
			</xsl:call-template>
			</span>
								<br/>
								<!-- LINE 1  -->
								<span style="height:6mm;padding-top:3mm;">Barrel-of-oil equivalents <span style="font-weight:bold; letter-spacing:3.3mm;">...</span>
								</span>
							</td>
							<td style="width:134mm;">
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:9.5mm;padding-top:6mm;">
									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/CYQlfyCokeAndCokeGasSoldType1"/>
									</xsl:call-template>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:9.5mm;padding-top:6mm;">
									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/CYQualifiedFuelsSoldType1"/>
									</xsl:call-template>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:9.5mm;padding-top:6mm;">
									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/NYQlfyCokeAndCokeGasSoldType1"/>
									</xsl:call-template>
								</span>
							</td>
						</tr>
						<tr>
							<td class="styIRS8907LetterCell" style="padding-left:3mm;padding-top:1mm;">2</td>
							<td style="font-weight:normal;width: 48mm;padding-top:1mm;">Enter the product of $3 multiplied by
                       the inflation adjustment factor. See
                       instructions    <span style="font-weight:bold; letter-spacing:3.3mm;">.......</span>
							</td>
							<td style="width:134mm;">
								<span class="styIRS8907TableCellHeaderSmall" style="font-size:7pt;width:43.5mm; border-left-width:1px;border-right-width:0px; height:10.5mm;padding-top:8mm;text-align:right;">
									<xsl:call-template name="PopulateText">
										<xsl:with-param name="TargetNode" select="$FormData/CYQlfyCokeAndCokeGasSoldType2"/>
									</xsl:call-template>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="font-size:7pt;width:43.5mm; border-left-width:1px;border-right-width:0px; height:10.5mm;padding-top:8mm;text-align:right;">
									<xsl:call-template name="PopulateText">
										<xsl:with-param name="TargetNode" select="$FormData/CYQualifiedFuelsSoldType2"/>
									</xsl:call-template>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="font-size:7pt;width:43.5mm; border-left-width:1px;border-right-width:0px; height:10.5mm;padding-top:8mm;text-align:right;">
									<xsl:call-template name="PopulateText">
										<xsl:with-param name="TargetNode" select="$FormData/NYQlfyCokeAndCokeGasSoldType2"/>
									</xsl:call-template>
								</span>
							</td>
						</tr>
						<!-- LINE 3 -->
						<tr>
							<td class="styIRS8907LetterCell" style="padding-left:3mm;padding-top:1.5mm;">3</td>
							<td style="font-weight:normal;width: 48mm;text-align:bottom;">Multiply line 2 by line 1 <span style="font-weight:bold; letter-spacing:3.3mm;padding-top:2mm;">....</span>
							</td>
							<td style="width:134mm;">
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:6.5mm;padding-top:3.5mm;">
									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/CYQlfyCokeAndCokeGasSoldType3"/>
									</xsl:call-template>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:6.5mm;padding-top:3.5mm;">
									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/CYQualifiedFuelsSoldType3"/>
									</xsl:call-template>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:6.5mm;padding-top:3.5mm;">
									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/NYQlfyCokeAndCokeGasSoldType3"/>
									</xsl:call-template>
								</span>
							</td>
						</tr>
						<!-- LINE 4 -->
						<tr>
							<td class="styIRS8907LetterCell" style="padding-left:3mm;padding-top:1mm">4</td>
							<td style="font-weight:normal;width: 48mm;">Phaseout adjustment. See
                      instructions  <span style="font-weight:bold; letter-spacing:3.3mm;
                      padding-bottom:0mm"><br/>
         
          <xsl:call-template name="LinkToLeftoverDataTableInline">
          <xsl:with-param name="Desc">Line 4a - Phase out adjustments - CY qualified coke and coke gas
           sold type
           </xsl:with-param>
          <xsl:with-param name="TargetNode" select="$FormData/NYQlfyCokeAndCokeGasSoldType4"/>
          </xsl:call-template>

     
          <xsl:call-template name="LinkToLeftoverDataTableInline">
          <xsl:with-param name="Desc">Line 4c - Phase out adjustments - Next year qualified coke and 
          coke gas sold type</xsl:with-param>
          <xsl:with-param name="TargetNode" select="$FormData/NYQlfyCokeAndCokeGasSoldType4"/>
          </xsl:call-template>
           .........</span>
							</td>
							<td style="width:134mm;">
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm;
								border-right-width:0px; height:8.5mm;
								background-color:lightgrey;border-left-width:1px">
							<!--		 Removed so amount does not display in this cell
							<xsl:call-template name="PopulateAmount">
							<xsl:with-param name="TargetNode"
							 select="$FormData/CYQlfyCokeAndCokeGasSoldType4"/>
							</xsl:call-template> -->
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:8.5mm;">
									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/CYQualifiedFuelsSoldType4"/>
									</xsl:call-template>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:8.5mm;background-color:lightgrey">
									<!--   Removed so amount does not display in this cell

									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/NYQlfyCokeAndCokeGasSoldType4"/>
									</xsl:call-template>
-->
								</span>
							</td>
						</tr>
						<!-- LINE 5 -->
						<tr>
							<td class="styIRS8907LetterCell" style="padding-left:3mm;">5</td>
							<td style="font-weight:normal;width: 48mm; ">Subtract line 4 from line 3 in col. (b).  
							In col. (a) and (c), enter the amount from line 3. If zero or less, enter zero 
							     <span style="font-weight:bold; letter-spacing:3.3mm;">.........</span>
							</td>
							<td style="width:134mm;">
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:13.5mm;padding-top:10mm;">
									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/CYQlfyCokeAndCokeGasSoldType5"/>
									</xsl:call-template>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:13.5mm;padding-top:10mm;">
									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/CYQualifiedFuelsSoldType5"/>
									</xsl:call-template>
								</span>
								<span class="styIRS8907TableCellHeaderSmall" style="width:43.5mm; border-left-width:1px;border-right-width:0px; height:13.5mm;padding-top:10mm;">
									<xsl:call-template name="PopulateAmount">
										<xsl:with-param name="TargetNode" select="$FormData/NYQlfyCokeAndCokeGasSoldType5"/>
									</xsl:call-template>
								</span>
							</td>
						</tr>
					</table>
					<!-- End of Line A  -->
					<!--  Line 6 -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:3mm;">6</div>
							<div class="styLNDesc">
    							Add columns (a) through (c) on line 5
    							<!--Dotted Line -->
      								<span style="font-weight:bold; letter-spacing:3.3mm;">......................</span>
    							</div>
         					</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:2mm;">6</div>
							<div class="styLNAmountBox" style="height:2mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/TotalFuelsSold"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					<!--  Line 6 -->
					<!--  Line 7a -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:3mm;">7a</div>
							<div class="styLNDesc" style="width:99mm;">
					    		Reduction due to government monies and subsidized financing. Enter
					         	the total of government grants, proceeds of tax-exempt government
					          	obligations, and subsidized energy financing for the project for this and
          						all prior tax years 
          							<span style="font-weight:bold; letter-spacing:3.3mm;">...................</span>
						</div>
						</div>

						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:12mm;padding-top:10mm;">7a</div>
							<div class="styLNAmountBox" style="height:12mm;padding-top:10mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/ReductionDueToGovernment"/>
								</xsl:call-template>
							</div>
							<div class="styShadingCellBox" style="height:14mm;"/>
							<div class="styShadingCell" style="height:14mm;background-color:white;"/>
						</div>
					</div>
					<!--  Line 7a -->
					<!--  Line 7b -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:4mm;">b</div>
							<div class="styLNDesc" style="width:99mm; ">
           						Enter the total of additions to the capital account for the project for this
           						and all prior tax years 
           							<span style="font-weight:bold; letter-spacing:3.3mm;">................</span>
							</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:6mm;padding-top:4mm;">7b</div>
							<div class="styLNAmountBox" style="height:6mm;padding-top:4mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/TotalAdditionsCapitalAccount"/>
								</xsl:call-template>
							</div>
							<div class="styShadingCellBox" style="height:8mm;"/>
							<div class="styShadingCell" style="height:8mm;background-color:white;"/>
						</div>
					</div>
					<!--  Line 7b -->
					<!--  Line 7c -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:4mm;">c</div>
							<div class="styLNDesc" style="width:99mm; ">
           						Divide line 7a by line 7b. Show as a decimal to at least 4 places
           							<span style="font-weight:bold; letter-	spacing:3.3mm;">.</span>
							</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:2mm;">7c</div>
							<div class="styLNAmountBox" style="height:2mm;">
								<xsl:call-template name="PopulateText">
									<xsl:with-param name="TargetNode" select="$FormData/DivideLine7aByLine7b"/>
								</xsl:call-template>
							</div>
							<div class="styShadingCellBox" style="height:4.5mm;"/>
							<div class="styShadingCell" style="height:4.5mm;background-color:white;"/>
						</div>
					</div>
					<!--  Line 7c -->
					<!--  Line 7d -->
					<div style="width: 187mm">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:4mm;">d</div>
							<div class="styLNDesc" style="width:139mm;">
	   						 Multiply line 6 by line 7c    
	   							<span style="font-weight:bold; letter-spacing:3.3mm;">..........................</span>
							</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:2mm;">7d</div>
							<div class="styLNAmountBox" style="height:2mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/MultiplyLine6ByLine7c"/>
								</xsl:call-template>
							</div>
							<!--     	<div class="styShadingCellBox" style="height:6mm;"></div>
    		<div class="styShadingCell" style="height:6mm;background-color:white;"></div>  -->
						</div>
					</div>
					<!--  Line 7d -->
					<!--  Line 8 -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox"  style="padding-left:3mm;">8</div>
							<div class="styLNDesc" style="width:139mm;">
     							Subtract line 7d from line 6   
     								<span style="font-weight:bold; letter-spacing:3.3mm;">.........................</span>
						</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:2mm;">8</div>
							<div class="styLNAmountBox" style="height:2mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/SubtractLine7dFromLine6"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					<!--  Line 8 -->
					<!--  Line 9a  -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:3mm;">9a</div>
							<div class="styLNDesc" style="width:99mm;">
							Reduction due to energy credit. Enter the total amount allowed under
							section 38 for this and all prior tax years by reason of the energy
							percentage with respect to the property used in the project 
								<span style="font-weight:bold; letter-spacing:3.3mm;">.....</span>
						</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:9mm;padding-top:7mm;">9a</div>
							<div class="styLNAmountBox" style="height:9mm;padding-top:7mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/ReductionDueToEnergyCredit"/>
								</xsl:call-template>
							</div>
							<div class="styShadingCellBox" style="height:11mm;"/>
							<div class="styShadingCell" style="height:11mm;background-color:white;"/>
						</div>
					</div>
					<!--  Line 9a End  -->
					<!--  Line 9b -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:4mm;">b</div>
							<div class="styLNDesc" style="width:99mm;">
         						Enter the total amount recaptured with respect to the amount entered
         						on line 9a under section 49(b) or 50(a) for this and any prior tax year,
        						and under section 38 for any prior tax year  
        							<span style="font-weight:bold; letter-spacing:3.3mm;">...........</span>
						</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:9mm;padding-top:7mm;">9b</div>
							<div class="styLNAmountBox" style="height:9mm;padding-top:7mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/TotalAmountRecaptured"/>
								</xsl:call-template>
							</div>
							<div class="styShadingCellBox" style="height:11mm;"/>
							<div class="styShadingCell" style="height:11mm;background-color:white;"/>
						</div>
					</div>
					<!--  Line 9b End -->
					<!--  Line 9c -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:4mm;">c</div>
							<div class="styLNDesc" style="width:139mm;">
							Subtract line 9b from line 9a. If zero or less, enter amount from line 8 on line 10 and go to line 11a    	
							</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:2mm;">9c</div>
							<div class="styLNAmountBox" style="height:2mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/SubtractLine9bFromLine9a"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					<!--  End Line 9c -->
					<!--  Line 10 -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox">10</div>
							<div class="styLNDesc" style="width:139mm;">
    							Subtract line 9c from line 8
    								<span style="font-weight:bold; letter-spacing:3.3mm;">..........................</span>
    							</div>
    						</div>
         					<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:2mm;">10</div>
							<div class="styLNAmountBox" style="height:2mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/SubtractLine9cFromLine8"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					<!--  Line 10 -->
					<!--  Line 11a -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox">11a</div>
							<div class="styLNDesc" style="width:99mm;">
          						 Reduction due to enhanced oil recovery credit (Form 8830). Enter the
          						 total amount allowed for this and all prior tax years by reason of any
          						enhanced oil recovery credit with respect to such project 
          							<span style="font-weight:bold; letter-spacing:3.3mm;">.....</span>
							</div>
						</div>
						<div style="float:right;">
							<div class="styLNRightNumBox" style="height:9mm;padding-top:7mm;">11a</div>
							<div class="styLNAmountBox" style="height:9mm;padding-top:7mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/ReductionEnhanceOilRecoveryCr"/>
								</xsl:call-template>
							</div>
							<div class="styShadingCellBox" style="height:11mm;"/>
							<div class="styShadingCell" style="height:11mm;background-color:white;"/>
						</div>
					</div>
					<!-- End Line 11a -->
					<!-- Line 11b -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:4mm;">b</div>
							<div class="styLNDesc" style="width:99mm;">
           						Enter the total amount of enhanced oil recovery credit recapture with
           						respect to the amount on line 11a for any prior tax year 
           							<span style="font-weight:bold; letter-spacing:3.3mm;">......</span>
							</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:6mm;padding-top:4mm;">11b</div>
							<div class="styLNAmountBox" style="height:6mm;padding-top:4mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/TotAmountEnhancedOilRecoveryCr"/>
								</xsl:call-template>
							</div>
							<div class="styShadingCellBox" style="height:8mm;"/>
							<div class="styShadingCell" style="height:8mm;background-color:white;"/>
						</div>
					</div>
					<!-- End 11b -->
					<!--  Line 11c-->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:4mm;">c</div>
							<div class="styLNDesc"  style="width:139mm;">
          						 Subtract line 11b from line 11a. If zero or less, enter the amount from line 10 on line 12 and go to
           						 line 13 
           						 <!--	<span style="font-weight:bold; letter-spacing:3.3mm;">.</span>-->
							</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:2mm;">11c</div>
							<div class="styLNAmountBox" style="height:2mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/SubtractLine11bFromLine11a"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					<!--  Line 11c -->
					<!--  Line 11c line 2
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox" style="padding-left:4mm;">c</div>
							<div class="styLNDesc"  style="width:139mm;">
          						 Subtract line 11b from line 11a. If zero or less, enter the amount from line 10 on line 12 and go to
           						 line 13 
           						 	<span style="font-weight:bold; letter-spacing:3.3mm;">...............................</span>
							</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="padding-top:3.5mm;">11c</div>
							<div class="styLNAmountBox" style="padding-top:3.5mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/SubtractLine11bFromLine11a"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					  Line 11c line 2-->
					<!--  Line 12 -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox">12</div>
							<div class="styLNDesc" style="width:139mm;">
      							Subtract line 11c from line 10  
      								<span style="font-weight:bold; letter-spacing:3.3mm;">.........................</span>
							</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:2mm;">12</div>
							<div class="styLNAmountBox" style="height:2mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/SubtractLine11cFromLine10"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					<!--  Line 12 -->
					<!--  Line 13  -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styIRS8907LNLeftNumBox" style="padding-top:1mm;">13</div>
							<div class="styLNDesc" style="width:139mm;">
    							Nonconventional source fuel credit from partnerships, S corporations, estates, and trusts
    								<span style="font-weight:bold; letter-spacing:3.3mm;">.....</span>
    							</div>
    						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:2mm;">13</div>
							<div class="styLNAmountBox" style="height:2mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/NonconventionalSourceFuelCr"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					<!-- End Line 13  -->
					<!--  Line 14 -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox">14</div>
							<div class="styLNDesc" style="width:139mm;">
       						Add lines 12 and 13. Estates and trusts, go to line 15; partnerships and S corporations, report this<br/>
          						 amount on Schedule K; all others, report this amount on Form 3800, line 1p 
          						 	<span style="padding-left:2mm;font-weight:bold; letter-spacing:3.3mm;">........</span>
							</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:7.5mm;padding-top:3.5mm;">14</div>
							<div class="styLNAmountBox" style="height:7.5mm;padding-top:3.5mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/AddLines12And13"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					<!--  Line 14 -->
					<!--  Line 15 -->
					<div style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox">15</div>
							<div class="styLNDesc" style="width:139mm;">
							Amount allocated to beneficiaries of the estate or trust (see instructions)
     	 							<span style="padding-left:2mm;font-weight:bold; letter-spacing:3.3mm;">..........</span>
						</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBox" style="height:2mm;">15</div>
							<div class="styLNAmountBox" style="height:2mm;;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/AmountAllocatedToBeneficiaries"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					<!--  Line 15 -->
					<!--  Line 16 -->
					<div class="StyTBB" style="width: 187mm;">
						<div style="float:left;clear:none;">
							<div class="styLNLeftNumBox">16</div>
							<div class="styLNDesc">
     	 						Estates and trusts: subtract line 15 from line 14. Report this amount on Form 3800, line 1p 
     	 							<span style="padding-left:2mm;font-weight:bold; letter-spacing:3.3mm;">....</span>
							</div>
						</div>
						<div style="float:right;clear:none;">
							<div class="styLNRightNumBoxNBB" style="height:2mm;">16</div>
							<div class="styLNAmountBoxNBB" style="height:2mm;">
								<xsl:call-template name="PopulateAmount">
									<xsl:with-param name="TargetNode" select="$FormData/EstatesAndTrustsCredit"/>
								</xsl:call-template>
							</div>
						</div>
					</div>
					<!--  Line 16 -->
					<!--  FOOTER-->
					<div style="width:187mm;">
						<span class="styBoldText">For Paperwork Reduction Act Notice, see instructions. </span>
						<span style="width:122px;"/>                      
          Cat. No. 37716X
          <span style="width:125px;"/>  
          Form <span class="styBoldText">8907</span> (2007)
        </div>
					<br class="pageEnd"/>
					<!-- BEGIN Left Over Table -->
					<!-- Additonal Data Title Bar and Button -->
					<div class="styLeftOverTitleLine" id="LeftoverData">
						<div class="styLeftOverTitle">
            Additional Data        
          </div>
						<div class="styLeftOverButtonContainer">
							<input class="styLeftoverTableBtn" TabIndex="1" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
						</div>
					</div>
					<!-- Additional Data Table -->
					<table class="styLeftOverTbl">
						<xsl:call-template name="PopulateCommonLeftover">
							<xsl:with-param name="TargetNode" select="$FormData"/>
							<xsl:with-param name="DescWidth" select="100"/>
						</xsl:call-template>
				

                 <xsl:call-template name="PopulateLeftoverRow">
                 <xsl:with-param name="Desc">Line 4a - Phase out adjustments - CY
                  qualified coke and coke gas sold type
                  </xsl:with-param>
                 <xsl:with-param name="TargetNode" select="$FormData/CYQlfyCokeAndCokeGasSoldType4"/>
                <xsl:with-param name="DescWidth" select="100"/>
                </xsl:call-template>

 
				  <xsl:call-template name="PopulateLeftoverRow">
                 <xsl:with-param name="Desc">Line 4C - Phase out adjustments - Next year qualified coke and coke gas sold type</xsl:with-param>
                 <xsl:with-param name="TargetNode" select="$FormData/NYQlfyCokeAndCokeGasSoldType4"/>
                <xsl:with-param name="DescWidth" select="100"/>
                </xsl:call-template>    

					</table>
					<!-- END Left Over Table -->
				</form>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
