<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="IRS8909Style.xsl"/>
<xsl:include href="AddOnTable.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>

<xsl:strip-space elements="*" />
<xsl:param name="FormData" select="$RtnDoc/IRS8909" />


<xsl:template match="/">
<html>
<head>  
  <title><xsl:call-template name="FormTitle"><xsl:with-param name="RootElement" select="local-name($FormData)"></xsl:with-param></xsl:call-template></title>
  <!-- No Browser Caching -->
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Cache-Control" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- No Proxy Caching -->
  <meta http-equiv="Cache-Control" content="private"/>  
  <meta name="Description" content="Form IRS 8909"/>
  <meta name="GENERATOR" content="IBM WebSphere Studio"/>
  <link rel="stylesheet" type="text/css" href="{$CSSPath}/header.css"/>
  <link rel="stylesheet" type="text/css" href="{$CSSPath}/body.css"/>
  <link rel="stylesheet" type="text/css" href="{$CSSPath}/general.css"/>
  <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
  <xsl:call-template name="InitJS"></xsl:call-template>  
  <style type="text/css">    
    <xsl:if test="not($Print) or $Print=''">  
      <xsl:call-template name="IRS8909Style"></xsl:call-template>
      <xsl:call-template name="AddOnStyle"></xsl:call-template>  
    </xsl:if>
  </style>      
  
</head>

<body class="styBodyClass">
  <form name="Form8909">    
    <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
  <!--Title of Form -->    
  <div class="styBB" style="width:187mm;height: 20mm;">
    <div class="styFNBox" style="width:31mm;font-size: 7pt;height: 22mm;">
      Form <span class="styFormNumber">8909</span>      
      <br/>
      <span>
        <xsl:call-template name="SetFormLinkInline">
          <xsl:with-param name="TargetNode" select="$FormData"/>
        </xsl:call-template>  
      </span>  
      <br/>
      <br/>
      <span class="styAgency">Department of the Treasury</span><br /><span class="styAgency">Internal Revenue Service</span>
    </div>
    <div class="styFTBox" style="height: 22mm;width:125mm;padding-top:4mm;">
      <div class="styMainTitle" style="height: 8mm">Energy Efficient Appliance Credit</div>
      <div class="styFST" style="font-size:7pt;margin-left:3mm;font-weight:bold">
        <img src="{$ImagePath}/8909_Bullet.gif" alt="MediumBullet"/>  
        Attach to your tax return. <br/><br/>

        <br/>
      </div>
    </div>
    <div class="styTYBox" style="width:30mm;height:22mm; border-left-width: 1px;">
      <div class="styOMB" style="height:2mm;">OMB No. 1545-2055</div>
      <div class="styTaxYear" style="height:10mm">20<span class="styTYColor">07</span></div>
      <div class="stySequence">Attachment<br/>Sequence No. <b>159</b></div>
    </div>
  </div>
  <!--  End title of Form  -->
    
  <!--  Name and Employer identification number  -->
  <div class="styBB" style="width:187mm">
    <div class="styNameBox" style="width:141mm;font-weight:normal;font-size:7pt;">
      Name(s) shown on return<br/>
      <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template><br/>  
      <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param></xsl:call-template>      
    </div>
    <div class="styEINBox" style=" padding-left:2mm;font-size:7pt;">Identifying number
      <br/><br/>
      <span style="font-weight:normal;">  
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template>
      </span>    
    </div>
  </div>  
  <!--  End Name and Employer indentification number  -->
  
<div style="width:187mm;">
<span style="width:10mm;height:1mm;"/><br/>
<span class="styItalicText"> Complete lines 1 through 6 to compute the tentative credit for dishwashers and clothes washers. See instructions.</span><br/>
<span style="width:10mm;height:1mm;"/>
  <table cellspacing="0" cellpadding="0" style="font-size:7pt;float:right;">
     	<tr>      
                   	 <td style="background-color:gray;width:22px;border-left:1px solid black;height:8mm;border-top:1px solid black;border-bottom:1px solid black;"><span style="width:1px;"/></td>
                   	 <td class="styIRS8909TableCellHeaderSmall" align="center" style="width:118px;border-left-width:1px;border-right-width:1px;font-weight:bold;font-size:8pt;border-top:1px solid black">(a) Dishwashers</td>
                   	 <td class="styIRS8909TableCellHeaderSmall" align="center" style="width:118px;border-right-width:1px;font-weight:bold;font-size:8pt;border-top:1px solid black">(b) Clothes Washers</td>
                   	 <td style="background-color:gray;width:119px;border-right:solid black 1px;border-top:1px solid black"><span style="width:1mm"/></td>                   	 
                   	 </tr>
                   	 
                   	 <!-- row 1 -->
                   	 <tr>
                  	 <td valign="bottom" style="height:8mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">1</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                          <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/NumEligibleDishwashers"/>
     			         </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                          <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/NumEligibleClothesWashers"/>
     			         </xsl:call-template>                         
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 
                   	 
                   	  <!-- row 2 -->
                   	 <tr>
                  	 <td valign="bottom" style="height:8mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">2</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/AvgNumDshwshrPrdPr3Yrs"/>
     			       </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                          <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/AvgNumClthsWshrPrducdInPr3Yrs"/>
     			         </xsl:call-template>                         
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 

                   	  <!-- row 3 -->
                   	 <tr>
                  	 <td valign="bottom" style="height:4mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">3</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/SubLn2aFrmLn1aDshwshr"/>
     			 </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                          <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/SubLn2bFrmLn1bClthsWshrs"/>
     			         </xsl:call-template>                         
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 
                   	 
                   	  <!-- row 4 -->
                   	 <tr>
                  	 <td valign="bottom" style="height:4mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">4</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  $32.31
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                          $100.00                   
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 
                   	 
                   	  <!-- row 5 -->
                   	 <tr>
                  	 <td valign="bottom" style="height:4mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">5</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/MultLn3aByLn4aDshwshrs"/>
     			 </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                          <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/MultLn3bByLn4bClthsWshrs"/>
     			         </xsl:call-template>                         
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;border-bottom:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 
                   	 
  </table>
  
  
  
<div style="float:left;width:323px;">
  <br/>
  <br/>
    <!-- line 1 -->
    <div style="width:323px;padding-top:10px;">
      <div style="width:22px;height:4mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">1</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">Enter the number of eligible dishwashers or clothes washers produced in calendar year 2007
         <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.

        </span>
      </div>
      
    </div>
    <!-- end line 1 -->
    <!-- line 2 -->
    <div style="width:323px;padding-top:5px;">
      <div style="width:22px;height:4mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">2</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">Enter the average number of eligible dishwashers or clothes washers produced in the 3 prior calendar years         <span class="styBoldText">
          <span style="width:16px"></span>.

        </span>
      </div>
      
    </div>
    <!-- end line 2 -->
    <!-- line 3 -->
    <div style="width:323px;padding-top:3px;">
      <div style="width:22px;height:4mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">3</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">Subtract line 2 from line 1
        <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
        </span>
      </div>
      
    </div>
    <!-- end line 3 -->
    <!-- line 4 -->
    <div style="width:323px;padding-top:1px;">
      <div style="width:22px;height:4mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">4</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">Applicable amount
        <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
        </span>
      </div>
      
    </div>
    <!-- end line 4 -->
    <!-- line 5 -->
    <div style="width:323px;padding-top:0px;">
      <div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">5</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">Multiply line 3 by line 4
        <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
        </span>
      </div>
      
    </div>
    <!-- end line 5 -->
  </div>  
 </div>
  
  
  
  
  
  <!--  Line 6 -->    
  <div style="width: 187mm;">  
  	<div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;padding-top:5px;">6</div>
     <div style="float:left; padding-top:1mm;padding-left:1mm;">
     Add the amounts on line 5 in columns (a) and (b)
    	</div>    
    	<div style="float:right;">
    		<div class="styDotLn" style="padding-top:1mm;" >  
         	  ................
         	</div>    
     	<div class="styLNRightNumBox" style="padding-top:2mm;height:3.5mm;">6</div>
     		<div class="styLNAmountBox" style="padding-top:2mm;height:3.5mm;">
     			 <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/TntivCrdtForDshwshrClthsWshrs"/>
     			 </xsl:call-template> 
     		</div>          
    	</div>
  </div>
  <!--  Line 6 -->

<div style="width:187mm;">
<span style="width:10mm;height:1mm;"/><br/>
<span class="styItalicText"> Complete lines 7 through 13 to compute the tentative credit for refrigerators. See instructions.</span><br/>
<span style="width:10mm;height:1mm;"/>
  <table cellspacing="0" cellpadding="0" style="font-size:7pt;float:right;">
     	<tr>      
                   	 <td style="background-color:gray;width:22px;border-left:1px solid black;height:8mm;border-top:1px solid black;border-bottom:1px solid black;"><span style="width:1px;"/></td>
                   	 <td class="styIRS8909TableCellHeaderSmall" align="center" style="width:118px;border-left-width:1px;border-right-width:1px;font-weight:bold;font-size:8pt;border-top:1px solid black">(a) Type A</td>
                   	 <td class="styIRS8909TableCellHeaderSmall" align="center" style="width:118px;border-right-width:1px;font-weight:bold;font-size:8pt;border-top:1px solid black">(b) Type B</td>
                   	 <td class="styIRS8909TableCellHeaderSmall" align="center" style="width:118px;border-right-width:1px;font-weight:bold;font-size:8pt;border-top:1px solid black">(c) Type C</td>
                   	 <td style="background-color:gray;width:119px;border-right:solid black 1px;border-top:1px solid black"><span style="width:1mm"/></td>                   	 
                   	 </tr>
                   	 
                   	 <!-- row 7 -->
                   	 <tr>
                  	 <td valign="bottom" style="height:7.5mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">7</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                          <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/TypeARefrigeratorsProduced"/>
     			     </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                          <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/TypeBRefrigeratorsProduced"/>
     			     </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                          <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/TypeCRefrigeratorsProduced"/>
     			     </xsl:call-template>                         
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 
                   	 
                   	  <!-- row 8  -->
                   	 <tr>
                  	 <td valign="bottom" style="height:10mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">8</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/Per110AvgNumberTypeARfrgrtrs"/>
     			 </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/Per110AvgNumberTypeBRfrgrtrs"/>
     			 </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                     	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/Per110AvgNumberTypeCRfrgrtrs"/>
     			 </xsl:call-template>                       
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 

                   	  <!-- row 9 -->
                   	 <tr>
                  	 <td valign="bottom" style="height:4.5mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">9</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/SubtLn8aFrmLn7bTypeA"/>
     			 </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/SubtLn8aFrmLn7bTypeB"/>
     			 </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                    	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/SubtLn8aFrmLn7bTypeC"/>
     			 </xsl:call-template>                        
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 
                   	 
                   	  <!-- row 10 -->
                   	 <tr>
                  	 <td valign="bottom" style="height:4.5mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">10</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                        $75.00
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                        $125.00
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                        $175.00
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 
                   	 
                   	  <!-- row 11 -->
                   	 <tr>
                  	 <td valign="bottom" style="height:7mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">11</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/MultLn9aByLn10a"/>
     			 </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;background-color:gray;" valign="bottom">

                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;background-color:gray;" valign="bottom">
                        
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 
                   	 
                   	  <!-- row 12  -->
                   	 <tr>
                  	 <td valign="bottom" style="height:13.5mm;font-size:7pt;font-weight:bold;text-align:center;border-bottom:1px solid black;border-left:1px solid black;">12</td>
                   	 <td align="right" style="border-left:1px solid black;border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/EnterSmallerofLine11or20000000"/>
     			        </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                   	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/Multiply9bBy10b"/>
     			        </xsl:call-template> 
                        <span style="width:1px;"/>
                   	 </td>
                   	 <td align="right" style="border-right:1px solid black;font-size:7pt;border-bottom:1px solid black;" valign="bottom">
                    	  <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/Multiply9cBy10c"/>
     			        </xsl:call-template>                        
                        <span style="width:1px;"/>
                      </td>
                   	 <td style="background-color:gray;border-right:solid black 1px;border-bottom:solid black 1px;"><span style="width:1mm"/></td>                 	 
                   	 </tr> 
                   	 
  </table>
  
  
  
<div style="float:left;width:205px;">
  <br/>
  <br/>
    <!-- line 7 -->
    <div style="width:205px;">
      <div style="width:22px;height:4mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">7</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">Enter the number of eligible refrigerators
produced in calendar year 2007
         <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
		<span style="width:16px"></span>.
		<span style="width:14px"></span>.
        </span>
      </div>
      
    </div>
    <!-- end line 7 -->
    <!-- line 8 -->
    <div style="width:205px;padding-top:2px;">
      <div style="width:22px;height:4mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">8</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">Enter 110% of the average number of
eligible refrigerators produced in the 3 prior
calendar years
          <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.     
        </span>
      </div>
      
    </div>
    <!-- end line 8 -->
    <!-- line 9 -->
    <div style="width:205px;padding-top:3px;">
      <div style="width:22px;height:4mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">9</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">Subtract line 8 from line 7
        <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
        </span>
      </div>
      
    </div>
    <!-- end line 9 -->
    <!-- line 10 -->
    <div style="width:205px;padding-top:1px;">
      <div style="width:22px;height:4mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">10</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">Applicable amount
        <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
		<span style="width:12px"></span>.
        </span>
      </div>
      
    </div>
    <!-- end line 10 -->
    <!-- line 11 -->
    <div style="width:205px;padding-top:0px;">
      <div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">11</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">In column (a), multiply line 9 by line 10
         <span class="styBoldText">
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
          <span style="width:16px"></span>.
           <span style="width:16px"></span>.
		<span style="width:12px"></span>.
        </span>
    		 </div>

    </div>
    <!-- end line 11 -->
    <!-- line 12 -->
    <div style="width:205px;padding-top:2px;">
      <div style="width:22px;height:4mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;">12</div>
      <div style="padding-left:1mm;float:left;font-size:7pt;">In column (a), enter the <b>smaller</b> of the
amount on line 11, or $20,000,000. In
columns (b) and (c), multiply line 9 by line 10
          <span class="styBoldText">
          <span style="width:16px"></span>.
          

           </span>
      </div>
      
    </div>
    <!-- end line 12 -->
  </div>  
 </div>
  
  
  
  
  
  <!--  Line 13 -->    
  <div style="width: 187mm;">  
  	<div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;padding-top:5px;">13</div>
     <div style="float:left; padding-top:1mm;padding-left:1mm;">
     Add the amounts on line 12 in columns (a) through (c)
    	</div>    
    	<div style="float:right;">
    		<div class="styDotLn" style="padding-top:1mm;" >  
         	  ................
         	</div>    
     	<div class="styLNRightNumBox" style="padding-top:2mm;height:3.5mm;">13</div>
     		<div class="styLNAmountBox" style="padding-top:2mm;height:3.5mm;">
     			 <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/TentativeCreditForRefrigerator"/>
     			 </xsl:call-template> 
     		</div>          
    	</div>
  </div>
  <!--  Line 13 -->
  <!--  Line 14 -->    
  <div style="width: 187mm;">  
  	<div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;padding-top:5px;">14</div>
     <div style="float:left; padding-top:1mm;padding-left:1mm;">
     <b>Total.</b> Add lines 6 and 13
    	</div>    
    	<div style="float:right;">
    		<div class="styDotLn" style="padding-top:1mm;" >  
         	  ..........................
         	</div>    
     	<div class="styLNRightNumBox" style="padding-top:2mm;height:3.5mm;">14</div>
     		<div class="styLNAmountBox" style="padding-top:2mm;height:3.5mm;">
     			 <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/TotalTentativeCredit"/>
     			 </xsl:call-template> 
     		</div>          
    	</div>
  </div>
  <!--  Line 14 -->

  
    <!--  Line 15 -->    
  <div style="width: 187mm;">  
  	<div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;padding-top:5px;">15</div>
     <div style="float:left; padding-top:1mm;padding-left:1mm;">
     Enter 2% of average annual gross receipts (see instructions)
     </div>    
    	<div style="float:right;">
    		<div class="styDotLn" style="padding-top:1mm;" >  
         	  ..............         	</div>    
     	<div class="styLNRightNumBox" style="padding-top:2mm;height:3.5mm;">15</div>
     		<div class="styLNAmountBox" style="padding-top:2mm;height:3.5mm;">
     			 <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/Avg2PerAnnualGrossReceipts"/>
     			 </xsl:call-template> 
     		</div>          
    	</div>
  </div>
  <!--  Line 15 -->
  
  
     <!--  Line 16 a -->    
      
      <div style="width: 187mm">  
      <div class="styLNLeftNumBox" style="padding-left: 2mm;height:4.5mm">16a</div>

    <div style="float:left;padding-top:.5mm;">
       Maximum credit allowed
    </div>    
    <div style="float:right;">    
      <span style="letter-spacing:4mm;padding-top:.5mm; font-weight:bold; float:left">..............
      </span> 
      
       <div class="styLNRightNumBox" style="height:4.2mm;">16a</div>
        <div class="styLNAmountBox" style="height:4.2mm;">
           $75,000,000.00

        </div>
           <div class="styLNRightNumBoxNBB" style="background-color:lightgrey;border-bottom-width:0px;padding-top:1mm;"></div>
      <div class="styLNAmountBoxNBB" style="border-bottom-width:0px;padding-top:1mm;">
      </div>          
    </div>
  </div>
<!-- End  Line 16 a -->  
    
 
 <!--  Line 16b1 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox" style="padding-left: 5mm">b</div>
    <div style="float:left;padding-top:.5mm;">
   Enter the amount from line 17 of your 2006 Form 8909.  Include amounts 
    </div>    
    <div style="float:right;">    
         <div class="styLNRightNumBoxNBB" style="height:4mm;"></div>
        <div class="styLNAmountBoxNBB" style="height:4mm;border-bottom-width:0px;">
       </div>
        <div class="styLNRightNumBoxNBB" style="border-bottom-width:0px;background-color:lightgrey;"></div>
      <div class="styLNAmountBoxNBB" style="border-bottom-width:0px;">
      </div>          
    </div>
  </div>
  <!-- End Line 16b1 -->
 
   <!--  Line 16b2 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox" style="padding-left: 5mm"></div>
    <div style="float:left;padding-top:.5mm;">
     from predecessors
     </div>    
    <div style="float:right;">    
  <span style="letter-spacing:4mm;padding-top:.5mm; font-weight:bold; float:left">  ..............
      </span>   
       <div class="styLNRightNumBox" style="height:4mm">16b</div>
        <div class="styLNAmountBox" style="height:4mm;"><xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$FormData/AmountFromLine17" /> </xsl:call-template>
        </div>
      <div class="styLNRightNumBoxNBB" style="border-bottom-width:0px;background-color:lightgrey;padding-top:1mm; "></div>
      <div class="styLNAmountBoxNBB" style="border-bottom-width:0px;padding-top:1mm;">
     </div>          
    </div>
  </div>
<!-- End Line 16b2 -->

  
  <!--  Line 16c -->    
  <div style="width: 187mm;">  
  	<div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:right;float:left;padding-left:2px;padding-top:5px;">c</div>
     <div style="float:left; padding-top:1mm;padding-left:1mm;">
    Subtract line 16b from line 16a
    	</div>    
    	<div style="float:right;">
    		<div class="styDotLn" style="padding-top:1mm;" >  
         	  ........................ 
             </div>    
     	      <div class="styLNRightNumBox" style="padding-top:2mm;height:3.5mm;">16c</div>
     		     <div class="styLNAmountBox" style="padding-top:2mm;height:3.5mm;">
     			    <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/SubtractLine16bFrom16a"/>
     			    </xsl:call-template> 
     		   </div>          
    	    </div>
    </div>
  <!--  Line 16c -->

  
   <!--  Line 17 -->    
  <div style="width: 187mm;">  
  	<div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;padding-top:5px;">17</div>
     <div style="float:left; padding-top:1mm;padding-left:1mm;">
     Enter the <b>smallest</b> of the amount on line 14, 15, or 16c
    	</div>    
    	<div style="float:right;">
    		<div class="styDotLn" style="padding-top:1mm;" > 
             <xsl:call-template name="LinkToLeftoverDataTableInline">
                <xsl:with-param name="Desc">Single Producer</xsl:with-param>
                    <xsl:with-param name="TargetNode" select="$FormData/SingleProducer"/>
           </xsl:call-template>
          	  ............. 
     </div>    
     	<div class="styLNRightNumBox" style="padding-top:2mm;height:3.5mm;">17</div>
     		<div class="styLNAmountBox" style="padding-top:2mm;height:3.5mm;">
     			 <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/SmallestOfLines14And15Or16c"/>
     			 </xsl:call-template> 
     		</div>          
    	</div>
  </div>
  <!--  Line 17 -->
   <!--  Line 18 -->    
  <div style="width: 187mm;">  
  	<div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;padding-top:5px;">18</div>
     <div style="float:left; padding-top:1mm;padding-left:1mm;">
     Energy efficient appliance credits from partnerships, S corporations, estates, trusts, and cooperatives
    	</div>    
    	<div style="float:right;">
    		<div class="styDotLn" style="padding-top:1mm;" >  
         	  .         	</div>    
     	<div class="styLNRightNumBox" style="padding-top:2mm;height:3.5mm;">18</div>
     		<div class="styLNAmountBox" style="padding-top:2mm;height:3.5mm;">
     			 <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/EnergyEfficientApplianceCredit"/>
     			 </xsl:call-template> 
     		</div>          
    	</div>
  </div>
  <!--  Line 18 -->
  <!--  Line 19 -->    
  <div style="width: 187mm;">  
  	<div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;padding-top:5px;">19</div>
     <div style="float:left; padding-top:1mm;padding-left:1mm;">
Add lines 17 and 18. Estates, trusts, and cooperatives, go to line 20; partnerships and S corporations, <br/>
report this amount on Schedule K; all others, report this amount on Form 3800, line 1r
         <span class="styBoldText">
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
        </span>  
     </div>    
    	<div style="float:right;">
    		
     	<div class="styLNRightNumBox" style="padding-top:1mm;height:9.5mm;"><br/>19</div>
     		<div class="styLNAmountBox" style="padding-top:1mm;height:9.5mm;">
     			<br/>
     			<xsl:call-template name="PopulateAmount">
           				<xsl:with-param name="TargetNode" select="$FormData/AddLines17And18"/>
     			 </xsl:call-template> 
     		</div>          
    	</div>
  </div>
  <!--  Line 19 -->
   <!--  Line 20 -->    
  <div style="width: 187mm;">  
  	<div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;padding-top:5px;">20</div>
     <div style="float:left; padding-top:1mm;padding-left:1mm;">
     Amount allocated to beneficiaries of the estate or trust, or to patrons of the cooperative (see
instructions)
     </div>    
    	<div style="float:right;">
     	<div class="styLNRightNumBox" style="padding-top:2mm;height:3.5mm;">20</div>
     		<div class="styLNAmountBox" style="padding-top:2mm;height:3.5mm;">
     			 <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/AmtAllocatedToBeneficiaries"/>
     			 </xsl:call-template> 
     		</div>          
    	</div>
  </div>
  <!--  Line 20 -->
     <!--  Line 21 -->    
  <div style="width: 187mm;">  
  	<div style="width:22px;height:3mm;font-size:7pt;font-weight:bold;text-align:center;float:left;padding-left:2px;padding-top:5px;">21</div>
     <div style="float:left; padding-top:1mm;padding-left:1mm;">
Estates, trusts, and cooperatives, subtract line 20 from line 19. Report this amount on Form 3800,
line<br/> 1r
         <span class="styBoldText">
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          <span style="width:12px"></span>.
          </span>
     </div>    
    	<div style="float:right;">

     	<div class="styLNRightNumBoxNBB" style="padding-top:2mm;height:7mm;"><br/>21</div>
     		<div class="styLNAmountBoxNBB" style="padding-top:2mm;height:7mm;">
     		<br/>
     			 <xsl:call-template name="PopulateAmount">
         				<xsl:with-param name="TargetNode" select="$FormData/EstatesTrustsAndCooperatives"/>
     			 </xsl:call-template> 
     		</div>          
    	</div>
  </div>
  <!--  Line 21 -->

  
  <!--  FOOTER-->
        <div style="width:187mm;border-top:1px solid black;">
          <span class="styBoldText">For Paperwork Reduction Act Notice, see instructions. </span> 
          <span style="width:120px;"></span>                      
          Cat. No. 37719E
          <span style="width:130px;"></span>  
          Form <span class="styBoldText">8909</span> (2007)
        </div> 
        <br class="pageEnd"/>
        
        <!-- BEGIN Left Over Table -->  
        <!-- Additonal Data Title Bar and Button -->
        <div class="styLeftOverTitleLine" id="LeftoverData">
          <div class="styLeftOverTitle">
            Additional Data        
          </div>
          <div class="styLeftOverButtonContainer">
            <input class="styLeftoverTableBtn" TabIndex="1"  type="button" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
          </div>      
        </div>
        <!-- Additional Data Table -->
        <table class="styLeftOverTbl">
          <xsl:call-template name="PopulateCommonLeftover">
            <xsl:with-param name="TargetNode" select="$FormData" />
            <xsl:with-param name="DescWidth" select="100"/>
          </xsl:call-template>          
        <xsl:call-template name="PopulateLeftoverRow"> 
            <xsl:with-param name="Desc">Single Producer</xsl:with-param> 
            <xsl:with-param name="TargetNode" select="$FormData/SingleProducer"/> 
            <xsl:with-param name="DescWidth" select="100"/> 
        </xsl:call-template> 
        </table>
        

      <!-- END Left Over Table -->      
  </form>  
</body>
</html>
</xsl:template>    

</xsl:stylesheet>